<?php
require('./import_function.php');

// Extraction depuis le fichier d'import (Import SunBird .vcs et iCal .ics)
function importics($fileName,&$err,&$nbAjout,&$note_detail,&$nbrepet) {
global $DB_CX, $PREFIX_TABLE, $idUser;
global $sid,$zlPeriodicite,$zlCouleur,$rdA,$zlA1,$zlA2,$rdPlage,$ztP,$zlP1,$zlP2,$zlP3,$rdQ,$ztQ,$zlH,$ztH,$rdM,$zlM1,$zlM2,$zlM3,$idUser,$ztDate,$ckTypeNote,$idAge,$ztAction,$edit,$ztFrom,$tcMenu,$sd,$ztRecommence,$ztParticipant,$ztLibelle,$ztDetail,$rdPrive,$zlHeureDebut,$zlHeureFin;

if (file_exists($fileName))
   {
    // il faut recuperer le jour "BYDAY"
    $jour["SU"]=0;
    $jour["MO"]=1;
    $jour["TU"]=2;
    $jour["WE"]=3;
    $jour["TH"]=4;
    $jour["FR"]=5;
    $jour["SA"]=6;
    $note_detail="";
    $err = "";
    $nbnote = 0;
    $nbAjout = 0;
    $nbrepet = 0;
    $fcontents = @file($fileName);
    $fic_name  = $_FILES['ztFile']['name'];
    $fic_ext = explode(".",$fic_name);
    if (($fic_ext[1]!="vcs") && ($fic_ext[1]!="ics"))
      {
       $err = "<P class=\"rouge\"><B>ERREUR : L'extension du fichier n'est pas bonne (.vcs ou .ics) !</B></P>";
      }
    else
    {
    for ($ligne_fic=0;$ligne_fic<count($fcontents);$ligne_fic++)
     {
      $tabCtt = explode(":",$fcontents[$ligne_fic]);
      if (rtrim(($tabCtt[0])=="BEGIN") && (rtrim($tabCtt[1])=="VEVENT"))
        {
          // Initialisation des variables
          $nbnote = $nbnote + 1;
          $until_type=="";
          $until_nb=="";
          $note_uid = "";
          $note_summary = "";
          $note_description = "";
          $note_location = "";
          $note_class = "";
          $note_attendee = "";
          $note_couleur = "";
          $note_rrule = "";
          $note_dtstart = "";
          $note_dtend = "";
          $zlPeriodicite=$zlCouleur=$rdPlage=$rdA=$zlA1=$zlA2=$ztP=$zlP1=$zlP2=$zlP3=$rdQ=$ztQ=$zlH=$ztH=$rdM=$zlM1=$zlM2=$zlM3=$ztDate=$ckTypeNote=$idAge=$ztAction=$edit=$ztFrom=$tcMenu=$sd=$ztRecommence=$ztParticipant=$ztLibelle=$ztDetail=$rdPrive=$zlHeureDebut=$zlHeureFin="";
        }
      if ($nbnote!="0")
        {
         // on traite la note
         if ($tabCtt[0]=="UID")
          {
          $note_uid = rtrim($tabCtt[1]);
          }
         if (eregi("SUMMARY",$tabCtt[0]))
          {
          $note_summary = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("DESCRIPTION",$tabCtt[0]))
          {
          $note_description = str_replace("'","\'",rtrim($tabCtt[1]));
          $note_description = str_replace("=0D=0A","\r\n",$note_description);
          }
         if (eregi("LOCATION",$tabCtt[0]))
          {
          $note_location = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("CLASS",$tabCtt[0]))
          {
          $note_class = rtrim($tabCtt[1]);
          }
         if (eregi("ATTENDEE",$tabCtt[0]))
          {
          $note_attendee = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("X-PHENIX-AGENDA-COLOR",$tabCtt[0]))
          {
          $note_couleur = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("RRULE",$tabCtt[0]))
          {
          $note_rrule = rtrim($tabCtt[1]);
          }
         if (eregi("DTSTART",$tabCtt[0]))
          {
          $note_dtstart = rtrim($tabCtt[1]);
          }
         if (eregi("DTEND",$tabCtt[0]))
          {
          $note_dtend = rtrim($tabCtt[1]);
          }
        }
      if (rtrim(($tabCtt[0])=="END") && (rtrim($tabCtt[1])=="VEVENT"))
        {
         // Date du jour pour grer les evenements faits ou non
         // (par defaut date anterieur a aujourd'hui aco_termine => 1)
         $j = date("d");
         $j_nom = strtoupper(substr(date("D"),0,2));
         $m = date("m");
         $an = date("Y");
         $date_aujourdhui = $an."-".$m."-".$j;
         // On met la date au bon format pour pouvoir les comparer
         list($date_debut,$heure_deb_tmp) = explode("T",$note_dtstart);
         $an_debut = substr($date_debut,0,4);
         $mois_debut = substr($date_debut,4,2);
         $jour_debut = substr($date_debut,6,2);
         $date_debut = $an_debut."-".$mois_debut."-".$jour_debut;
         list($date_fin,$heure_fin_tmp) = explode("T",$note_dtend);
         $an_fin = substr($date_fin,0,4);
         $mois_fin = substr($date_fin,4,2);
         $jour_fin = substr($date_fin,6,2);
         $date_fin = $an_fin."-".$mois_fin."-".$jour_fin;
         list($jour_dem_deb,$mois_dem_deb,$an_dem_deb) = explode("/",$_POST['ztDate']);
         $date_dem_deb = $an_dem_deb."-".$mois_dem_deb."-".$jour_dem_deb;
         list($jour_dem_fin,$mois_dem_fin,$an_dem_fin) = explode("/",$_POST['ztDate2']);
         $date_dem_fin = $an_dem_fin."-".$mois_dem_fin."-".$jour_dem_fin;
         // On regarde si la date DTSTART et DTEND est en hiver ou non
         // ensuite on rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
         // Calcul des jours de passage heure d't et heure d'hiver
         // Avec date de debut de l'evenement
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','03',$i,$an_debut))=="Sun")
              {
               $heure_ete = $i;
              }
           }
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','10',$i,$an_debut))=="Sun")
              {
               $heure_hiver = $i;
              }
           }
         $heure_ete_deb = $an_debut."-03-".$heure_ete;
         $heure_hiver_deb = $an_debut."-10-".$heure_hiver;
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','03',$i,$an_fin))=="Sun")
              {
               $heure_ete = $i;
              }
           }
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','10',$i,$an_fin))=="Sun")
              {
               $heure_hiver = $i;
              }
           }
         $heure_ete_fin = $an_debut."-03-".$heure_ete;
         $heure_hiver_fin = $an_debut."-10-".$heure_hiver;
         // si date comprise entre heure_ete et heure_hiver c'est que c'est en ete et donc GMT(+2)
         // sinon c'est forcement GMT(+1)
         if (($date_debut<$heure_hiver_deb) && ($date_debut>$heure_ete_deb))
           {
            // c'est en ete ! on rajoute 2
            $heure_deb_h = substr($heure_deb_tmp,0,2)+2;
           }
         else
           {
            // c'est en hiver on rajoute 1
            $heure_deb_h = substr($heure_deb_tmp,0,2)+1;
           }
         if (($date_fin<$heure_hiver_fin) && ($date_fin>$heure_ete_fin))
           {
            // c'est en ete ! on rajoute 2
            $heure_fin_h = substr($heure_fin_tmp,0,2)+2;
           }
         else
           {
            // c'est en hiver on rajoute 1
            $heure_fin_h = substr($heure_fin_tmp,0,2)+1;
           }
         // minute de debut au format /100
         if ((substr($heure_deb_tmp,2,2)>=0) && (substr($heure_deb_tmp,2,2)<15)) $heure_deb_m = "00";
         if ((substr($heure_deb_tmp,2,2)>=15) && (substr($heure_deb_tmp,2,2)<30)) $heure_deb_m = "25";
         if ((substr($heure_deb_tmp,2,2)>=30) && (substr($heure_deb_tmp,2,2)<45)) $heure_deb_m = "50";
         if ((substr($heure_deb_tmp,2,2)>=45) && (substr($heure_deb_tmp,2,2)<=59)) $heure_deb_m = "75";
         // minute de fin au format /100
         if ((substr($heure_fin_tmp,2,2)>=0) && (substr($heure_fin_tmp,2,2)<15)) $heure_fin_m = "00";
         if ((substr($heure_fin_tmp,2,2)>=15) && (substr($heure_fin_tmp,2,2)<30)) $heure_fin_m = "25";
         if ((substr($heure_fin_tmp,2,2)>=30) && (substr($heure_fin_tmp,2,2)<45)) $heure_fin_m = "50";
         if ((substr($heure_fin_tmp,2,2)>=45) && (substr($heure_fin_tmp,2,2)<=59)) $heure_fin_m = "75";
         // On reforme les heures de deb et fin de la note
         $heure_deb = $heure_deb_h.".".$heure_deb_m;
         $heure_fin = $heure_fin_h.".".$heure_fin_m;
         if (($date_debut>=$date_dem_deb) && ($date_debut<=$date_dem_fin))
           {
            // On traite l'ajout si l'heure et bien comprise entre les 2 dates entres dans le formaulaire.
            // On rajoute le champ location a la description s'il est renseigne
            if ($note_location!="")
              {
               $note_description .= "\r\nLieu :\r\n".str_replace("'","\'",rtrim($note_location));
               $note_description = str_replace("=0D=0A","\r\n",$note_description);
              }
            $id_age="";
            $DB_CX->DbQuery("SELECT age_id FROM ${PREFIX_TABLE}agenda WHERE age_date='$date_debut' AND age_heure_debut='$heure_deb' AND age_heure_fin='$heure_fin' AND age_libelle='$note_summary' AND age_util_id='$idUser'");
            if ($DB_CX->DbNumRows())
              {
               $id_age = $DB_CX->DbResult(0,0);
               // On ne fait rien ! car la note existe
               $err =  "<P class=\"vert\"><B>Des &eacute;v&egrave;nements sont d&eacute;j&agrave; pr&eacute;sent dans votre agenda !</B></P>";
              }
            else
              {
               if ($note_class=="PRIVATE") $priv = 1;
               else $priv = 0;
               $sid =$idUser;
               $ckTypeNote = "2";
               $idAge = $id_age;
               $ztAction = "INSERT";
               $edit = "";
               $ztFrom = "note";
               $tcMenu = "1";
               //$sd = $date_aujourdhui;
               $ztRecommence = "NON";
               $ztParticipant = $idUser;
               // couleur
               $zlCouleur = $note_couleur;
               $ztLibelle = $note_summary;
               $ztDetail = $note_description;
               $ztDate = $jour_debut."/".$mois_debut."/".$an_debut;
               $zlHeureDebut = $heure_deb;
               $zlHeureFin = $heure_fin;
               $rdPrive = $priv;
               // Gestion Repetition
               if ($note_rrule=="")
                 {
                  // Pas de repetition
                  $zlPeriodicite = "1";
                  // Ajout de la note
                  $nbAjout = $nbAjout + 1;
                  $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                  $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                  $note_detail[$nbAjout.'date_debut'] = $date_debut;
                  $note_detail[$nbAjout.'summary'] = $note_summary;
                  import_cal();
                 }
               else
                 {
                  // Gestion des repetitions
                  // On regarde si la note est presente
                  $DB_CX->DbQuery("SELECT * FROM ${PREFIX_TABLE}agenda WHERE age_date='$date_debut' AND age_heure_debut='$heure_deb' AND age_heure_fin='$heure_fin' AND age_libelle='$note_summary' AND age_util_id='$idUser'");
                  if ($DB_CX->DbNumRows())
                    {
                     // On ne fait rien la note existe deja !
                     $err =  "<P class=\"vert\"><B>Des &eacute;v&egrave;nements identiques sont d&eacute;j&agrave; pr&eacute;sent dans votre agenda !</B></P>";
                    }
                  else
                    {
                     // On recupere la regle de repetition
                     $rule_type = substr($note_rrule,0,4);
                     // Traitement des repetions
                     if ($rule_type=="FREQ")
                       {
                        // C'est un type iCal ou .cvs SunBird !! tout est ok
                        list($freq,$inf1,$inf2,$inf3) = explode(";",$note_rrule);
                        list(,$freq_type) = explode("=",$freq);
                        list($inf1_titre,) = explode("=",$inf1);
                        list($inf2_titre,) = explode("=",$inf2);
                        if ((($inf1_titre=="UNTIL") || ($inf1_titre=="COUNT")) && ($inf2_titre=="INTERVAL"))
                          {
                           list($until_type,$until_nb) = explode("=",$inf1);
                           list(,$inter_nb) = explode("=",$inf2);
                           list(,$byday_nom) = explode("=",$inf3);
                           list($byday_nom) = explode(",",$byday_nom);
                          }
                        if ($inf1_titre=="INTERVAL")
                          {
                           // La personne a cree une repetition a l'infini
                           $until_type = "UNTIL";
                           $an_plus_10 = date("Y")+10;
                           $until_nb = $an_plus_10."1231"; // jusqu'a 2006+10-12-31 => 31 decembre 2016
                           list(,$inter_nb) = explode("=",$inf1);
                           list(,$byday_nom) = explode("=",$inf2);
                           list($byday_nom) = explode(",",$byday_nom);
                          }
                        if ($until_type=="UNTIL") $rdPlage = "2";
                        else $rdPlage = "1";
                        $until_date_an = substr($until_nb,0,4);
                        $until_date_mois = substr($until_nb,4,2);
                        $until_date_jour = substr($until_nb,6,2);
                        // date "until" au format yyyy-mm-dd
                        $until_date = $until_date_an."-".$until_date_mois."-".$until_date_jour;
                        // on explose la date de debut en : an, mois, jour
                        list($date_debut_an,$date_debut_mois,$date_debut_jour) = explode("-",$date_debut);

                        // -------------------------------- //
                        // TRAITEMENT DES REPETITIONS !!!!! //
                        // -------------------------------- //
                        // Date de fin
                        if ($until_type=="COUNT")
                          {
                           // Occurrences
                           $ztP=$until_nb;
                          }
                        else
                          {
                           // Fin apres le
                           $until_date_an = substr($until_nb,0,4);
                           $until_date_mois = substr($until_nb,4,2);
                           $until_date_jour = substr($until_nb,6,2);
                           $zlP1 = $until_date_jour;
                           $zlP2 = $until_date_mois;
                           $zlP3 = $until_date_an;
                          }
                        // ** REPETITION QUOTIDIENNE ** //
                        if ($freq_type=="DAILY")
                          {
                           $zlPeriodicite = "2";
                           $rdQ = "1"; // Tous les $inter_nb jours
                           $ztQ = $inter_nb; // nb jour
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                        // ** REPETITION HEBDOMADAIRE ** //
                        if ($freq_type=="WEEKLY")
                          {
                           $zlPeriodicite = "3";
                           $zlH = $jour[$byday_nom];
                           $ztH = $inter_nb;
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                        // ** REPETITION MONTHLY ** //
                        if ($freq_type=="MONTHLY")
                          {
                           $zlPeriodicite = "4";
                           if ($byday_nom=="")
                             {
                              // IL n'y a pas de rang ni de jour jour propose
                              $rdM="1";
                              $zlM1=$date_debut_jour;
                             }
                           elseif (strlen($byday_nom)>2)
                             {
                              // Il y a le rang du jour dans le mois donne avec le nom du jour
                              $byday_rang = substr($byday_nom,0,1);
                              if ($byday_rang=="-")
                                {
                                 // demande a partir de la fin du mois (ex. : -1FR le dernier Vendredi)
                                 $byday_rang = substr($byday_nom,0,2);
                                 $byday_nom = substr($byday_nom,2,2);
                                }
                              else $byday_nom = substr($byday_nom,1,2);
                              $rdM="2";
                              // On met le rang au format Phenix
                              if($byday_rang>0)
                                {
                                 $zlM2=$byday_rang-1;
                                }
                              else
                                {
                                 if ($byday_rang=="-1") $zlM2="4";
                                 if ($byday_rang=="-2") $zlM2="3";
                                 if ($byday_rang=="-3") $zlM2="2";
                                 if ($byday_rang=="-4") $zlM2="1";
                                }
                              // On cherche le numero du jour 0:dimanche -> 6:samedi
                              $zlM3=$jour[$byday_nom];
                           }
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                        // ** REPETITION ANNUELLE ** //
                        if ($freq_type=="YEARLY")
                          {
                           $zlPeriodicite = "5";
                           $rdA = "1";
                           $zlA1 = $date_debut_jour; // jour de l'evenement a repeter
                           $zlA2 = $date_debut_mois; // mois de l'evenement a repeter
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                       }
                     else
                       {
                        // Pas de repetition -> ajout de la note sans repet
                        $zlPeriodicite = "1";

                        // Ajout de la note
                        $nbAjout = $nbAjout + 1;
                        $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                        $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                        $note_detail[$nbAjout.'date_debut'] = $date_debut;
                        $note_detail[$nbAjout.'summary'] = $note_summary;
                        import_cal();
                        $err =  "<P class=\"rouge\"><B>Erreur dans les r&eacute;p&eacute;titions, elles ne seront pas prises en compte !</B></P>";
                       }
                    }
                 }
              }
           }
        }

     }
    }
   }
if ($err=="")
   {
    if ($nbAjout!="0")
      $err =  "<P class=\"vert\"><B>Import termin&eacute;. ".$nbAjout." &eacute;v&egrave;nement(s) ajout&eacute;(s)/modifi&eacute;(s)</B></P>";
    else
      $err = "<P class=\"rouge\"><B>Pas d'&eacute;v&egrave;nement disponible !</B></P>";
   }
}
//--------------------------------------------------

// Extraction depuis le fichier d'import (Import VCal standar .vcs  PalmDesktop)
function importvcal($fileName,&$err,&$nbAjout,&$note_detail,&$nbrepet) {
global $DB_CX, $PREFIX_TABLE, $idUser;
global $sid,$zlPeriodicite,$zlCouleur,$rdA,$zlA1,$zlA2,$rdPlage,$ztP,$zlP1,$zlP2,$zlP3,$rdQ,$ztQ,$zlH,$ztH,$rdM,$zlM1,$zlM2,$zlM3,$idUser,$ztDate,$ckTypeNote,$idAge,$ztAction,$edit,$ztFrom,$tcMenu,$sd,$ztRecommence,$ztParticipant,$ztLibelle,$ztDetail,$rdPrive,$zlHeureDebut,$zlHeureFin;

if (file_exists($fileName))
   {
    // il faut recuperer le jour "BYDAY"
    $jour["SU"]=0;
    $jour["MO"]=1;
    $jour["TU"]=2;
    $jour["WE"]=3;
    $jour["TH"]=4;
    $jour["FR"]=5;
    $jour["SA"]=6;
    $note_detail="";
    $err = "";
    $nbnote = 0;
    $nbAjout = 0;
    $nbrepet = 0;
    $fcontents = @file($fileName);
    $fic_name  = $_FILES['ztFile']['name'];
    $fic_ext = explode(".",$fic_name);
    if ($fic_ext[1]!="vcs")
      {
       $err = "<P class=\"rouge\"><B>ERREUR : L'extension du fichier n'est pas bonne (.vcs) !</B></P>";
      }
    else
    {
    for ($ligne_fic=0;$ligne_fic<count($fcontents);$ligne_fic++)
     {
      $tabCtt = explode(":",$fcontents[$ligne_fic]);
      if (rtrim(($tabCtt[0])=="BEGIN") && (rtrim($tabCtt[1])=="VEVENT"))
        {
          // Initialisation des variables
          $nbnote = $nbnote + 1;
          $j_rang="";
          $note_uid = "";
          $note_summary = "";
          $note_description = "";
          $note_location = "";
          $note_class = "";
          $until_type=="";
          $until_nb=="";
          $note_attendee = "";
          $note_couleur = "";
          $note_rrule = "";
          $note_dtstart = "";
          $note_dtend = "";
          $zlPeriodicite=$zlCouleur=$rdPlage=$rdA=$zlA1=$zlA2=$ztP=$zlP1=$zlP2=$zlP3=$rdQ=$ztQ=$zlH=$ztH=$rdM=$zlM1=$zlM2=$zlM3=$ztDate=$ckTypeNote=$idAge=$ztAction=$edit=$ztFrom=$tcMenu=$sd=$ztRecommence=$ztParticipant=$ztLibelle=$ztDetail=$rdPrive=$zlHeureDebut=$zlHeureFin="";
        }
      if ($nbnote!="0")
        {
         // on traite la note
         if ($tabCtt[0]=="UID")
          {
          $note_uid = rtrim($tabCtt[1]);
          }
         if (eregi("SUMMARY",$tabCtt[0]))
          {
          $note_summary = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("DESCRIPTION",$tabCtt[0]))
          {
          $note_description = str_replace("'","\'",rtrim($tabCtt[1]));
          $note_description = str_replace("=0D=0A","\r\n",$note_description);
          }
         if (eregi("LOCATION",$tabCtt[0]))
          {
          $note_location = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("CLASS",$tabCtt[0]))
          {
          $note_class = rtrim($tabCtt[1]);
          }
         if (eregi("ATTENDEE",$tabCtt[0]))
          {
          $note_attendee = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("X-PHENIX-AGENDA-COLOR",$tabCtt[0]))
          {
          $note_couleur = str_replace("'","\'",rtrim($tabCtt[1]));
          }
         if (eregi("RRULE",$tabCtt[0]))
          {
          $note_rrule = rtrim($tabCtt[1]);
          }
         if (eregi("DTSTART",$tabCtt[0]))
          {
          $note_dtstart = rtrim($tabCtt[1]);
          }
         if (eregi("DTEND",$tabCtt[0]))
          {
          $note_dtend = rtrim($tabCtt[1]);
          }
        }
      if (rtrim(($tabCtt[0])=="END") && (rtrim($tabCtt[1])=="VEVENT"))
        {
         // Date du jour pour grer les evenements faits ou non
         // (par defaut date anterieur a aujourd'hui aco_termine => 1)
         $j = date("d");
         $j_nom = strtoupper(substr(date("D"),0,2));
         $m = date("m");
         $an = date("Y");
         $date_aujourdhui = $an."-".$m."-".$j;
         // On met la date au bon format pour pouvoir les comparer
         list($date_debut,$heure_deb_tmp) = explode("T",$note_dtstart);
         $an_debut = substr($date_debut,0,4);
         $mois_debut = substr($date_debut,4,2);
         $jour_debut = substr($date_debut,6,2);
         $date_debut = $an_debut."-".$mois_debut."-".$jour_debut;
         list($date_fin,$heure_fin_tmp) = explode("T",$note_dtend);
         $an_fin = substr($date_fin,0,4);
         $mois_fin = substr($date_fin,4,2);
         $jour_fin = substr($date_fin,6,2);
         $date_fin = $an_fin."-".$mois_fin."-".$jour_fin;
         list($jour_dem_deb,$mois_dem_deb,$an_dem_deb) = explode("/",$_POST['ztDate']);
         $date_dem_deb = $an_dem_deb."-".$mois_dem_deb."-".$jour_dem_deb;
         list($jour_dem_fin,$mois_dem_fin,$an_dem_fin) = explode("/",$_POST['ztDate2']);
         $date_dem_fin = $an_dem_fin."-".$mois_dem_fin."-".$jour_dem_fin;
         // On regarde si la date DTSTART et DTEND est en hiver ou non
         // ensuite on rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
         // Calcul des jours de passage heure d't et heure d'hiver
         // Avec date de debut de l'evenement
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','03',$i,$an_debut))=="Sun")
              {
               $heure_ete = $i;
              }
           }
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','10',$i,$an_debut))=="Sun")
              {
               $heure_hiver = $i;
              }
           }
         $heure_ete_deb = $an_debut."-03-".$heure_ete;
         $heure_hiver_deb = $an_debut."-10-".$heure_hiver;
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','03',$i,$an_fin))=="Sun")
              {
               $heure_ete = $i;
              }
           }
         for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','10',$i,$an_fin))=="Sun")
              {
               $heure_hiver = $i;
              }
           }
         $heure_ete_fin = $an_debut."-03-".$heure_ete;
         $heure_hiver_fin = $an_debut."-10-".$heure_hiver;
         // si date comprise entre heure_ete et heure_hiver c'est que c'est en ete et donc GMT(+2)
         // sinon c'est forcement GMT(+1)
         if (($date_debut<$heure_hiver_deb) && ($date_debut>$heure_ete_deb))
           {
            // c'est en ete ! on rajoute 2
            $heure_deb_h = substr($heure_deb_tmp,0,2)+2;
           }
         else
           {
            // c'est en hiver on rajoute 1
            $heure_deb_h = substr($heure_deb_tmp,0,2)+1;
           }
         if (($date_fin<$heure_hiver_fin) && ($date_fin>$heure_ete_fin))
           {
            // c'est en ete ! on rajoute 2
            $heure_fin_h = substr($heure_fin_tmp,0,2)+2;
           }
         else
           {
            // c'est en hiver on rajoute 1
            $heure_fin_h = substr($heure_fin_tmp,0,2)+1;
           }
         // minute de debut au format /100
         if ((substr($heure_deb_tmp,2,2)>=0) && (substr($heure_deb_tmp,2,2)<15)) $heure_deb_m = "00";
         if ((substr($heure_deb_tmp,2,2)>=15) && (substr($heure_deb_tmp,2,2)<30)) $heure_deb_m = "25";
         if ((substr($heure_deb_tmp,2,2)>=30) && (substr($heure_deb_tmp,2,2)<45)) $heure_deb_m = "50";
         if ((substr($heure_deb_tmp,2,2)>=45) && (substr($heure_deb_tmp,2,2)<=59)) $heure_deb_m = "75";
         // minute de fin au format /100
         if ((substr($heure_fin_tmp,2,2)>=0) && (substr($heure_fin_tmp,2,2)<15)) $heure_fin_m = "00";
         if ((substr($heure_fin_tmp,2,2)>=15) && (substr($heure_fin_tmp,2,2)<30)) $heure_fin_m = "25";
         if ((substr($heure_fin_tmp,2,2)>=30) && (substr($heure_fin_tmp,2,2)<45)) $heure_fin_m = "50";
         if ((substr($heure_fin_tmp,2,2)>=45) && (substr($heure_fin_tmp,2,2)<=59)) $heure_fin_m = "75";
         // On reforme les heures de deb et fin de la note
         $heure_deb = $heure_deb_h.".".$heure_deb_m;
         $heure_fin = $heure_fin_h.".".$heure_fin_m;
         if (($date_debut>=$date_dem_deb) && ($date_debut<=$date_dem_fin))
           {
            // On traite l'ajout si l'heure et bien comprise entre les 2 dates entres dans le formaulaire.
            // On rajoute le champ location a la description s'il est renseigne
            if ($note_location!="")
              {
               $note_description .= "\r\nLieu :\r\n".str_replace("'","\'",rtrim($note_location));
               $note_description = str_replace("=0D=0A","\r\n",$note_description);               
              }
            $id_age="";
            $DB_CX->DbQuery("SELECT age_id FROM ${PREFIX_TABLE}agenda WHERE age_date='$date_debut' AND age_heure_debut='$heure_deb' AND age_heure_fin='$heure_fin' AND age_libelle='$note_summary' AND age_util_id='$idUser'");
            if ($DB_CX->DbNumRows())
              {
               $id_age = $DB_CX->DbResult(0,0);
               // On ne fait rien ! car la note existe
               $err =  "<P class=\"vert\"><B>Des &eacute;v&egrave;nements sont d&eacute;j&agrave; pr&eacute;sent dans votre agenda !</B></P>";
              }
            else
              {
               if ($note_class=="PRIVATE") $priv = 1;
               else $priv = 0;
               $sid =$idUser;
               $ckTypeNote = "2";
               $idAge = $id_age;
               $ztAction = "INSERT";
               $edit = "";
               $ztFrom = "note";
               $tcMenu = "1";
               //$sd = $date_aujourdhui;
               $ztRecommence = "NON";
               $ztParticipant = $idUser;
               // couleur
               $zlCouleur = $note_couleur;
               $ztLibelle = $note_summary;
               $ztDetail = $note_description;
               $ztDate = $jour_debut."/".$mois_debut."/".$an_debut;
               $zlHeureDebut = $heure_deb;
               $zlHeureFin = $heure_fin;
               $rdPrive = $priv;
               // Gestion Repetition
               if ($note_rrule=="")
                 {
                  // Pas de repetition
                  $zlPeriodicite = "1";
                  // Ajout de la note
                  $nbAjout = $nbAjout + 1;
                  $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                  $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                  $note_detail[$nbAjout.'date_debut'] = $date_debut;
                  $note_detail[$nbAjout.'summary'] = $note_summary;
                  import_cal();
                 }
               else
                 {
                  // Gestion des repetitions
                  // On regarde si la note est presente
                  $DB_CX->DbQuery("SELECT * FROM ${PREFIX_TABLE}agenda WHERE age_date='$date_debut' AND age_heure_debut='$heure_deb' AND age_heure_fin='$heure_fin' AND age_libelle='$note_summary' AND age_util_id='$idUser'");
                  if ($DB_CX->DbNumRows())
                    {
                     // On ne fait rien la note existe deja !
                     $err =  "<P class=\"vert\"><B>Des &eacute;v&egrave;nements identiques sont d&eacute;j&agrave; pr&eacute;sent dans votre agenda !</B></P>";
                    }
                  else
                    {
                     // On recupere le type de repetition
                     $freq_type = substr($note_rrule,0,1);
                     if (($freq_type=="D") || ($freq_type=="W") || ($freq_type=="M") || ($freq_type=="Y"))
                       {
                        // C'est un type VCal !! tout est ok
                        $rule_options = explode(" ",$note_rrule);
                        $nb_options = count($rule_options);
                        //echo "Nb Options : ".count($rule_options)."<BR>";
                        /*
                        for($i=0;$i<count($rule_options);$i++)
                          {
                           echo "Option ".$i." : ".$rule_options[$i]."<BR>";
                          }
                        */
                        // On recherche si c'est un COUNT ou un UNTIL
                        if (substr($rule_options[$nb_options-1],0,1)=="#")
                          {
                           if (substr($rule_options[$nb_options-1],1,1)=="0")
                             {
                              //echo "c'est un UNTIL infini";
                              $until_type = "UNTIL";
                              $an_plus_10 = date("Y")+10;
                              $until_nb = $an_plus_10."1231"; // jusqu'a 2006+10-12-31 => 31 decembre 2016
                             }
                           else
                             {
                              //echo "c'est un COUNT!!";
                              $until_type = "COUNT";
                              $until_nb = substr($rule_options[$nb_options-1],1,3);
                             }
                          }
                        else
                          {
                           //echo "c'est un UNTIL";
                           $until_type = "UNTIL";
                           $until_nb = substr($rule_options[$nb_options-1],0,8);
                          }
                        if ($until_type=="UNTIL") $rdPlage = "2";
                        else $rdPlage = "1";
                        //echo "<BR>fin : ".$rule_options[$nb_options-1];
                        $until_date_an = substr($until_nb,0,4);
                        $until_date_mois = substr($until_nb,4,2);
                        $until_date_jour = substr($until_nb,6,2);
                        // date "until" au format yyyy-mm-dd
                        $until_date = $until_date_an."-".$until_date_mois."-".$until_date_jour;
                        // on explose la date de debut en : an, mois, jour
                        list($date_debut_an,$date_debut_mois,$date_debut_jour) = explode("-",$date_debut);
                        // -------------------------------- //
                        // TRAITEMENT DES REPETITIONS !!!!! //
                        // -------------------------------- //
                        // Date de fin
                        if ($until_type=="COUNT")
                          {
                           // Occurrences
                           $ztP=ltrim(rtrim($until_nb));
                          }
                        else
                          {
                           // Fin apres le
                           $until_date_an = substr($until_nb,0,4);
                           $until_date_mois = substr($until_nb,4,2);
                           $until_date_jour = substr($until_nb,6,2);
                           $zlP1 = $until_date_jour;
                           $zlP2 = $until_date_mois;
                           $zlP3 = $until_date_an;
                          }
                        // ** REPETITION QUOTIDIENNE ** //
                        if ($freq_type=="D")
                          {
                           $zlPeriodicite = "2";
                           $rdQ = "1"; // Tous les $inter_nb jours
                           $ztQ = substr($rule_options[0],1,3); // nb jour
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                        // ** REPETITION HEBDOMADAIRE ** //
                        if ($freq_type=="W")
                          {
                           $zlPeriodicite = "3";
                           // On recupere le jour choisi pour les repetitions
                           if ($nb_options<="2")
                             {
                              // il n'y a aucun jour de precise pour les repetitions
                              // On prend donc la jour de debut de la note "dtstart"
                              $zlH = $jour[$date_debut_jour];
                             }
                           else
                             {
                              // On prend le premier jour de la liste...car on ne gere pas les autres.
                              $zlH = $jour[$rule_options[1]];
                             }
                           $ztH = substr($rule_options[0],1,3); // nb semaine
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
                        // ** REPETITION MONTHLY ** //
                        if ($freq_type=="M")
                          {
                           $zlPeriodicite = "4";
                           
                           // On cherche s'il y a un rang ou non
                           $m_rang = substr($rule_options[0],1,1);

                           if ($m_rang=="D")
                             {
                              // IL n'y a pas de rang
                              $rdM="1";
                              // On cherche le jour demande par la note
                              if ($nb_options<="2")
                                {
                                 // il n'y a aucun jour de precise pour les repetitions
                                 // On prend donc la jour de debut de la note "dtstart"
                                 $zlM1 = $date_debut_jour;
                                }
                              else
                                {
                                 // On prend le premier jour de la liste...car on ne gere pas les autres.
                                 $zlM1 = $rule_options[1];
                                }
                             }
                           elseif ($m_rang=="P")
                             {
                              // Il y a le rang du jour dans le mois donne avec le nom du jour
                              $rdM="2";
                              $j_rang = substr($rule_options[1],0,1);
                              $rang_signe = substr($rule_options[1],1,1);
                              if ($rang_signe=="+")
                                {
                                 $zlM2=$j_rang-1;
                                }
                              else
                                {
                                 if ($j_rang=="1") $zlM2="4";
                                 if ($j_rang=="2") $zlM2="3";
                                 if ($j_rang=="3") $zlM2="2";
                                 if ($j_rang=="4") $zlM2="1";
                                }
                              // On cherche le numero du jour 0:dimanche -> 6:samedi
                              $zlM3=$jour[$rule_options[2]];
                             }
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
/*
                        // ** REPETITION ANNUELLE ** //
                        if ($freq_type=="YEARLY")
                          {
                           $zlPeriodicite = "5";
                           $rdA = "1";
                           $zlA1 = $date_debut_jour; // jour de l'evenement a repeter
                           $zlA2 = $date_debut_mois; // mois de l'evenement a repeter
                           // Ajout de la note
                           $nbAjout = $nbAjout + 1;
                           $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                           $note_detail[$nbAjout.'date_debut'] = $date_debut;
                           $note_detail[$nbAjout.'summary'] = $note_summary;
                           import_cal();
                          }
*/
                       }
                     else
                       {
                        // Pas de repetition -> ajout de la note sans repet
                        $zlPeriodicite = "1";

                        // Ajout de la note
                        $nbAjout = $nbAjout + 1;
                        $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".(substr($heure_deb_tmp,2,2)); // minutes sur 60
                        $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".(substr($heure_fin_tmp,2,2)); // minutes sur 60
                        $note_detail[$nbAjout.'date_debut'] = $date_debut;
                        $note_detail[$nbAjout.'summary'] = $note_summary;
                        import_cal();
                        $err =  "<P class=\"rouge\"><B>Erreur dans les r&eacute;p&eacute;titions, elles ne seront pas prises en compte !</B></P>";
                       }
                    }
                 }
              }
           }
        }

     }
    }
   }
if ($err=="")
   {
    if ($nbAjout!="0")
      $err =  "<P class=\"vert\"><B>Import termin&eacute;. ".$nbAjout." &eacute;v&egrave;nement(s) ajout&eacute;(s)/modifi&eacute;(s)</B></P>";
    else
      $err = "<P class=\"rouge\"><B>Pas d'&eacute;v&egrave;nement disponible !</B></P>";
   }
}
//--------------------------------------------------

// Extraction depuis le fichier d'import CSV (Outlook, les rptitions ne sont pas gres !!)
function importcsv($fileName,&$err,&$nbAjout,&$note_detail,&$nbrepet) {
global $DB_CX, $PREFIX_TABLE, $idUser;
global $sid,$zlPeriodicite,$zlCouleur,$rdA,$zlA1,$zlA2,$rdPlage,$ztP,$zlP1,$zlP2,$zlP3,$rdQ,$ztQ,$zlH,$ztH,$rdM,$zlM1,$zlM2,$zlM3,$idUser,$ztDate,$ckTypeNote,$idAge,$ztAction,$edit,$ztFrom,$tcMenu,$sd,$ztRecommence,$ztParticipant,$ztLibelle,$ztDetail,$rdPrive,$zlHeureDebut,$zlHeureFin;

if (file_exists($fileName))
   {
    $note_detail="";
    $err = "";
    $nbnote = 0;
    $nbAjout = 0;
    $nbrepet = 0;
    $ajout_en_cours = 0;
    $ajout_ok = 0;
    $nb_champ_cours = 0;
    $fcontents = @file($fileName);
    $fic_name  = $_FILES['ztFile']['name'];
    $fic_ext = explode(".",$fic_name);
    if (strtolower($fic_ext[1])!="csv")
      {
       $err = "<P class=\"rouge\"><B>ERREUR : L'extension du fichier n'est pas bonne (.csv) !</B></P>";
      }
    else
    {
    // Date du jour (au format phenix pour comparer les date des notes (poru termine ou non)
    $j = date("d");
    $j_nom = strtoupper(substr(date("D"),0,2));
    $m = date("m");
    $an = date("Y");
    $date_aujourdhui = $an."-".$m."-".$j;

    $tabindex = explode(",",$fcontents[0]);
    $nbChamp = count($tabindex);
    for ($i=1;$i<=count($fcontents);$i++) {
      // Initialisation des variables
      if (($ajout_en_cours =="0") && ($ajout_ok=="0"))
      {
      $nbnote = $nbnote + 1;
      $j_rang="";
      $note_uid = "";
      $note_summary = "";
      $note_description = "";
      $note_location = "";
      $note_class = "";
      $until_type=="";
      $until_nb=="";
      $note_attendee = "";
      $note_couleur = "";
      $note_rrule = "";
      $note_dtstart = "";
      $note_dtend = "";
      $zlPeriodicite=$zlCouleur=$rdPlage=$rdA=$zlA1=$zlA2=$ztP=$zlP1=$zlP2=$zlP3=$rdQ=$ztQ=$zlH=$ztH=$rdM=$zlM1=$zlM2=$zlM3=$ztDate=$ckTypeNote=$idAge=$ztAction=$edit=$ztFrom=$tcMenu=$sd=$ztRecommence=$ztParticipant=$ztLibelle=$ztDetail=$rdPrive=$zlHeureDebut=$zlHeureFin="";
      }
      $tabCtt = explode(",",$fcontents[$i]);
      if (count($tabCtt)==$nbChamp) // c'est une note sans commentaire
        {
         $ajout_en_cours = "1";          
         for ($j=0;$j<$nbChamp;$j++){  // On regarde tous les champs
         // Recup du titre
         if ($tabindex[$j]=='"Objet"')
           {
            $ztLibelle = str_replace('"','',$tabCtt[$j]);
            $ztLibelle = str_replace("'","\'",$ztLibelle);
           }
         // Recup de la date de dbut ou heure de dbut (merci Microsoft pour les noms pourris !!)
         if ($tabindex[$j]=='"Dbut"')
           {
            $pos = strpos($tabCtt[$j], "/");
            if ($pos === false)
              {
               // c'est l'heure de dbut
               list($heure_deb_h,$heure_deb_m_tmp,$heure_deb_sec) = explode(':',str_replace('"','',$tabCtt[$j]));
               // minute de debut au format /100
               if (($heure_deb_m_tmp>=0) && ($heure_deb_m_tmp<15)) $heure_deb_m = "00";
               if (($heure_deb_m_tmp>=15) && ($heure_deb_m_tmp<30)) $heure_deb_m = "25";
               if (($heure_deb_m_tmp>=30) && ($heure_deb_m_tmp<45)) $heure_deb_m = "50";
               if (($heure_deb_m_tmp>=45) && ($heure_deb_m_tmp<=59)) $heure_deb_m = "75";
               // On reforme les heures de deb et fin de la note au format Phenix
               $zlHeureDebut = $heure_deb_h.".".$heure_deb_m;
              }
            else
              {
               // C'est la date de dbut de l'evenement
               list($jour_debut,$mois_debut,$an_debut) = explode("/",str_replace('"','',$tabCtt[$j]));
               if (strlen($mois_debut)=="1") $mois_debut = "0".$mois_debut;
               if (strlen($jour_debut)=="1") $jour_debut = "0".$jour_debut;
               // On reforme la date au format Phenix
               $Date_note = $jour_debut."/".$mois_debut."/".$an_debut;
               $date_debut = $an_debut."-".$mois_debut."-".$jour_debut;
              }
           }
         // Recup de la date de fin ou heure de fin
         if ($tabindex[$j]=='"Fin"')
           {
            $pos = strpos($tabCtt[$j], "/");
            if ($pos === false)
              {
               // c'est l'heure de fin
               list($heure_fin_h,$heure_fin_m_tmp,$heure_fin_sec) = explode(':',str_replace('"','',$tabCtt[$j]));
               // minute de debut au format /100
               if (($heure_fin_m_tmp>=0) && ($heure_fin_m_tmp<15)) $heure_fin_m = "00";
               if (($heure_fin_m_tmp>=15) && ($heure_fin_m_tmp<30)) $heure_fin_m = "25";
               if (($heure_fin_m_tmp>=30) && ($heure_fin_m_tmp<45)) $heure_fin_m = "50";
               if (($heure_fin_m_tmp>=45) && ($heure_fin_m_tmp<=59)) $heure_fin_m = "75";
               // On reforme les heures de fin et fin de la note
               $zlHeureFin = $heure_fin_h.".".$heure_fin_m;
              }
            // On ne s'occupe pas de la date de fin...on prend la mme que la date du dbut dans tous les cas
           }
         // Recup Priv/Public
         if (rtrim($tabindex[$j])=='"Priv"')
           {
            if (rtrim(str_replace('"','',$tabCtt[$j]))=="Faux") $rdPrive = 0;
            else $rdPrive = 1;
           }
         $ajout_ok = "1";
         } // fin boucle : regarde tous les champs
        }
      else // C'est une note avec commentaires ou c'est une ligne de commantaire
        {
         $ajout_en_cours = "1";
         for ($j=0;$j<count($tabCtt);$j++){
         if ((substr($fcontents[$i],0,1)=='"') && (substr($fcontents[$i],1,1)!='"') && (substr($fcontents[$i],1,1)!=","))
           { // C'est le dbut de la note !  
            // Recup du titre
            if ($tabindex[$j]=='"Objet"')
              {
               $ztLibelle = str_replace('"','',$tabCtt[$j]);
               $ztLibelle = str_replace("'","\'",$ztLibelle);
              }
            // Recup de la date de dbut ou heure de dbut (merci Microsoft pour les noms pourris !!)
            if ($tabindex[$j]=='"Dbut"')
              {
               $pos = strpos($tabCtt[$j], "/");
               if ($pos === false)
                 {
                  // c'est l'heure de dbut
                  list($heure_deb_h,$heure_deb_m_tmp,$heure_deb_sec) = explode(':',str_replace('"','',$tabCtt[$j]));
                  // minute de debut au format /100
                  if (($heure_deb_m_tmp>=0) && ($heure_deb_m_tmp<15)) $heure_deb_m = "00";
                  if (($heure_deb_m_tmp>=15) && ($heure_deb_m_tmp<30)) $heure_deb_m = "25";
                  if (($heure_deb_m_tmp>=30) && ($heure_deb_m_tmp<45)) $heure_deb_m = "50";
                  if (($heure_deb_m_tmp>=45) && ($heure_deb_m_tmp<=59)) $heure_deb_m = "75";
                  // On reforme les heures de deb et fin de la note au format Phenix
                  $zlHeureDebut = $heure_deb_h.".".$heure_deb_m;
                 }
               else
                 {
                  // C'est la date de dbut de l'evenement
                  list($jour_debut,$mois_debut,$an_debut) = explode("/",str_replace('"','',$tabCtt[$j]));
                  if (strlen($mois_debut)=="1") $mois_debut = "0".$mois_debut;
                  if (strlen($jour_debut)=="1") $jour_debut = "0".$jour_debut;
                  // On reforme la date au format Phenix
                  $Date_note = $jour_debut."/".$mois_debut."/".$an_debut;
                  $date_debut = $an_debut."-".$mois_debut."-".$jour_debut;
                 }
              }
            // Recup de la date de fin ou heure de fin
            if ($tabindex[$j]=='"Fin"')
              {
               $pos = strpos($tabCtt[$j], "/");
               if ($pos === false)
                 {
                  // c'est l'heure de fin
                  list($heure_fin_h,$heure_fin_m_tmp,$heure_fin_sec) = explode(':',str_replace('"','',$tabCtt[$j]));
                  // minute de debut au format /100
                  if (($heure_fin_m_tmp>=0) && ($heure_fin_m_tmp<15)) $heure_fin_m = "00";
                  if (($heure_fin_m_tmp>=15) && ($heure_fin_m_tmp<30)) $heure_fin_m = "25";
                  if (($heure_fin_m_tmp>=30) && ($heure_fin_m_tmp<45)) $heure_fin_m = "50";
                  if (($heure_fin_m_tmp>=45) && ($heure_fin_m_tmp<=59)) $heure_fin_m = "75";
                  // On reforme les heures de fin et fin de la note
                  $zlHeureFin = $heure_fin_h.".".$heure_fin_m;
                 }
               // On ne s'occupe pas de la date de fin...on prend la mme que la date du dbut dans tous les cas
              }
            // Recup description
            if ($tabindex[$j]=='"Description"')
              {
               $ztDetail = str_replace('"','',$tabCtt[$j]);
              }
            $num_champ_cours = count($tabCtt)-1;
           }
         if (count($tabCtt)=="1")
           { // c'est un commentaire
            $ztDetail .= str_replace('""','"',$tabCtt[$j]);
           }
         if ((substr($fcontents[$i],strlen($fcontents[$i])-3,1)=='"') && (substr($fcontents[$i],strlen($fcontents[$i])-4,1))!='"')
           {// On regarde le dernier et l'avant dernier caractere de la ligne
            // C'est la fin de la note !
            // Recup description
            if ($tabindex[$j+$num_champ_cours]=='"Description"')
              {
               $ztDetail .= str_replace('"','',$tabCtt[$j]);
               $ztDetail = str_replace("'","\'",$ztDetail);
              }
            // Recup Priv/Public
            if (rtrim($tabindex[$j+$num_champ_cours])=='"Priv"')
              {
               if (rtrim(str_replace('"','',$tabCtt[$j]))=="Faux") $rdPrive = 0;
               else $rdPrive = 1;
              }
            $ajout_ok = "1";
           }
         } // fin boucle : regarde tous les champs
        }
      // Insertion dans la base !
      if ($ajout_ok== "1")
        {
         list($jour_dem_deb,$mois_dem_deb,$an_dem_deb) = explode("/",$_POST['ztDate']);
         $date_dem_deb = $an_dem_deb."-".$mois_dem_deb."-".$jour_dem_deb;
         list($jour_dem_fin,$mois_dem_fin,$an_dem_fin) = explode("/",$_POST['ztDate2']);
         $date_dem_fin = $an_dem_fin."-".$mois_dem_fin."-".$jour_dem_fin;
         if (($date_debut>=$date_dem_deb) && ($date_debut<=$date_dem_fin))
           {
            $id_age="";
            // On regarde si la note existe dj
            $DB_CX->DbQuery("SELECT age_id FROM ${PREFIX_TABLE}agenda WHERE age_date='$date_debut' AND age_heure_debut='$zlHeureDebut' AND age_heure_fin='$zlHeureFin' AND age_libelle='$ztLibelle' AND age_util_id='$idUser'");
            if ($DB_CX->DbNumRows())
              {
               $id_age = $DB_CX->DbResult(0,0);
               // On ne fait rien ! car la note existe
               $err =  "<P class=\"vert\"><B>Des &eacute;v&egrave;nements sont d&eacute;j&agrave; pr&eacute;sent dans votre agenda !</B></P>";
              }
            else
              {
               // Pas de repetition -> ajout de la note sans repet
               $zlPeriodicite = "1";
               $sid =$idUser;
               $ckTypeNote = "2";
               $idAge = $id_age;
               $ztAction = "INSERT";
               $edit = "";
               $ztFrom = "note";
               $tcMenu = "1";
               //$sd = $date_aujourdhui;
               $ztRecommence = "NON";
               $ztParticipant = $idUser;
               $ztDate = $Date_note;
               $zlCouleur = "";
               // Ajout de la note car elle n'existe pas !
               $nbAjout = $nbAjout + 1;
               $note_detail[$nbAjout.'heure_deb'] = $heure_deb_h."h".$heure_deb_m_tmp; // minutes sur 60
               $note_detail[$nbAjout.'heure_fin'] = $heure_fin_h."h".$heure_fin_m_tmp; // minutes sur 60
               $note_detail[$nbAjout.'date_debut'] = $ztDate;
               $note_detail[$nbAjout.'summary'] = str_replace("\'","'",$ztLibelle);
               import_cal();
              }
            $ajout_en_cours = "0";
            $ajout_ok = "0";
            $num_champ_cours = 0 ;
           }
        }
    } // boucle pour regarder chaque ligne
    } // fin else traitement du fichier
   } //Fin le fichier existe
if ($err=="")
   {
    if ($nbAjout!="0")
      $err =  "<P class=\"vert\"><B>Import termin&eacute;. ".$nbAjout." &eacute;v&egrave;nement(s) ajout&eacute;(s)/modifi&eacute;(s)</B></P>";
    else
      $err = "<P class=\"rouge\"><B>Pas d'&eacute;v&egrave;nement disponible !</B></P>";
   }
}
//--------------------------------------------------

  echo ("  <STYLE type=\"text/css\">@import url(css/calendar_css.php?id=".$APPLI_STYLE.");</STYLE>
  <SCRIPT type=\"text/javascript\" src=\"inc/calendar.js\"></SCRIPT>
  <SCRIPT type=\"text/javascript\" src=\"inc/calendar-setup.js.php?sem=".$SEMAINE_TYPE."\"></SCRIPT>\n");
?>
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
  <TR>
    <TD height="28" class="sousMenu">Importer dans votre Agenda</TD>
  </TR>
  </TABLE><BR>
<?php
$j = date("d");
$m = date("m");
$an_deb = date("Y")-5;
$an_fin = date("Y")+5;
$date_deb = $j."/".$m."/".$an_deb;
$date_fin = $j."/".$m."/".$an_fin;

    if (!empty($ztFile)) {
      if ($_POST['fic_type_choix']=="vcal")
       {
        importvcal($ztFile,$err,$nbAjout,$note_detail,$nbrepet);
       }
      if (($_POST['fic_type_choix']=="vcalsunb") || ($_POST['fic_type_choix']=="ics"))
       {
        importics($ztFile,$err,$nbAjout,$note_detail,$nbrepet);
       }
      if ($_POST['fic_type_choix']=="csv")
       {
        importcsv($ztFile,$err,$nbAjout,$note_detail,$nbrepet);
       }

    }
// Message d'erreur !
    if ($err != "") {
      echo "<TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"442\" border=\"0\"><TR>\n <TD align=\"center\">";
      echo "  <TR><TD align=\"center\">\n";
      echo "<TABLE cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">\n";
      echo "  <TR bgcolor=\"".$CalepinFondMessage."\">\n";
      echo "        <TD colspan=\"2\" align=\"center\" class=\"bordTLRB\">".$err."</TD>\n";
      echo "  </TR>\n";
      echo "  <TR>\n";
      echo "        <TD colspan=\"2\" align=\"center\">&nbsp;</TD>\n";
      echo "  </TR>\n";
      echo "</TABLE>\n";
      echo "</TD></TR>";
      echo "</TABLE>";
    }
    echo ("<FORM name=\"FormImport\" method=\"POST\" action=\"?sid=".$sid."&tcMenu=".$tcMenu."\" enctype=\"multipart/form-data\"><TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"442\" border=\"0\"><TR>\n <TD align=\"center\">");?>
    <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
    <TR bgcolor="<?php echo $CalepinFondMessage; ?>">
      <TD align="left" colspan="2" class="bordTLRB" style="padding-left:3px;padding-right:3px;">
          <B>Vous pouvez Importer des &eacute;l&eacute;ments dans votre Agenda.</B><BR><I>(&agrave; partir de diff&eacute;rents types de fichiers)</I>
          <BR><BR>Voici la liste :
            <UL>
              <LI>VCal-Standard : fichier .vcs (format standard, utilis&eacute; par PalmDesktop,...)</LI>
              <LI>VCal-SunBird v.0.2 : fichier .vcs (format diff&eacute;rent pour les r&eacute;p&eacute;titions)</LI>
              <LI>ICal : fichier .ics (format utilis&eacute; pour les MACs)</LI>
              <LI>CSV : fichier .csv, .txt (format texte s&eacute;par&eacute; par des virgules, utilis&eacute; par certains logiciels. <I><B>Ce format ne supporte pas les r&eacute;p&eacute;titions</B></I>)</LI>
          </UL>
    <U>Choisissez la p&eacute;riode &agrave; exporter</U> :<BR><BR>
    <B>Date de d&eacute;but : </B><INPUT type="text" class="Texte" name="ztDate" id="ztDate" size=12 maxlength=10 value="<?php echo $date_deb; ?>" title="Format jj/mm/aaaa" onKeyPress="onlyChar(event.keyCode);">&nbsp;<INPUT type="button" id="btCal" value="..." class="Picklist" style="height:16px" title="Afficher le calendrier"><BR><BR>
    <B>Date de fin : </B><INPUT type="text" class="Texte" name="ztDate2" id="ztDate2" size=12 maxlength=10 value="<?php echo $date_fin; ?>" title="Format jj/mm/aaaa" onKeyPress="onlyChar(event.keyCode);">&nbsp;<INPUT type="button" id="btCal2" value="..." class="Picklist" style="height:16px" title="Afficher le calendrier"><BR>
    <P ALIGN="CENTER">Ne changez pas les dates si vous voulez importer la totalit&eacute;.<BR><BR></P>
    </TD>
    </TR>
      <?php echo"<TR bgcolor=\"".$bgColor[1]."\">";?>
        <TD width="55" class="tabIntitule">&nbsp;<B>Fichier :</B></TD>
        <TD width="385" class="tabInput"><SELECT name="fic_type_choix" size="1">
      <OPTION value="init" selected>(Type)</OPTION>
      <OPTION value="vcal">VCal-Standard (.cvs)</OPTION>
      <OPTION value="vcalsunb">VCal-SunBird v.0.2 (.cvs)</OPTION>
      <OPTION value="ics">ICal (.ics)</OPTION>
      <OPTION value="csv">CSV (.csv ou .txt)</OPTION>
    </SELECT>
    <INPUT type="file" class="texte" name="ztFile" size="20"></TD>
      </TR></TABLE>
<?php
    echo "<TR><TD ALIGN=\"CENTER\" colspan=\"2\"><BR>";
    echo ("<INPUT type=\"button\" class=\"bouton\" name=\"btImporter\" value=\"Importer\" title=\"Importer\" style=\"width:65px;\"
    onclick=\"javascript:if (document.forms.FormImport.ztFile.value=='') alert('Vous devez choisir un fichier'); else {if (document.forms.FormImport.fic_type_choix.options[document.forms.FormImport.fic_type_choix.selectedIndex].value=='init') alert('Vous devez choisir un type de fichier'); else document.forms.FormImport.submit();}\">");
    echo "<INPUT type=\"hidden\" name=\"sid\" value=\"".$sid."\">";
    echo "&nbsp;<INPUT type=\"button\" class=\"bouton\" name=\"btAnnule\" value=\"Annuler\" onclick=\"javascript: btAnnul();\">";
echo ("</TD></TR></TABLE></FORM>\n");
if ($nbAjout>0)
  {
   echo "<BR><BR>";
   echo "<B>D&eacute;tail des ajouts :</B><BR>";
   echo "<TEXTAREA name=\"nom\" rows=4 cols=85 wrap=off>";
   for ($i=1;$i<=($nbAjout-$nbrepet);$i+=1)
     {
      echo $note_detail[$i.'date_debut']." : ".$note_detail[$i.'summary']." de ".$note_detail[$i.'heure_deb']." &agrave; ".$note_detail[$i.'heure_fin']."\r\n";
     }
   echo "</TEXTAREA>";
  }
?>
    </TD>
    </TR>
    </TABLE>

<!-- FIN MODULE CALEPIN -->
  <SCRIPT type="text/javascript">
  <!--
    Calendar.setup( {
      inputField : "ztDate",    // ID of the input field
      ifFormat   : "%d/%m/%Y",  // the date format
      button     : "btCal"      // ID of the button
    } );
  //-->
  <!--
    Calendar.setup( {
      inputField : "ztDate2",    // ID of the input field
      ifFormat   : "%d/%m/%Y",  // the date format
      button     : "btCal2"      // ID of the button
    } );
  //-->
  </SCRIPT>
