<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  // Gestion des rapports d'erreurs
  error_reporting(E_ALL ^ E_NOTICE);

  // Parametres BDD
  // Recopier a l'identique le contenu de ces variables depuis le fichier inc/conf.inc.php
  $cfgHote = "localhost";  // Serveur MySQL
  $cfgUser = "";           // Utilisateur
  $cfgPass = "";           // Mot de passe
  $cfgBase = "phenix";    // Nom de la base
  $PREFIX_TABLE = "px_";   // Prefixe de vos tables
  ($DB_CX = @mysql_connect($cfgHote, $cfgUser, $cfgPass)) or die ("Vous devez renseigner les informations de connexion dans le fichier <B>agenda_import.php3</B>");
  mysql_select_db($cfgBase, $DB_CX);

  // On recherche les sessions encore valides
  $res = mysql_query("SELECT util_id, util_interface FROM ${PREFIX_TABLE}sid, ${PREFIX_TABLE}utilisateur WHERE sid_id='".$sid."' AND sid_util_id = util_id",$DB_CX);
  if (mysql_num_rows($res)) {
    // Recuperation de l'uid et du style
    $idUser = mysql_result($res,0,0);
    $APPLI_STYLE = mysql_result($res,0,1);
  }
  else {
    exit;
  }

  switch ($APPLI_STYLE) {
    case 1 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#DDDDDD";
      $AgendaBordureTableau="#666666";
      break;
    case 2 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#EAF4F4";
      $AgendaBordureTableau="#346AA6";
      break;
    case 3 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#EDEFF8";
      $AgendaBordureTableau="#5C70A0";
      break;
    case 4 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#B2CADE";
      $AgendaBordureTableau="#243B50";
      break;
    case 5 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#F7F7EF";
      $AgendaBordureTableau="#243B50";
      break;
    case 6 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#E4D5D4";
      $AgendaBordureTableau="#243B50";
      break;
    case 7 :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#DDDDDD";
      $AgendaBordureTableau="#000000";
      break;
    default :
      $bgColor[0]="#FFFFFF";
      $bgColor[1]="#EAF1F8";
      $AgendaBordureTableau="#00216b";
      break;
  }


// Extraction depuis le fichier d'import
  function importOutlook($fileName,&$err) {
    global $DB_CX, $PREFIX_TABLE, $idUser;
    $nbAjout = 0;
    $fcontents = @file($fileName);
    //Creation du groupe "Import Outlook" s'il n'existe pas
    $res = mysql_query("SELECT cgr_id FROM ${PREFIX_TABLE}calepin_groupe WHERE cgr_nom='Import Outlook' AND cgr_util_id=".$idUser,$DB_CX);
    if (mysql_num_rows($res))
      $grpID = mysql_result($res,0,0);
    else {
      mysql_query("INSERT INTO ${PREFIX_TABLE}calepin_groupe (cgr_util_id, cgr_nom) VALUES (".$idUser.",'Import Outlook')",$DB_CX);
      $grpID = mysql_insert_id($DB_CX);
    }
    for ($i=1;$i<count($fcontents);$i++) {
      $tabCtt = explode(";",$fcontents[$i]);
      $nbChamp = count($tabCtt);
      if ($nbChamp < 12) {
        // Adresse sur plusieurs lignes
        $stop = false;
        do {
          $tabCtt2 = explode(";",$fcontents[++$i]);
          $tabCtt[$nbChamp-1] .= $tabCtt2[0];
          $stop = (count($tabCtt2) > 1);
        } while (!$stop);
        for ($j=1;$j<count($tabCtt2);$j++)
          $tabCtt[$nbChamp-1+$j] = $tabCtt2[$j];
      }
      $tabCtt[3] = ereg_replace('"','',$tabCtt[3]);
      for ($j=0;$j<count($tabCtt);$j++)
        $tabCtt[$j] = addslashes(trim($tabCtt[$j]));
      $sqlValues = "('".$tabCtt[11]."',UPPER('".$tabCtt[1]."'),'".ucwords(strtolower($tabCtt[0]))."','".$tabCtt[3]."','".$tabCtt[5]."','".$tabCtt[4]."','".$tabCtt[6]."','".ereg_replace("[ .-]","",$tabCtt[7])."','".ereg_replace("[ .-]","",$tabCtt[9])."','".ereg_replace("[ .-]","",$tabCtt[8])."','".ereg_replace("[ .-]","",$tabCtt[10])."','".$tabCtt[2]."','".$idUser."')";
      mysql_query("INSERT INTO ${PREFIX_TABLE}calepin (cal_societe,cal_nom,cal_prenom,cal_adresse,cal_cp,cal_ville,cal_pays,cal_domicile,cal_travail,cal_portable,cal_fax,cal_email,cal_util_id) VALUES ".$sqlValues,$DB_CX);
      if (mysql_affected_rows($DB_CX)) {
        mysql_query("INSERT INTO ${PREFIX_TABLE}calepin_appartient (cap_cal_id, cap_cgr_id) VALUES (".mysql_insert_id($DB_CX).",".$grpID.")",$DB_CX);
        $nbAjout++;
      }
    }

    if ($nbAjout)
      $err =  "<P class=\"vert\"><B>Import termin&eacute;. ".$nbAjout." contact(s) ajout&eacute;(s)</B></P>";
    else
      $err = "<P class=\"rouge\"><B>Pas de contact disponible !</B></P>";
  }
//--------------------------------------------------
?>
<!DOCTYPE html public "-//w3c//dtd html 4.0 transitional//en">
<HTML>
<HEAD>
  <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <META http-equiv="Cache-Control" content="no-cache">
  <META name="Author" content="Stephane TEIL (phenix-agenda@laposte.net)">
  <META name="robots" content="noindex">
  <TITLE>Phenix</TITLE>
  <LINK rel="stylesheet" type="text/css" href="css/agenda_css.php?id=<?php echo $APPLI_STYLE; ?>">
<?php
  if (!empty($ztFile)) {
    echo ("  <SCRIPT language=\"JavaScript\">
  <!--
    window.opener.location.href='agenda.php?sid=".$sid."&tcMenu=".$tcMenu."&tcPlg=".$tcPlg."&sd=".$sd."';
  //-->
  </SCRIPT>\n");
  }
?>
</HEAD>

<BODY leftmargin="0" topmargin="8" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="8" onLoad="javascript: window.focus();">
<!-- MODULE IMPORT -->
  <FORM method="POST" action="?sid=<?php echo $sid; ?>&sd=<?php echo $sd; ?>&tcMenu=<?php echo $tcMenu; ?>&tcPlg=<?php echo $tcPlg; ?>" enctype="multipart/form-data">
  <TABLE cellspacing="0" cellpadding="0" width="465" border="0" align="center">
<?php
  if (!empty($ztFile)) {
    importOutlook($ztFile,$err);
  }
  if ($err != "") {
    echo "  <TR bgcolor=\"".$bgColor[0]."\">\n    <TD align=\"center\" colspan=\"2\" class=\"bordTLRB\">".$err."</TD>\n  </TR>\n";
  }
  echo ("  <TR bgcolor=\"".$bgColor[0]."\">
    <TD align=\"left\" colspan=\"2\" class=\"bordTLRB\" style=\"padding-left:3px;padding-right:3px;\">Cette page permet d'importer les contacts enregistr&eacute;s dans le carnet d'adresses d'Outlook Express 6.0. Proc&eacute;dure &agrave; suivre :
      <UL>
        <LI>Dans Outlook, faire <I>Fichier</I>-&gt;<I>Exporter</I>-&gt;<I>Autre carnet d'adresses...</I></LI>
        <LI>Choisir <I>Fichier texte (valeurs s&eacute;par&eacute;es par des virgules)</I> puis <I>Exporter</I></LI>
        <LI>Choisir l'endroit o&ugrave; le fichier sera sauvegard&eacute; puis <I>Suivant</I></LI>
        <LI>Dans la liste des champs &agrave; exporter, s&eacute;lectionner :<BR>
        <I>Pr&eacute;nom, Nom, Adresse de messagerie, Rue (domicile), Ville (domicile), Code Postal (domicile), Pays/r&eacute;gion (domicile), T&eacute;l&eacute;phone personnel, T&eacute;l&eacute;phone mobile, T&eacute;l&eacute;phone professionnel, T&eacute;l&eacute;copie professionnelle, Soci&eacute;t&eacute;</I> puis cliquer sur <I>Terminer</I></LI>
        <LI>R&eacute;cup&eacute;rer le fichier ainsi cr&eacute;&eacute; dans le formulaire ci-dessous et cliquer sur <I>Importer</I></LI>
    </UL></TD>
  </TR>
  <TR bgcolor=\"".$bgColor[1]."\">
    <TD width=\"80\" class=\"tabIntitule\">&nbsp;<B>Fichier</B></TD>
    <TD width=\"385\" class=\"tabInput\" style=\"padding-left:2px;padding-top:1px;\"><INPUT type=\"file\" class=\"texte\" name=\"ztFile\" size=55></TD>
   </TR>
  </TABLE>
  <CENTER><BR><INPUT type=\"submit\" class=\"bouton\" name=\"type\" value=\"Importer\">&nbsp;&nbsp;&nbsp;<INPUT type=\"button\" class=\"bouton\" name=\"btAnnule\" value=\"Annuler\" onclick=\"javascript: self.close();\"></CENTER>");
  mysql_close($DB_CX)
?>
  </FORM>
<!-- FIN MODULE IMPORT -->
</BODY>
</HTML>
