<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  require("inc/nocache.inc.php");
  require("inc/html.inc.php");
  if (isset($_GET['sid']) || isset($HTTP_GET_VARS['sid'])) {
    include("inc/conf.inc.php");
    include("inc/fonctions.inc.php");
  }
  else {
    include ("inc/interdit.html");
    exit;
  }

  $idUser = Session_ok($sid);

  if ($idUser == -1) {
    include ("inc/interdit.html");
    exit;
  }

  include("skins/$APPLI_STYLE.php");

  // On recherche si on a des infos a afficher
  $DB_CX->DbQuery("SELECT info_id, DATE_FORMAT(info_date, '%d/%m/%Y &agrave; %H:%i'), info_commentaire FROM ${PREFIX_TABLE}information WHERE info_destinataire_id=".$idUser." ORDER BY info_id");
  // Parcours et affichage des rsultats
  if ($DB_CX->DbNumRows()) {
    $infoUser  = "<TABLE width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"".$CalNavigationFond."\" style=\"border-collapse:separate;\">\n";
    $infoUser .= "        <TR><TD class=\"MenuOff\">&nbsp;<B>Suppr</B>&nbsp;</TD><TD class=\"MenuOff\" width=\"100%\">&nbsp;<B>Rappel(s)</B></TD></TR>\n";
    $index = 1;
    while ($enr = $DB_CX->DbNextRow()) {
      $index = 1 - $index;
      $infoUser .= "        <TR bgcolor=\"".$bgColor[$index]."\"><TD align=\"center\"><INPUT type=\"checkbox\" class=\"Case\" name=\"ckSuppr\" id=\"ckSuppr\" value=\"".$enr[0]."\">&nbsp;</TD>";
      $pos = strpos($enr[2],"@");
      $timeStamp = substr($enr[2],0,$pos);
      $infoUser .= "<TD><B>".substr($enr[2],$pos+1)."</B>, le ".$enr[1]."&nbsp;&nbsp;<A href=\"agenda.php?sd=".$timeStamp."&sid=".$sid."\" target=\"nav_".$sid."\"><IMG src=\"image/info_note.gif\" border=0 width=16 height=16 align=\"absmiddle\"></A>";
      $infoUser .= "</TD></TR>\n";
    }
    $infoUser .= "      </TABLE>";
    if ($c==1) {
      $infoUser .= "</TD>\n    </TR>\n    <TR>\n      <TD valign=\"bottom\" align=\"center\"><A href=\"javascript:CheckAll();\">Cocher tous</A> - <A href=\"javascript:ClearAll();\">Dcocher tous</A><BR>&nbsp;";
    }
  }
  else {
    include ("blank.html");
    exit;
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
  <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <LINK rel="stylesheet" type="text/css" href="css/agenda_css.php?id=<?php echo $APPLI_STYLE; ?>">
  <TITLE>Phenix <?php echo $APPLI_VERSION; ?></TITLE>
  <SCRIPT language=JavaScript>
  <!--
  //Destruction de la page apres 65s
  function timeOut() {
    this.todo='self.close()';
    timerId=setTimeout(this.todo,65000);
  }

  function OnLoad_Event() {
    var monTimeout;
    monTimeout=new timeOut();
  }
<?php if ($c==1) { ?>
  function CheckAll() {
    var d = document.Form1;
    var len = d.elements.length;
    for (var i = 0; i < len; i++) {
      var e = d.elements[i];
      if (e.name == "ckSuppr") {
        e.checked = true;
      }
    }
  }
  
  function ClearAll() {
    var d = document.Form1;
    var len = d.elements.length;
    for (var i = 0; i < len; i++) {
      var e = d.elements[i];
      if (e.name == "ckSuppr") {
        e.checked = false;
      }
    }
  }
<?php } ?>
  //Vrifie si une information a t selectionne
  function saisieOK(theForm) {
    var i;
    var statutOK = false;

    theForm.ztSuppr.value = "";

    for (i=0; i<theForm.elements.length; i++) {
      if ((theForm.elements[i].name == "ckSuppr") && (theForm.elements[i].checked)) {
        if (statutOK)
          theForm.ztSuppr.value += ","
        theForm.ztSuppr.value += theForm.elements[i].value;
        statutOK = true;
      }
    }
    if (!statutOK) {
      window.alert("Veuillez slectionner au moins une information  supprimer\navant d'utiliser cette fonctionnalit.");
      return (false);
    }
    theForm.submit();
    self.close();
    return (true);
  }
  //-->
  </SCRIPT>
</HEAD>
<BODY onLoad="javascript: window.focus(); OnLoad_Event();">
  <FORM action="info_valider.php?sid=<?php echo $sid; ?>" method="post" target="surv_<?php echo $sid; ?>" name="Form1">
    <INPUT type="hidden" name="ztSuppr" value="">
    <TABLE width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
    <TR>
      <TD valign="top"><?php echo $infoUser; ?></TD>
    </TR>
    <TR>
      <TD valign="bottom" align="center"><BR><INPUT type="button" class="Bouton" name="btSubmit" value="Valider" onclick="javascript:return saisieOK(document.Form1);">&nbsp;&nbsp;&nbsp;
        <INPUT type="button" class="Bouton" value="Fermer" onclick="javascript:return window.close();"><BR>&nbsp;
      </TD>
    </TR>
    </TABLE>
  </FORM>
</BODY>
</HTML>
<?php
  // Fermeture BDD
  $DB_CX->DbDeconnect();
?>