<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  include("inc/conf.inc.php");
// ----------------------------------------------------------------------------
// INITIALISATION DE L'AFFICHAGE
// ----------------------------------------------------------------------------
//4924FF>bleu 499200>vert 800000>bordeaux FFDBAA->orange clair 6DB6AA->petrole
  $v += 0;
  if (!empty($_SERVER))
    $NOM_PAGE = basename($_SERVER['PHP_SELF']);
  else
    $NOM_PAGE = basename($HTTP_SERVER_VARS['PHP_SELF']);
// ----------------------------------------------------------------------------
// FORMULAIRE D'IDENTIFICATION
// ----------------------------------------------------------------------------
  function formLog() {
    global $APPLI_VERSION, $NOM_PAGE;
    echo "<html><head><title>TiMode</title></head>";
    echo "<body text=\"#000000\" vlink=\"#800000\" link=\"#800000\" bgcolor=\"#FFFFFF\">";
    echo "<center><form method=\"post\" action=\"".$NOM_PAGE."\" target=\"_self\">";
    echo "Identifiant<br><input type=\"text\" name=\"log\" accesskey=\"7\" size=\"10\"><br>";
    echo "Mot de passe<br><input type=\"text\" name=\"pwd\" accesskey=\"9\" size=\"10\">";
    echo "<br><input type=\"submit\" name=\"btOK\" value=\"OK\" accesskey=\"4\"> <input type=\"reset\" name=\"btRaz\" value=\"Raz\" accesskey=\"6\"></form>";
    echo "<hr size=\"1\"><font color=\"#FF9200\">TiMode ".$APPLI_VERSION."</font><br>&copy; <a href=\"mailto:phenix-agenda@laposte.net\">St&eacute;phane TEIL</a></center></body></html>";
  }
// ----------------------------------------------------------------------------
// GENERATION D'UN IDENTIFIANT DE SESSION
// ----------------------------------------------------------------------------
  function SessionId($longueur, $idUser) {
    global $DB_CX, $PREFIX_TABLE;
    $Pool  = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $ok = false;
    // Generation d'un identifiant unique
    while (!$ok) {
      $sid = "";
      for ($index = 0; $index < $longueur; $index++)
        $sid .= substr($Pool, (mt_rand()%(strlen($Pool))), 1);
      $DB_CX->DbQuery("SELECT sid_util_id FROM ${PREFIX_TABLE}sid WHERE sid_id='".$sid."'");
      $ok = ($DB_CX->DbNumRows() == 0);
    }
    // Enregistrement de la session
    $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}sid VALUES ('".$sid."', ".$idUser.", now(),'',0,'','ALL')");
    return ($sid);
  }
// ----------------------------------------------------------------------------
// VERIFICATION DE L'IDENTIFICATION
// ----------------------------------------------------------------------------
  function Session_ok($idSession) {
    global $DB_CX, $PREFIX_TABLE, $NOM_USER;
    // On recherche les sessions encore valides
    $DB_CX->DbQuery("SELECT util_id, CONCAT(util_nom,' ',util_prenom) FROM ${PREFIX_TABLE}sid, ${PREFIX_TABLE}utilisateur WHERE sid_id='".$idSession."' AND sid_util_id = util_id AND sid_session_id=''");
    if ($DB_CX->DbNumRows()) {
      // Recuperation de l'uid et du style
      $idUser = $DB_CX->DbResult(0,0);
      $NOM_USER = $DB_CX->DbResult(0,1);
      // Bail ok, on le renouvelle
      $DB_CX->DbQuery("UPDATE ${PREFIX_TABLE}sid SET sid_last_maj=now() WHERE sid_id='".$idSession."'");
    }
    else {
      formLog();
      exit;
    }
    return ($idUser);
  }
// ----------------------------------------------------------------------------
// FORMATAGE DES HEURES POUR L'AFFICHAGE
// ----------------------------------------------------------------------------
function afficheHeure($heure,$minute) {
  return date("H:i",mktime($heure,($minute*60)%60,0,1,1,2000));
}
// ----------------------------------------------------------------------------
// IDENTIFICATION DE L'UTILISATEUR
// ----------------------------------------------------------------------------
  if (!isset($sid)) {
    // Cryptage du mot de passe
    $ztPasswd = md5(trim($pwd));
    // Recherche de l'utilisateur correspondant
    $DB_CX->DbQuery("SELECT util_id FROM ${PREFIX_TABLE}utilisateur WHERE util_login='".$log."' AND util_passwd='".$ztPasswd."'");

    if ($DB_CX->DbNumRows()) {
      // L'utilisateur existe
      $idUser = $DB_CX->DbResult(0,0);
      // On gnre un nouveau sid
      mt_srand((double)microtime()*1000000);
      $sid = SessionId(8, $idUser);
    }
    else {
      // L'utilisateur n'existe pas
      // Fermeture BDD
      $DB_CX->DbDeconnect();
      formLog();
      exit;
    }
  }

  $idUser = Session_ok($sid);

// ----------------------------------------------------------------------------
// RECUPERATION ET FORMATAGE DE LA DATE A TRAITER
// ----------------------------------------------------------------------------
  $sd += 0;
  if (!$sd) {
    if (!isset($jour))  $jour = ((!empty($mois)) ? 1 : date("j"));
    if (!isset($mois))  $mois = date("n");
    if (!isset($annee)) $annee = date("Y");
    $sd = mktime(12,0,0,$mois, $jour, $annee);
  }
  $jourEnCours  = date("d", $sd);
  $moisEnCours  = date("m", $sd);
  $anneeEnCours = date("Y", $sd);
// ----------------------------------------------------------------------------
// ENTETE HTML COMMUNE
// ----------------------------------------------------------------------------
  echo ("<html>
<head>
  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
  <title>TiMode</title>
  <base target=\"_self\">
</head>
<body text=\"#000000\" vlink=\"#800000\" link=\"#800000\" bgcolor=\"#FFFFFF\" leftmargin=\"1\" topmargin=\"2\" rightmargin=\"1\" bottommargin=\"0\" marginwidth=\"1\" marginheight=\"2\">
<table width=\"100%\"><tr><td bgcolor=\"#FFB655\" align=\"center\">".(($v>4) ? "Calepin de " : "Agenda de ").$NOM_USER."</td></tr></table>");
// ----------------------------------------------------------------------------
// FORMULAIRE DE RECHERCHE DANS LE CALEPIN
// ----------------------------------------------------------------------------
  if ($v==5) {
    echo "<form method=\"post\" action=\"".$NOM_PAGE."\">";
    echo "<input type=\"hidden\" name=\"sid\" value=\"".$sid."\"><input type=\"hidden\" name=\"v\" value=\"6\">";
    echo "<table align=\"center\"><tr><td>Recherche par nom<br><input type=\"text\" name=\"nom\" accesskey=\"4\" size=\"10\" value=\"\"> <input type=\"submit\" name=\"btOK\" value=\"OK\" accesskey=\"6\"></td></tr></table></form>";
    echo "<hr size=\"1\"><center>&#59109; <a href=\"".$NOM_PAGE."?sid=".$sid."\" accesskey=\"4\">Agenda</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&v=2\" accesskey=\"5\">Note</a> &#59110;</center>";
  }
// ----------------------------------------------------------------------------
// RESULTAT DE LA RECHERCHE DANS LE CALEPIN
// ----------------------------------------------------------------------------
  elseif ($v==6) {
    if (trim($nom)=="")
      echo "<center><font color=\"FF0000\">Veuillez saisir une bribe de nom</font></center><hr size=\"1\">";
    else {
      $strOutput = "";
      $DB_CX->DbQuery("SELECT DISTINCT cal_id, CONCAT(cal_nom,' ',cal_prenom), cal_domicile, cal_travail, cal_portable, cal_email, cal_emailpro FROM ${PREFIX_TABLE}calepin WHERE (LOWER(cal_nom) LIKE LOWER('%".trim($nom)."%') OR LOWER(cal_prenom) LIKE LOWER('%".trim($nom)."%')) AND (cal_util_id=".$idUser." OR (cal_util_id!=".$idUser." AND cal_partage='O')) ORDER BY cal_nom ASC, cal_prenom ASC, cal_societe ASC");
      if ($DB_CX->DbNumRows()) {
        echo "<table width=\"100%\"><tr><td bgcolor=\"#6D92AA\" align=\"center\">".$DB_CX->DbNumRows()." rponse".(($DB_CX->DbNumRows()>1)?"s":"")."</td></tr></table>";
        while ($enr = $DB_CX->DbNextRow()) {
          $strOutput .= "<font color=\"4924FF\">".trim($enr[1])."</font>";
          if ($enr[2]!="") {
            $enr[2] = preg_replace( "/[^0-9+]+/","",$enr[2]);
            $strOutput .= "<br>Dom: <a href=\"tel:".$enr[2]."\">".$enr[2]."</a>";
          }
          if ($enr[3]!="") {
            $enr[3] = preg_replace( "/[^0-9+]+/","",$enr[3]);
            $strOutput .= "<br>Pro: <a href=\"tel:".$enr[3]."\">".$enr[3]."</a>";
          }
          if ($enr[4]!="") {
            $enr[4] = preg_replace( "/[^0-9+]+/","",$enr[4]);
            $strOutput .= "<br>Mob: <a href=\"tel:".$enr[4]."\">".$enr[4]."</a>";
          }
          if ($enr[5]!="")
            $strOutput .= "<br>&#59091; <a href=\"mailto:".$enr[5]."\">".$enr[5]."</a>";
          if ($enr[6]!="")
            $strOutput .= "<br>&#59091; <a href=\"mailto:".$enr[6]."\">".$enr[6]."</a>";
          $strOutput .= "<br><center><a href=\"".$NOM_PAGE."?sid=".$sid."&v=7&id=".$enr[0]."&nom=".urlencode(stripslashes($nom))."\">[Dtail]</a></center><hr size=\"1\">";
        }
      }
      else
        $strOutput = "<center><font color=\"#FF0000\">Aucun contact trouv</font></center><hr size=\"1\">";
    }
    echo $strOutput."<center>&#59111; <a href=\"".$NOM_PAGE."?sid=".$sid."&v=5\" accesskey=\"6\">Autre recherche</a><br>&#59109; <a href=\"".$NOM_PAGE."?sid=".$sid."\" accesskey=\"4\">Agenda</a>  - <a href=\"".$NOM_PAGE."?sid=".$sid."&v=2\" accesskey=\"5\">Note</a> &#59110;</center>";
  }
// ----------------------------------------------------------------------------
// DETAIL D'UN CONTACT
// ----------------------------------------------------------------------------
  elseif ($v==7) {
    $strOutput = "";
    $DB_CX->DbQuery("SELECT * FROM ${PREFIX_TABLE}calepin WHERE cal_id=".$id);
    if ($DB_CX->DbNumRows()) {
      $enr = $DB_CX->DbNextRow();
      if (!empty($enr[1]))   // Socit
        $strOutput .= $enr[1]."<br>";
      if (!empty($enr[2]) || !empty($enr[3]))  // Nom et Prnom
        $strOutput .= "<font color=\"4924FF\">".trim($enr[2]." ".$enr[3])."</font>";
      if (!empty($enr[4]))   // Adresse
        $strOutput .= "<br>".str_replace(chr(13),"",str_replace(chr(10),"<br>",$enr[4]));
      if (!empty($enr[5]) || !empty($enr[6]))  // Code postal et Ville
        $strOutput .= "<br>".trim($enr[5]." ".$enr[6]);
      if (!empty($enr[7]))   // Pays
        $strOutput .= "<br>".$enr[7];
      if (!empty($enr[17]) && $enr[17]!="0000-00-00") { // Age
        $tabDate = explode("-",$enr[17]);
        $age=date("Y")-$tabDate[0];
        if (date("md")<($tabDate[1].$tabDate[2]))
          $age--;
        $strOutput .= "<br><br>&#59014;&nbsp;".$tabDate[2]."/".$tabDate[1]."/".$tabDate[0]." (".$age." ans)";
      }
      $strOutput .= "<br>";
      if (!empty($enr[8])) {  // Tlphone domicile
        $enr[8] = preg_replace( "/[^0-9+]+/","",$enr[8]);
        $strOutput .= "<br>Dom: <a href=\"tel:".$enr[8]."\">".$enr[8]."</a>";
      }
      if (!empty($enr[9])) {  // Tlphone professionnel
        $enr[9] = preg_replace( "/[^0-9+]+/","",$enr[9]);
        $strOutput .= "<br>Pro: <a href=\"tel:".$enr[9]."\">".$enr[9]."</a>";
      }
      if (!empty($enr[10])) { // Portable
        $enr[10] = preg_replace( "/[^0-9+]+/","",$enr[10]);
        $strOutput .= "<br>Mob: <a href=\"tel:".$enr[10]."\">".$enr[10]."</a>";
      }
      if (!empty($enr[11]))   // Fax
        $strOutput .= "<br>Fax: ".preg_replace( "/[^0-9+]+/","",$enr[11]);
      $strOutput .= "<br>";
      if (!empty($enr[12]))  // Adresse Email
        $strOutput .= "<br>&#59091; <a href=\"mailto:".$enr[12]."\">".$enr[12]."</a>";
      if (!empty($enr[21]))  // Adresse Email Pro
        $strOutput .= "<br>&#59091; <a href=\"mailto:".$enr[21]."\">".$enr[21]."</a>";
      $strOutput .= "<br>";
      if (!empty($enr[13]))  // ICQ
        $strOutput .= "<br>ICQ: ".$enr[13];
      if (!empty($enr[18]))  // AIM
        $strOutput .= "<br>AIM: ".$enr[18];
      if (!empty($enr[19]))  // MSN
        $strOutput .= "<br>MSN: <a href=\"mailto:".$enr[19]."\">".$enr[19]."</a>";
      if (!empty($enr[20]))  // YAHOO
        $strOutput .= "<br>Y! : ".$enr[20];
      if (!empty($enr[16]))  // Commentaire
        $strOutput .= "<br><br>".str_replace(chr(13),"",str_replace(chr(10),"<br>",$enr[16]));
      while (substr($strOutput,-4)=="<br>")
        $strOutput = substr($strOutput,0,strlen($strOutput)-4);
      $strOutput .= "<hr size=\"1\">";
    }
    else
      $strOutput = "<font color=\"#FF0000\">Aucun contact trouv</font><hr size=\"1\">";
    echo $strOutput."<center>&#59110; <a href=\"".$NOM_PAGE."?sid=".$sid."&v=6&nom=".urlencode(stripslashes($nom))."\" accesskey=\"5\">Retour</a></center>";
  }
// ----------------------------------------------------------------------------
// MODULE CREATION/MODIFICATION DE NOTE
// ----------------------------------------------------------------------------
  elseif ($v==2) {
    $DB_CX->DbQuery("SELECT util_debut_journee FROM ${PREFIX_TABLE}utilisateur WHERE util_id=".$idUser);
    //Pour une nouvelle note, on se positionne en dbut de journe du profil
    $enr[3] = date("d/m/Y",$sd);
    $enr[4] = $DB_CX->DbResult(0,0);
    $enr[5] = $DB_CX->DbResult(0,0)+0.25;
    $url = "?sid=".$sid."&sd=".$sd."&v=3&ztAction=INSERT";
    //Rcupration des informations sur la note pour une modification
    if ($id) {
      $DB_CX->DbQuery("SELECT age_id, age_libelle, age_detail, DATE_FORMAT(age_date,'%d/%m/%Y'), age_heure_debut, age_heure_fin, age_prive, age_rappel, age_rappel_coeff, age_aty_id FROM ${PREFIX_TABLE}agenda WHERE age_id=".$id." AND age_util_id=".$idUser." AND age_aty_id!=1");
      if ($enr = $DB_CX->DbNextRow()) {
        $ztAction = "UPDATE";
        $url = "?sid=".$sid."&sd=".$sd."&v=3&ztAction=UPDATE&id=".$enr[0]."";
      }
    }
    echo "<form method=\"post\" action=\"".$NOM_PAGE.$url."\" target=\"_self\">";
    echo "Libell<br><input type=\"text\" name=\"ztLibelle\" size=\"15\" value=\"".htmlspecialchars($enr[1])."\"><br>";
    echo "Dtail<br><input type=\"text\" name=\"ztDetail\" size=\"15\" value=\"".htmlspecialchars($enr[2])."\"><br>";
    echo "Date<br><input type=\"text\" name=\"ztDate\" size=\"10\" value=\"".$enr[3]."\"><br>";
    echo "<input type=\"checkbox\" name=\"ckTypeNote\" value=\"3\"".(($enr[9]==3) ? " checked" : "").">&nbsp;Toute la journ&eacute;e<br>";
    echo "Dbute <br><select name=\"zlHeureDebut\">";
    for ($i=0; $i<24;$i=$i+0.25) {
      $selected = ($i == $enr[4]) ? " selected" : "";
      echo "<option value=\"".$i."\"".$selected.">".afficheHeure($i,$i)."</option>";
    }
    echo "</select><br>";
    echo "Termine <br><select name=\"zlHeureFin\">";
    for ($i=0.25; $i<=24;$i=$i+0.25) {
      $selected = ($i == $enr[5]) ? " selected" : "";
      echo "<option value=\"".$i."\"".$selected.">".afficheHeure($i,$i)."</option>";
    }
    echo "</select><br>";
    echo "Partage<br><select name=\"zlPartage\">";
    echo "<option value=\"0\"".(($enr[6]!=1) ? " selected" : "").">Note publique</option>";
    echo "<option value=\"1\"".(($enr[6]==1) ? " selected" : "").">Note prive</option>";
    echo "</select><br>";
    echo "Rappel<br><select name=\"zlR1\">";
    for ($i=0;$i<60;$i++) {
      $selected = ($enr[7]==$i) ? " selected" : "";
      echo "<option value=\"".$i."\"".$selected.">".$i."</option>";
    }
    echo "</select> <select name=\"zlR2\">";
    echo "<option value=\"1\"".(($enr[8]==1) ? " selected" : "").">minute(s)</option>";
    echo "<option value=\"60\"".(($enr[8]==60) ? " selected" : "").">heure(s)</option>";
    echo "<option value=\"1440\"".(($enr[8]==1440) ? " selected" : "").">jour(s)</option>";
    echo "</select>";
    echo "<br><input type=\"submit\" name=\"btOK\" value=\"OK\" accesskey=\"4\"> <input type=\"reset\" name=\"btRaz\" value=\"Raz\" accesskey=\"6\">";
    echo "  <hr size=\"1\"><center><a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."\" accesskey=\"4\">Agenda</a> &#59109;</center>";
  }
// ----------------------------------------------------------------------------
// MODULE ENREGISTREMENT D'UNE NOTE
// ----------------------------------------------------------------------------
  elseif ($v==3) {
    $tabDate = explode("/",$ztDate);
    //Si la date saisie est errone, on enregistre  la date du jour
    if (!checkdate($tabDate[1],$tabDate[0],$tabDate[2])) {
      $tabDate[0]=date("j");
      $tabDate[1]=date("n");
      $tabDate[2]=date("Y");
    }
    //Si l'heure de fin est <=  l'heure de dbut, on rgularise
    if ($zlHeureFin<=$zlHeureDebut)
      $zlHeureFin=$zlHeureDebut+0.25;
    $sd = mktime(12,0,0,$tabDate[1],$tabDate[0],$tabDate[2]);
    $ztDate = $tabDate[2]."-".$tabDate[1]."-".$tabDate[0];
    $hNote = floor($zlHeureDebut);
    $mNote = ($zlHeureDebut*60)%60;
    if (!$zlR1)
      $zlR2=1;
    if ($ckTypeNote!=3)
      $ckTypeNote=2;
    $tsNow = mktime(date("H"),date("i"),0,date("n"),date("j"),date("Y"));
    $tsAlert = mktime(date("H"),date("i")+($zlR1*$zlR2),0,date("n"),date("j"),date("Y"));
    $tsNote = mktime($hNote,$mNote,0,$tabDate[1],$tabDate[0],$tabDate[2]);
    $endNote = ($tsNote > $tsNow) ? 0 : 1;
    $alert = ($tsNote > $tsAlert && $zlR1) ? 0 : 1;
    $ztLibelle = trim($ztLibelle);
    $ztDetail = trim($ztDetail);

    if ($ztAction == "INSERT") {
      $sql = "INSERT INTO ${PREFIX_TABLE}agenda (age_util_id,age_aty_id,age_date,age_heure_debut,age_heure_fin, age_libelle, age_detail, age_rappel, age_rappel_coeff, age_prive, age_createur_id) ";
      $sql .= "VALUES (".$idUser.",".$ckTypeNote.",'".$ztDate."',".$zlHeureDebut.",".$zlHeureFin.",'".$ztLibelle."','".$ztDetail."',".$zlR1.",".$zlR2.",".$zlPartage.",".$idUser.")";
      $DB_CX->DbQuery($sql);
      $idAge = $DB_CX->DbInsertID();
      $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}agenda_concerne VALUES (".$idAge.",".$idUser.",".$alert.",".$endNote.")");
    }
    elseif ($ztAction == "UPDATE" && $id) {
      $sql = "UPDATE ${PREFIX_TABLE}agenda ";
      $sql .= "SET age_aty_id=".$ckTypeNote.",";
      $sql .= " age_date='".$ztDate."',";
      $sql .= " age_heure_debut=".$zlHeureDebut.",";
      $sql .= " age_heure_fin=".$zlHeureFin.",";
      $sql .= " age_libelle='".$ztLibelle."',";
      $sql .= " age_detail='".$ztDetail."',";
      $sql .= " age_rappel=".$zlR1.",";
      $sql .= " age_rappel_coeff=".$zlR2.",";
      $sql .= " age_prive=".$zlPartage." ";
      $sql .= "WHERE age_id=".$id." AND age_util_id=".$idUser;
      $DB_CX->DbQuery($sql);
    }
    //Renvoi vers l'affichage du dtail de la journe
    $v=1;
  }
// ----------------------------------------------------------------------------
// MODULE SUPPRESSION D'UNE NOTE
// ----------------------------------------------------------------------------
  elseif ($v==4) {
    echo "<center>";
    if ($id && $ztAction!="DELETE" && $flag) {
      switch ($flag) {
        case 1 : echo "Suppression d'une note, rappel :<br><br> - Si cette note appartient  une srie rcurrente, toutes les occurences dcoulant de cette srie seront galement effaces<br> - Pour supprimer juste une occurence, cliquez sur le <b>O</b> (facultatif)  droite du libell de la note<br><br>Voulez-vous supprimer cette note ?<br>&#59106; <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$id."&v=4&ztAction=DELETE&flag=1\" accesskey=\"1\">OUI</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&v=1\" accesskey=\"3\">NON</a> &#59108;"; break;
        case 2 : echo "Voulez-vous supprimer cette note qui vous a t affecte ?<br>&#59106; <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$id."&v=4&ztAction=DELETE&flag=2\" accesskey=\"1\">OUI</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&v=1\" accesskey=\"3\">NON</a> &#59108;"; break;
        case 3 : echo "Suppression d'une occurence, rappel :<br><br> - Seule cette occurence sera supprime<br> - Pour supprimer une note rcurrente et toutes ses occurences, cliquez sur le <b>S</b>  droite du libell de la note<br><br>Voulez-vous supprimer cette occurence ?<br>&#59106; <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$id."&v=4&ztAction=DELETE&flag=3\" accesskey=\"1\">OUI</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&v=1\" accesskey=\"3\">NON</a> &#59108;"; break;
        default : ; break;
      }
    }
    elseif ($id && $ztAction=="DELETE" && $flag) {
      if ($flag == 2 && $AUTORISE_SUPPR) {
        //Suppression d'une note affecte
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda_concerne WHERE aco_age_id=".$id." AND aco_util_id=".$idUser);
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}information WHERE info_age_id=".$id." AND info_destinataire_id=".$idUser);
        //Recherche s'il reste des personnes concernes par cette note
        $DB_CX->DbQuery("SELECT aco_util_id FROM ${PREFIX_TABLE}agenda_concerne WHERE aco_age_id=".$id);
        //si NON : on efface la note
        if (!$DB_CX->DbNumRows())
          $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda WHERE age_id=".$id);
      }
      elseif ($flag == 1) {
        //Suppression de la totalit d'une note par son auteur
        $DB_CX->DbQuery("SELECT DISTINCT age_id FROM ${PREFIX_TABLE}agenda WHERE (age_id=".$id." OR age_mere_id=".$id.") AND age_util_id=".$idUser);
        $liste = "0";
        while ($enr = $DB_CX->DbNextRow())
          $liste .= ",".$enr[0];
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda WHERE age_id IN (".$liste.")");
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda_concerne WHERE aco_age_id IN (".$liste.")");
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}information WHERE info_age_id IN (".$liste.")");
      }
      elseif ($flag == 3) {
        //Suppression d'une occurence d'une note par son auteur
        $DB_CX->DbQuery("SELECT MIN(age_id) FROM ${PREFIX_TABLE}agenda WHERE age_mere_id=".$id." AND age_util_id=".$idUser);
        $newId = $DB_CX->DbResult(0,0) + 0;
        if ($newId) {
          $DB_CX->DbQuery("UPDATE ${PREFIX_TABLE}agenda SET age_mere_id=".$newId." WHERE age_mere_id=".$id);
          $DB_CX->DbQuery("UPDATE ${PREFIX_TABLE}agenda SET age_mere_id=0 WHERE age_id=".$newId);
        }
        $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda WHERE age_id=".$id." AND age_util_id=".$idUser);
        if ($DB_CX->DbAffectedRows()>0) {
          $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}agenda_concerne WHERE aco_age_id=".$id);
          $DB_CX->DbQuery("DELETE FROM ${PREFIX_TABLE}information WHERE info_age_id=".$id);
        }
      }
      //Renvoi vers l'affichage du dtail de la journe
      $v=1;
    }
  }
// ----------------------------------------------------------------------------
// DETAIL D'UN JOUR
// ----------------------------------------------------------------------------
  if ($v==1) {
    $DB_CX->DbQuery("SELECT age_id,age_aty_id,age_heure_debut,age_heure_fin,age_libelle,age_ape_id,age_util_id FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$idUser." AND (age_date='".date("Y-m-d",$sd)."' OR (age_date LIKE '%".date("m-d",$sd)."' AND age_aty_id=1)) ORDER BY age_aty_id DESC, age_heure_debut ASC");
    $ligneAnniv = $ligneNote = "";
    for ($j=0;$j<$DB_CX->DbNumRows();$j++) {
      $enr = $DB_CX->DbNextRow();
      //Stockage des infos relatives aux anniversaires
      if ($enr[1]==1) {
        $ligneAnniv .= $enr[4]." / ";
      }
      //Stockage des infos relatives aux notes
      else {
        //Plage horaire de la note
        $plageNote = ($enr[1]==2) ? afficheHeure(floor($enr[2]),$enr[2])."-".afficheHeure(floor($enr[3]),$enr[3]) : "Toute la journe";
        //Droit en modification et en suppression
        $droitModif=$droitSuppr="";
        if ($enr[5]!=1 && $enr[6]==$idUser)
          $droitSuppr=" <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$enr[0]."&v=4&flag=3\">0</a>";
        if ($enr[6]==$idUser) {
          $droitModif=" <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$enr[0]."&v=2\">M</a>";
          $droitSuppr.=" <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$enr[0]."&v=4&flag=1\">S</a>";
        }
        elseif ($AUTORISE_SUPPR)
          $droitSuppr.=" <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&id=".$enr[0]."&v=4&flag=2\">S</a>";
        $ligneNote .= "<font color=\"#4924FF\">".$plageNote."</font>".$droitModif.$droitSuppr."<br> - ".$enr[4]." <br><br> ";
      }
    }
    echo "<table width=\"100%\"><tr><td bgcolor=\"#6D92AA\" align=\"center\">".$tabJour[date("w",$sd)]." ".date("d/m/y",$sd)."</td></tr></table>";
    // Anniversaire(s) du calepin (y compris les contacts partags)
    $DB_CX->DbQuery("SELECT CONCAT(cal_prenom,' ',cal_nom) FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$idUser." OR cal_partage='O') AND cal_date_naissance LIKE '%".date("m-d",$sd)."'"); 
    while ($enr = $DB_CX->DbNextRow())
      $ligneAnniv .= $enr[0]." / ";
    if (!empty($ligneAnniv))
      echo "<table width=\"100%\"><tr><td bgcolor=\"#B6DBFF\">&#59014;&nbsp; ".substr($ligneAnniv,0,strlen($ligneAnniv)-3)."</td></tr></table>";
    if (!empty($ligneNote))
      echo substr($ligneNote,0,strlen($ligneNote)-10);
    $navig = "";
    //Rcupration du jour prcdent ayant une note
    $DB_CX->DbQuery("SELECT UNIX_TIMESTAMP(age_date) FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$idUser." AND age_date<'".date("Y-m-d",$sd)."' AND age_aty_id!=1 ORDER BY age_date DESC LIMIT 0,1");
    if ($DB_CX->DbNumRows()) {
      $navig = "&#59106; <a href=\"".$NOM_PAGE."?sid=".$sid."&v=1&sd=".$DB_CX->DbResult(0,0)."\" accesskey=\"1\">Prc</a>";
    }
    //Rcupration du jour suivant ayant une note
    $DB_CX->DbQuery("SELECT UNIX_TIMESTAMP(age_date) FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$idUser." AND age_date>'".date("Y-m-d",$sd)."' AND age_aty_id!=1 ORDER BY age_date LIMIT 0,1");
    if ($DB_CX->DbNumRows()) {
      if (!empty($navig))
        $navig .= " - ";
      $navig .= "<a href=\"".$NOM_PAGE."?sid=".$sid."&v=1&sd=".$DB_CX->DbResult(0,0)."\" accesskey=\"2\">Suiv</a> &#59107;";
    }
    if (!empty($navig))
      $navig .= "<br>";
    echo "  <hr size=\"1\"><center>".$navig."&#59109; <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."\" accesskey=\"4\">Agenda</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&sd=".$sd."&v=2\" accesskey=\"5\">Note</a> &#59110;</center>";
  }
// ----------------------------------------------------------------------------
// MODULE CALENDRIER
// ----------------------------------------------------------------------------
  elseif (!$v) {
    // Affichage d'une case du calendrier
    function afficheJour($nbJour, $leJour) {
      global $NOM_PAGE, $sid, $tabOccupe, $moisEnCours, $anneeEnCours;
      $numJour = ($tabOccupe[$nbJour]==1) ? "<a href=\"".$NOM_PAGE."?sid=".$sid."&v=1&sd=".mktime(12,0,0,intval($moisEnCours),$nbJour,$anneeEnCours)."\"><font color=\"#800000\">".$nbJour."</font></a>" : "<font color=\"#4924FF\">".$nbJour."</font>";
      echo "          <td".(($leJour==date("Y-m-d"))?" bgcolor=\"#99CCCC\"":"").">".$numJour."</td>\n";
    }
    // Menu de navigation entre les diffrents mois
    $moisAvant  = $NOM_PAGE."?sid=".$sid."&sd=".(($moisEnCours != 1) ? mktime(12,0,0,($moisEnCours-1),1,$anneeEnCours) : mktime(12,0,0,12,1,($anneeEnCours-1)));
    $moisApres  = $NOM_PAGE."?sid=".$sid."&sd=".(($moisEnCours != 12) ? mktime(12,0,0,($moisEnCours+1),1,$anneeEnCours) : mktime(12,0,0,1,1,($anneeEnCours+1)));
    $anneeAvant = $NOM_PAGE."?sid=".$sid."&sd=".mktime(12,0,0,$moisEnCours,1,($anneeEnCours-1));
    $anneeApres = $NOM_PAGE."?sid=".$sid."&sd=".mktime(12,0,0,$moisEnCours,1,($anneeEnCours+1));
    echo ("  <table width=\"119\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
    <tr>
      <td><table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\">
        <tr bgcolor=\"#6D92AA\">
          <td align=\"left\" width=\"0%\" nowrap><a href=\"".$anneeAvant."\"><img src=\"image/timode/anneeprec.gif\" alt=\"Anne prcdente\" width=\"6\" height=\"6\" hspace=\"3\" border=\"0\"></a><a href=\"".$moisAvant."\"><img src=\"image/timode/moisprec.gif\" alt=\"Mois prcdent\" width=\"3\" height=\"6\" border=\"0\"></a></td>
          <td align=\"center\" width=\"100%\" nowrap>".$tabMois2[$moisEnCours*1]." ".$anneeEnCours."</td>
          <td align=\"right\" width=\"0%\" nowrap><a href=\"".$moisApres."\"><img src=\"image/timode/moissuiv.gif\" alt=\"Mois Suivant\" width=\"3\" height=\"6\" border=\"0\"></a><a href=\"".$anneeApres."\"><img src=\"image/timode/anneesuiv.gif\" alt=\"Anne suivante\" width=\"6\" height=\"6\" hspace=\"3\" border=\"0\"></a></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"#E1EDF7\">
        <tr align=\"center\" bgcolor=\"#B6DBFF\">\n");

    // Ligne des jours de la semaine
    for ($i=0; $i<7; $i++)
      echo "          <td width=\"17\">".$tabJour2[$i]."</td>\n";

    echo ("        </tr>
        <tr align=\"center\">\n");

    // Affichage des jours du mois prcdent
    $premierJour = date("w",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours));
    if ($premierJour == 0)
      $premierJour = 7;
    for($i=1;$i<$premierJour;$i++) {
      echo "          <td>&nbsp;</td>\n";
    }

    // Recherche des jours du mois courant avec une note ou un anniversaire (agenda et calepin)
    $tabOccupe = array();
    $DB_CX->DbQuery("SELECT DISTINCT DATE_FORMAT(age_date,'%e') FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$idUser." AND (age_date LIKE '".$anneeEnCours."-".$moisEnCours."-%' OR (age_date LIKE '%-".$moisEnCours."-%' AND age_aty_id=1))");
    while ($enr=$DB_CX->DbNextRow()) {
      $tabOccupe[$enr[0]]=1;
    }
    $DB_CX->DbQuery("SELECT DISTINCT DATE_FORMAT(cal_date_naissance,'%e') FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$idUser." OR cal_partage='O') AND cal_date_naissance LIKE '%-".$moisEnCours."-%'"); 
    while ($enr=$DB_CX->DbNextRow()) {
      $tabOccupe[$enr[0]]=1;
    }

    // Affichage de la premire ligne des jours du mois courant
    $nbJour = 0;
    for($i=$premierJour;$i<8;$i++) {
      $leJour = (++$nbJour < 10) ? $anneeEnCours."-".$moisEnCours."-0".$nbJour : $anneeEnCours."-".$moisEnCours."-".$nbJour;
      afficheJour($nbJour, $leJour);
    }

    echo "        </tr>\n";

    // Affichage du reste du mois courant
    $cpt=1;
    $finDeMois = false;
    for($j=1;!$finDeMois;$j++) {
      if (checkdate($moisEnCours, $nbJour+1, $anneeEnCours)) {
        echo "        <tr align=\"center\">\n";
        for($i=1;$i<8;$i++) {
          if (checkdate($moisEnCours, ++$nbJour, $anneeEnCours)) {
            $leJour = ($nbJour < 10) ? $anneeEnCours."-".$moisEnCours."-0".$nbJour : $anneeEnCours."-".$moisEnCours."-".$nbJour;
            afficheJour($nbJour, $leJour);
          }
          else {
            $finDeMois = true;
            echo "          <td>&nbsp;</td>\n";
          }
        }
        echo "        </tr>\n";
      }
      else {
        $finDeMois = true;
      }
    }

    echo ("      </table></td>
    </tr>
  </table>\n");

    // Note du jour
    if ($tabOccupe[date("j",$sd)]!=1)
      echo "  <center><font color=\"green\">Pas de note</font></center>\n";

    // Lien vers le calepin et vers la cration d'une note
    echo "  <hr size=\"1\"><center>&#59110; <a href=\"".$NOM_PAGE."?sid=".$sid."&v=2\" accesskey=\"5\">Note</a> - <a href=\"".$NOM_PAGE."?sid=".$sid."&v=5\" accesskey=\"6\">Calepin</a> &#59111;</center>\n";
  }

  // Fermeture BDD
  $DB_CX->DbDeconnect();

// ----------------------------------------------------------------------------
// PIED DE PAGE HTML COMMUN
// ----------------------------------------------------------------------------
  echo ("  <hr size=\"1\"><center><a href=\"mailto:phenix-agenda@laposte.net\"><font color=\"#FF9200\">TiMode ".$APPLI_VERSION."</font></a></center>
</body>
</html>");
?>