<?php
// Export VCal_SunBird 0.2 .vcs ou .ics
if ((($_GET['type_exp']=="vcalsunb") || ($_GET['type_exp']=="ics")) && ($_GET['type_exp']!="init"))
{
include("inc/conf.inc.php");
include("inc/fonctions.inc.php");
list($j_deb,$m_deb,$a_deb) = explode("/",$_GET['date_deb']);
$date_debut = $a_deb."-".$m_deb."-".$j_deb;
list($j_fin,$m_fin,$a_fin) = explode("/",$_GET['date_fin']);
$date_fin = $a_fin."-".$m_fin."-".$j_fin;

$idUser = Session_ok($sid);
if ($_GET['type_exp']=="vcalsunb")
$fileName = "Export_agenda_VCal_SunBird_".date("Ymd-His").".vcs";
else $fileName = "Export_agenda_iCal_".date("Ymd-His").".ics";

$contenu = "";
$contenu .= "BEGIN:VCALENDAR\r\n";
$contenu .= "PRODID:-//Phenix_MR_v1.0\r\n";
$contenu .= "VERSION:1.0\r\n\r\n";
$sql  = "SELECT util_nom, util_prenom FROM ${PREFIX_TABLE}utilisateur ";
$sql .= "WHERE util_id=".$idUser."";

$DB_CX->DbQuery($sql);
if ($DB_CX->DbNumRows())
  {
   $prenom_nom = $DB_CX->DbResult(0,1)." ".$DB_CX->DbResult(0,0);
  }
else
  {
   echo "Echec cration export\r\n".$sql;
  }
$sql  = "SELECT ${PREFIX_TABLE}agenda.age_id, ${PREFIX_TABLE}agenda.age_libelle, ${PREFIX_TABLE}agenda.age_detail, ${PREFIX_TABLE}agenda.age_prive , ${PREFIX_TABLE}agenda.age_aty_id, ${PREFIX_TABLE}agenda.age_date, ${PREFIX_TABLE}agenda.age_heure_debut, ${PREFIX_TABLE}agenda.age_heure_fin, ${PREFIX_TABLE}agenda.age_mere_id, ${PREFIX_TABLE}agenda.age_ape_id, ${PREFIX_TABLE}agenda.age_periode1, ${PREFIX_TABLE}agenda.age_periode2, ${PREFIX_TABLE}agenda.age_periode3, ${PREFIX_TABLE}agenda.age_periode4, ${PREFIX_TABLE}agenda.age_couleur FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne ";
$sql .= "WHERE aco_age_id=age_id AND aco_util_id=".$idUser." AND ${PREFIX_TABLE}agenda.age_aty_id>='2'";
$sql .= " AND ${PREFIX_TABLE}agenda.age_date>='".$date_debut."' AND ${PREFIX_TABLE}agenda.age_date<='".$date_fin."'";
$DB_CX->DbQuery($sql);

if ($DB_CX->DbNumRows())
  {
   while ($enr = $DB_CX->DbNextRow())
     {
       $data = "BEGIN:VEVENT\r\n";
       $data .= "UID:".$enr['age_id']."\r\n";
       if ( $enr['age_mere_id']=="0")
         {
          $data .= "SUMMARY;ENCODING=QUOTED-PRINTABLE:".$enr['age_libelle']."\r\n";
          if ($enr['age_detail']!="") $data .= "DESCRIPTION;ENCODING=QUOTED-PRINTABLE:".str_replace("\r\n","=0D=0A",$enr['age_detail'])."\r\n";
          if ($enr['age_prive']=="1") $data .= "CLASS:PRIVATE\r\n";
          else $data .= "CLASS:PUBLIC\r\n";
          $data .= "ATTENDEE;ROLE=OWNER;STATUS=CONFIRMED;ENCODING=QUOTED-PRINTABLE:".$prenom_nom."\r\n";
          // Ajout d'un champ particulier pour PHENIX : couleur de l'agenda !!
          if ($enr['age_couleur']!="") $data .= "X-PHENIX-AGENDA-COLOR:".$enr['age_couleur']."\r\n";
          // On met l'heure au format UTC/GMT en fonction de la date heure hiver/ete
          list($heure_deb,$min_deb) = explode(".",$enr['age_heure_debut']);
          list($heure_fin,$min_fin) = explode(".",$enr['age_heure_fin']);
          // On regarde si la date DTSTART et DTEND est en hiver ou non
          // ensuite on rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
          // Calcul des jours de passage heure d't et heure d'hiver
          // Avec date de debut de l'evenement
          list($an_debut,,) = explode("-",$enr['age_date']);
          for ($i=0;$i<="31";$i+=1)
            {
             if (date("D", mktime ('0','0','0','03',$i,$an_debut))=="Sun")
               {
                $heure_ete = $i;
               }
            }
          for ($i=0;$i<="31";$i+=1)
            {
             if (date("D", mktime ('0','0','0','10',$i,$an_debut))=="Sun")
               {
                $heure_hiver = $i;
               }
            }
          $heure_ete = $an_debut."-03-".$heure_ete;
          $heure_hiver = $an_debut."-10-".$heure_hiver;
          // On rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
          if (($enr['age_date']<$heure_hiver) && ($enr['age_date']>$heure_ete))
            {
             // c'est en ete ! on enleve 2
             $heure_deb = $heure_deb - 2;
             $heure_fin = $heure_fin - 2;
             // Si c'est une journe complete
             if ($enr['age_aty_id']== "3")
               {
                $heure_deb="00";
                $heure_fin="21";
                }
            }
          else
            {
             // c'est en hiver ! on enleve 1
             $heure_deb = $heure_deb - 1;
             $heure_fin = $heure_fin - 1;
             // Si c'est une journe complete
             if ($enr['age_aty_id']== "3")
               {
                $heure_deb="00";
                $heure_fin="22";
               }
            }
          if (strlen($heure_deb)=="1") $heure_deb = "0".$heure_deb;
          if (strlen($heure_fin)=="1") $heure_fin = "0".$heure_fin;
          if ($heure_deb < "0") $heure_deb="00";
          if ($heure_fin < "0") $heure_fin="00";
          $min_deb = $min_deb * 60 / 100;
          $min_fin = $min_fin * 60 / 100;
          if (strlen($min_deb)=="1") $min_deb = "0".$min_deb;
          if (strlen($min_fin)=="1") $min_fin = "0".$min_fin;
          // Si c'est une journe complete on met min debut a "00" et min fin a "45" min et max
          if ($enr['age_aty_id']== "3")
            {
             $min_deb = "00";
             $min_fin = "45";
            }
          // On regarde si on est pas dans une repetition
          if ($enr['age_ape_id']!="5")
            {
             $data .= "DTSTART:".str_replace("-","",$enr['age_date'])."T".$heure_deb.$min_deb."00Z\r\n";
             $data .= "DTEND:".str_replace("-","",$enr['age_date'])."T".$heure_fin.$min_fin."00Z\r\n";
            }
          if ($enr['age_ape_id']!="1")
            {
             // Tableau des jours de la semaine
             $jour[0]="SU";
             $jour[1]="MO";
             $jour[2]="TU";
             $jour[3]="WE";
             $jour[4]="TH";
             $jour[5]="FR";
             $jour[6]="SA";
             // On cherche la derniere date de rptition de la note
             $note_id = $enr['age_id'];
             $sql2  = "SELECT ${PREFIX_TABLE}agenda.age_date FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne ";
             $sql2 .= "WHERE aco_age_id=age_id AND aco_util_id=".$idUser." AND ${PREFIX_TABLE}agenda.age_mere_id=".$note_id." ORDER by age_date";
             $result=mysql_query($sql2);
             while ($resultat = mysql_fetch_array($result))
                {
                 $date_fin = $resultat['age_date'];
                }
             if ($enr['age_ape_id']=="2")
               {
                // on gre les recurrences quotidiennes mais pas celles lundi->vendredi
                // trop d'exception sam. dim. a grer en cas de recurrence sur du long terme
                // on cherche la dernire occurrence
                if ($enr['age_periode1']=="1")
                  {
                   // Tous les X(age_periode2) jours
                   $data .= "RRULE:FREQ=DAILY;UNTIL=".str_replace("-","",$date_fin).";INTERVAL=".$enr['age_periode2']."\r\n";
                  }
                if (($enr['age_periode1']=="2") || ($enr['age_periode1']=="3"))
                  {
                   // Non implment
                  }
               }
             if ($enr['age_ape_id']=="3")
               {
                // on gre les recurrences hebdomadaires
                // Tous les X(age_periode2) semaines
                $data .= "RRULE:FREQ=WEEKLY;UNTIL=".str_replace("-","",$date_fin).";INTERVAL=".$enr['age_periode2'].";BYDAY=".$jour[$enr['age_periode1']]."\r\n";
               }
             if ($enr['age_ape_id']=="4")
               {
                // on gre les recurrences mensuelles
                if ($enr['age_periode1']=="1")
                  {
                   // Tous les X(age_periode2) date du jour de chaque mois
                   $data .= "RRULE:FREQ=MONTHLY;UNTIL=".str_replace("-","",$date_fin).";INTERVAL=1\r\n";
                  }
                if ($enr['age_periode1']=="2")
                  {
                   // Tous les premiers X(age_periode2) nom du jour (MO,TU,WE,TH,FR,SA) de chaque mois
                   $rang = $enr['age_periode2'] + 1;
                   if ($rang=="5")
                     {
                      $rang = "1-"; // demande du dernier mercredi(exemple) du mois => 1-
                      $rang2 = "4";
                     }
                   else
                     {
                      $rang = $rang."+";
                      $rang2 = $rang;
                     }
                   $data .= "RRULE:FREQ=MONTHLY;UNTIL=".str_replace("-","",$date_fin).";INTERVAL=1;BYDAY=".$rang2.$jour[$enr['age_periode3']]."\r\n";
                  }
               }
             if ($enr['age_ape_id']=="5")
               {
                // on gre les recurrences annuelles
                // Tous les X(age_periode2) mois
                if ($enr['age_periode1']=="1")
                  {// Tous les X(age_periode2) date du jour de chaque mois
                   // On fait en sorte que la repetition se fasse sur le bon jour
                   // si le 1er jour n'est pas identique aux suivants
                   list($a_tmp,$m_tmp,$j_tmp) = explode("-",$enr['age_date']);
                   list($a_tmp2,$m_tmp2,$j_tmp2) = explode("-",$date_fin);
                   $jour_rep = $a_tmp.$m_tmp2.$j_tmp2;
                   $data .= "DTSTART:".$jour_rep."T".$heure_deb.$min_deb."00Z\r\n";
                   $data .= "DTEND:".$jour_rep."T".$heure_fin.$min_fin."00Z\r\n";
                   $data .= "RRULE:FREQ=YEARLY;UNTIL=".str_replace("-","",$date_fin).";INTERVAL=1;BYMONTH=".$enr['age_periode3']."\r\n";
                  }
                if ($enr['age_periode1']=="2")
                  {
                   // non implment
                   $data .= "DTSTART:".str_replace("-","",$enr['age_date'])."T".$heure_deb.$min_deb."00Z\r\n";
                   $data .= "DTEND:".str_replace("-","",$enr['age_date'])."T".$heure_fin.$min_fin."00Z\r\n";
                  }
               }
            }
          $data .= "END:VEVENT\r\n";
          $data .= "\r\n";
          $contenu .= $data ;
         }
     }
   $contenu .= "END:VCALENDAR";
  }
else
  {
   ?>
   <script>
   alert('Aucune information a exporter !!');
   history.go(-1);
   </script>
   <?php
   //$contenu = "";
   //$contenu = "Echec cration export\r\n$sql";
  }
}
// Export VCal vcf -> Palm Desktop
if ($_GET['type_exp']=="vcal")
{
include("inc/conf.inc.php");
include("inc/fonctions.inc.php");
list($j_deb,$m_deb,$a_deb) = explode("/",$_GET['date_deb']);
$date_debut = $a_deb."-".$m_deb."-".$j_deb;
list($j_fin,$m_fin,$a_fin) = explode("/",$_GET['date_fin']);
$date_fin = $a_fin."-".$m_fin."-".$j_fin;
$idUser = Session_ok($sid);
$fileName = "Export_agenda_VCal_".date("Ymd-His").".vcs";

$contenu = "";
$contenu .= "BEGIN:VCALENDAR\r\n";
$contenu .= "PRODID:-//Phenix_MR_v1.0\r\n";
$contenu .= "VERSION:1.0\r\n\r\n";
$sql  = "SELECT util_nom, util_prenom FROM ${PREFIX_TABLE}utilisateur ";
$sql .= "WHERE util_id=".$idUser."";
$DB_CX->DbQuery($sql);
if ($DB_CX->DbNumRows())
  {
   $prenom_nom = $DB_CX->DbResult(0,1)." ".$DB_CX->DbResult(0,0);
  }
else
  {
   echo "Echec cration export\r\n".$sql;
  }
$sql  = "SELECT ${PREFIX_TABLE}agenda.age_id, ${PREFIX_TABLE}agenda.age_libelle, ${PREFIX_TABLE}agenda.age_detail, ${PREFIX_TABLE}agenda.age_prive , ${PREFIX_TABLE}agenda.age_aty_id, ${PREFIX_TABLE}agenda.age_date, ${PREFIX_TABLE}agenda.age_heure_debut, ${PREFIX_TABLE}agenda.age_heure_fin, ${PREFIX_TABLE}agenda.age_mere_id, ${PREFIX_TABLE}agenda.age_ape_id, ${PREFIX_TABLE}agenda.age_periode1, ${PREFIX_TABLE}agenda.age_periode2, ${PREFIX_TABLE}agenda.age_periode3, ${PREFIX_TABLE}agenda.age_periode4, ${PREFIX_TABLE}agenda.age_couleur FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne ";
$sql .= "WHERE aco_age_id=age_id AND aco_util_id=".$idUser." AND ${PREFIX_TABLE}agenda.age_aty_id>='2'";
$sql .= " AND ${PREFIX_TABLE}agenda.age_date>='".$date_debut."' AND ${PREFIX_TABLE}agenda.age_date<='".$date_fin."'";
$DB_CX->DbQuery($sql);

if ($DB_CX->DbNumRows())
  {
   while ($enr = $DB_CX->DbNextRow())
     {
       $data = "BEGIN:VEVENT\r\n";
       $data .= "UID:".$enr['age_id']."\r\n";
       if ( $enr['age_mere_id']=="0")
         {
          $data .= "SUMMARY;ENCODING=QUOTED-PRINTABLE:".$enr['age_libelle']."\r\n";
          if ($enr['age_detail']!="") $data .= "DESCRIPTION;ENCODING=QUOTED-PRINTABLE:".str_replace("\r\n","=0D=0A",$enr['age_detail'])."\r\n";
          if ($enr['age_prive']=="1") $data .= "CLASS:PRIVATE\r\n";
          else $data .= "CLASS:PUBLIC\r\n";
          $data .= "ATTENDEE;ROLE=OWNER;STATUS=CONFIRMED;ENCODING=QUOTED-PRINTABLE:".$prenom_nom."\r\n";
          // Ajout d'un champ particulier pour PHENIX : couleur de l'agenda !!
          if ($enr['age_couleur']!="") $data .= "X-PHENIX-AGENDA-COLOR:".$enr['age_couleur']."\r\n";
          // On met l'heure au format UTC/GMT en fonction de la date heure hiver/ete
          list($heure_deb,$min_deb) = explode(".",$enr['age_heure_debut']);
          list($heure_fin,$min_fin) = explode(".",$enr['age_heure_fin']);
          // On regarde si la date DTSTART et DTEND est en hiver ou non
          // ensuite on rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
          // Calcul des jours de passage heure d't et heure d'hiver
          // Avec date de debut de l'evenement
          list($an_debut,,) = explode("-",$enr['age_date']);
          for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','03',$i,$an_debut))=="Sun")
              {
               $heure_ete = $i;
              }
           }
          for ($i=0;$i<="31";$i+=1)
           {
            if (date("D", mktime ('0','0','0','10',$i,$an_debut))=="Sun")
              {
               $heure_hiver = $i;
              }
           }
          $heure_ete = $an_debut."-03-".$heure_ete;
          $heure_hiver = $an_debut."-10-".$heure_hiver;
          // On rajoute 1(hiver) ou 2(ete) pour mettre au format heure francaise
          if (($enr['age_date']<$heure_hiver) && ($enr['age_date']>$heure_ete))
            {
             // c'est en ete ! on enleve 2
             $heure_deb = $heure_deb - 2;
             $heure_fin = $heure_fin - 2;
             // Si c'est une journe complete
             if ($enr['age_aty_id']== "3")
               {
                $heure_deb="00";
                $heure_fin="21";
                }
            }
          else
            {
             // c'est en hiver ! on enleve 1
             $heure_deb = $heure_deb - 1;
             $heure_fin = $heure_fin - 1;
             // Si c'est une journe complete
             if ($enr['age_aty_id']== "3")
               {
                $heure_deb="00";
                $heure_fin="22";
               }
            }
          if (strlen($heure_deb)=="1") $heure_deb = "0".$heure_deb;
          if (strlen($heure_fin)=="1") $heure_fin = "0".$heure_fin;
          if ($heure_deb < "0") $heure_deb="00";
          if ($heure_fin < "0") $heure_fin="00";
          $min_deb = $min_deb * 60 / 100;
          $min_fin = $min_fin * 60 / 100;
          if (strlen($min_deb)=="1") $min_deb = "0".$min_deb;
          if (strlen($min_fin)=="1") $min_fin = "0".$min_fin;
          // Si c'est une journe complete on met min debut a "00" et min fin a "45" min et max
          if ($enr['age_aty_id']== "3")
            {
             $min_deb = "00";
             $min_fin = "45";
            }
          // On regarde si on est pas dans une repetition
          if ($enr['age_ape_id']!="5")
            {
             $data .= "DTSTART:".str_replace("-","",$enr['age_date'])."T".$heure_deb.$min_deb."00Z\r\n";
             $data .= "DTEND:".str_replace("-","",$enr['age_date'])."T".$heure_fin.$min_fin."00Z\r\n";
            }
          if ($enr['age_ape_id']!="1")
            {
             // Tableau des jours de la semaine
             $jour[0]="SU";
             $jour[1]="MO";
             $jour[2]="TU";
             $jour[3]="WE";
             $jour[4]="TH";
             $jour[5]="FR";
             $jour[6]="SA";
             // On cherche la derniere date de rptition de la note
             $note_id = $enr['age_id'];
             $sql2  = "SELECT ${PREFIX_TABLE}agenda.age_date FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne ";
             $sql2 .= "WHERE aco_age_id=age_id AND aco_util_id=".$idUser." AND ${PREFIX_TABLE}agenda.age_mere_id=".$note_id." ORDER by age_date";
             $result=mysql_query($sql2);
             while ($resultat = mysql_fetch_array($result))
                {
                 $date_fin = $resultat['age_date'];
                }
             if ($enr['age_ape_id']=="2")
               {
                // on gre les recurrences quotidiennes mais pas celles lundi->vendredi
                // trop d'exception sam. dim. a grer en cas de recurrence sur du long terme
                // on cherche la dernire occurrence
                if ($enr['age_periode1']=="1")
                  {
                   // Tous les X(age_periode2) jours
                   $data .= "RRULE:D".$enr['age_periode2']." ".str_replace("-","",$date_fin)."\r\n";;
                  }
                if (($enr['age_periode1']=="2") || ($enr['age_periode1']=="3"))
                  {
                   // Non implment
                  }
               }
             if ($enr['age_ape_id']=="3")
               {
                // on gre les recurrences hebdomadaires
                // Tous les X(age_periode2) semaines
                $data .= "RRULE:W".$enr['age_periode2']." ".$jour[$enr['age_periode1']]." ".str_replace("-","",$date_fin)."\r\n";;
               }
             if ($enr['age_ape_id']=="4")
               {
                // on gre les recurrences mensuelles
                if ($enr['age_periode1']=="1")
                  {
                   // Tous les X(age_periode2) date du jour de chaque mois
                   $data .= "RRULE:MD1 ".$enr['age_periode2']." ".str_replace("-","",$date_fin)."\r\n";;
                  }
                if ($enr['age_periode1']=="2")
                  {
                   // Tous les premiers X(age_periode2) nom du jour (MO,TU,WE,TH,FR,SA) de chaque mois
                   $rang = $enr['age_periode2'] + 1;
                   if ($rang=="5")
                     {
                      $rang = "1-"; // demande du dernier mercredi(exemple) du mois => 1-
                      $rang2 = "4";
                     }
                   else
                     {
                      $rang = $rang."+";
                      $rang2 = $rang;
                     }
                   $data .= "RRULE:MP1 ".$rang." ".$jour[$enr['age_periode3']]." ".str_replace("-","",$date_fin)."\r\n";;
                  }
               }
             if ($enr['age_ape_id']=="5")
               {
                // on gre les recurrences annuelles
                // Tous les X(age_periode2) mois
                if ($enr['age_periode1']=="1")
                  {// Tous les X(age_periode2) date du jour de chaque mois
                   // On fait en sorte que la repetition se fasse sur le bon jour
                   // si le 1er jour n'est pas identique aux suivants
                   list($a_tmp,$m_tmp,$j_tmp) = explode("-",$enr['age_date']);
                   list($a_tmp2,$m_tmp2,$j_tmp2) = explode("-",$date_fin);
                   $jour_rep = $a_tmp.$m_tmp2.$j_tmp2;
                   $data .= "DTSTART:".$jour_rep."T".$heure_deb.$min_deb."00Z\r\n";
                   $data .= "DTEND:".$jour_rep."T".$heure_fin.$min_fin."00Z\r\n";
                   $data .= "RRULE:YM1 ".$enr['age_periode3']." ".str_replace("-","",$date_fin)."\r\n";;
                  }
                if ($enr['age_periode1']=="2")
                  {
                   // non implment
                   $data .= "DTSTART:".str_replace("-","",$enr['age_date'])."T".$heure_deb.$min_deb."00Z\r\n";
                   $data .= "DTEND:".str_replace("-","",$enr['age_date'])."T".$heure_fin.$min_fin."00Z\r\n";
                  }
               }
            }
          $data .= "END:VEVENT\r\n";
          $data .= "\r\n";
          $contenu .= $data ;
         }
     }
   $contenu .= "END:VCALENDAR";
  }
else
  {
   ?>
   <script>
   alert('Aucune information a exporter !!');
   history.go(-1);
   </script>
   <?php
   //$contenu = "";
   //$contenu = "Echec cration export\r\n$sql";
  }
}

// Export csv -> Outlook
if ($_GET['type_exp']=="csv")
{
include("inc/conf.inc.php");
include("inc/fonctions.inc.php");
list($j_deb,$m_deb,$a_deb) = explode("/",$_GET['date_deb']);
$date_debut = $a_deb."-".$m_deb."-".$j_deb;
list($j_fin,$m_fin,$a_fin) = explode("/",$_GET['date_fin']);
$date_fin = $a_fin."-".$m_fin."-".$j_fin;
$idUser = Session_ok($sid);
$fileName = "Export_agenda_csv_".date("Ymd-His").".csv";

$contenu = "";
$contenu .= "\"Objet\",\"Dbut\",\"Dbut\",\"Fin\",\"Fin\",\"Journe entire\",\"Rappel actif/inactif\",\"Date de rappel\",\"Heure du rappel\",\"Organisateur d'une runion\",\"Participants obligatoires\",\"Participants facultatifs\",\"Ressources de la runion\",\"Afficher la disponibilit\",\"Catgories\",\"Critre de diffusion\",\"Description\",\"Emplacement\",\"Informations facturation\",\"Kilomtrage\",\"Priorit\",\"Priv\"\r\n";

$sql  = "SELECT util_nom, util_prenom FROM ${PREFIX_TABLE}utilisateur ";
$sql .= "WHERE util_id=".$idUser."";
$DB_CX->DbQuery($sql);
if ($DB_CX->DbNumRows())
  {
   $prenom_nom = $DB_CX->DbResult(0,1)." ".$DB_CX->DbResult(0,0);
  }
else
  {
   echo "Echec cration export\r\n".$sql;
  }
$sql  = "SELECT ${PREFIX_TABLE}agenda.age_id, ${PREFIX_TABLE}agenda.age_libelle, ${PREFIX_TABLE}agenda.age_detail, ${PREFIX_TABLE}agenda.age_prive , ${PREFIX_TABLE}agenda.age_aty_id, ${PREFIX_TABLE}agenda.age_date, ${PREFIX_TABLE}agenda.age_heure_debut, ${PREFIX_TABLE}agenda.age_heure_fin, ${PREFIX_TABLE}agenda.age_mere_id, ${PREFIX_TABLE}agenda.age_ape_id, ${PREFIX_TABLE}agenda.age_periode1, ${PREFIX_TABLE}agenda.age_periode2, ${PREFIX_TABLE}agenda.age_periode3, ${PREFIX_TABLE}agenda.age_periode4, ${PREFIX_TABLE}agenda.age_couleur FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne ";
$sql .= "WHERE aco_age_id=age_id AND aco_util_id=".$idUser." AND ${PREFIX_TABLE}agenda.age_aty_id>='2'";
$sql .= " AND ${PREFIX_TABLE}agenda.age_date>='".$date_debut."' AND ${PREFIX_TABLE}agenda.age_date<='".$date_fin."'";
$DB_CX->DbQuery($sql);

if ($DB_CX->DbNumRows())
  {
   while ($enr = $DB_CX->DbNextRow())
     {
       $Objet=$Debut_date=$Debut_heure=$Fin_date=$Fin_heure=$Journee_ent=$Rappel_act_inact=$Date_rap=$Heure_rap=$Organisateur=$Part_ob=$Part_fac=$Ressources=$Afficher_dispo=$Categories=$Critere_diff=$Description=$Emplacement=$Informations_fact=$Kilometrage=$Priorite=$Prive="";
       $Objet = str_replace('"','""',$enr['age_libelle']);
          if ($enr['age_detail']!="")
            {
             $Description = str_replace('"','""',$enr['age_detail']);
             $Description = $Description."\r\n";
            }
          if ($enr['age_prive']=="1") $Prive = "Vrai";
          else $Prive = "Faux";
          if ($enr['age_aty_id']=="3") $Journee_ent="Vrai";
          else $Journee_ent="Faux";
          if ($prenom_nom!="") $Organisateur=$prenom_nom;
          else $prenom_nom="Unknown";
          // Ajout d'un champ particulier pour PHENIX : couleur de l'agenda !!
          if ($enr['age_couleur']!="") $couleur_phx = $enr['age_couleur'];
          // Aucune gestion heure t/hiver
          list($heure_deb,$min_deb) = explode(".",$enr['age_heure_debut']);
          list($heure_fin,$min_fin) = explode(".",$enr['age_heure_fin']);
          if (strlen($heure_deb)=="1") $heure_deb = "0".$heure_deb;
          if (strlen($heure_fin)=="1") $heure_fin = "0".$heure_fin;
          $min_deb = $min_deb * 60 / 100;
          $min_fin = $min_fin * 60 / 100;
          // Si c'est une journe complete
          if ($enr['age_aty_id']== "3")
            {
             $heure_deb="00";
             $heure_fin="23";
             $min_deb = "00";
             $min_fin = "45";
            }
          if (strlen($min_deb)=="1") $min_deb = "0".$min_deb;
          if (strlen($min_fin)=="1") $min_fin = "0".$min_fin;
          // On regarde si on est pas dans une repetition annuelle
          if ($enr['age_ape_id']!="5")
            {
             list($a_deb,$m_deb,$j_deb) = explode ("-",$enr['age_date']);
             $Debut_date = $j_deb."/".$m_deb."/".$a_deb;
             $Debut_heure = $heure_deb.":".$min_deb.":00";
             $Fin_date = $j_deb."/".$m_deb."/".$a_deb;
             $Fin_heure = $heure_fin.":".$min_fin.":00";
            }         
          $Rappel_act_inact="Faux";
          $contenu .= "\"".$Objet."\",\"".$Debut_date."\",\"".$Debut_heure."\",\"".$Fin_date."\",\"".$Fin_heure."\",\"".$Journee_ent."\",\"".$Rappel_act_inact."\",\"".$Date_rap."\",\"".$Heure_rap."\",\"".$Organisateur."\",\"".$Part_ob."\",\"".$Part_fac."\",\"".$Ressources."\",\"".$Afficher_dispo."\",\"".$Categories."\",\"".$Critere_diff."\",\"".$Description."\",\"".$Emplacement."\",\"".$Informations_fact."\",\"".$Kilometrage."\",\"".$Priorite."\",\"".$Prive."\"\r\n";
         }
     }
else
  {
   ?>
   <script>
   alert('Aucune information a exporter !!');
   history.go(-1);
   </script>
   <?php
   //$contenu = "";
   //$contenu = "Echec cration export\r\n$sql";
  }
}


if (($_GET['type_exp']!="") && ($err==""))
{
header('Content-Type: text/calendar');
header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
if (preg_match('@MSIE ([0-9].[0-9]{1,2})@', $HTTP_USER_AGENT, $log_version)) {
   header('Content-Disposition: inline; filename="'.$fileName.'"');
   header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
   header('Pragma: public');
  }
else
  {
   header('Content-Disposition: attachment; filename="'.$fileName.'"');
   header('Pragma: no-cache');
}
echo $contenu;
}
if ($_GET['type_exp']=="")
{
  include("skins/$APPLI_STYLE.php");
  echo ("  <STYLE type=\"text/css\">@import url(css/calendar_css.php?id=".$APPLI_STYLE.");</STYLE>
  <SCRIPT type=\"text/javascript\" src=\"inc/calendar.js\"></SCRIPT>
  <SCRIPT type=\"text/javascript\" src=\"inc/calendar-setup.js.php?sem=".$SEMAINE_TYPE."\"></SCRIPT>\n");
?>
<!-- DEBUT MODULE Export -->
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
  <TR>
    <TD height="28" class="sousMenu"><?php echo $titrePage; ?></TD>
  </TR>
  </TABLE>
  <BR>
  <FORM name="FormExport">
<?php
$j = date("d");
$m = date("m");
$an_deb = date("Y")-5;
$an_fin = date("Y")+5;
$date_deb = $j."/".$m."/".$an_deb;
$date_fin = $j."/".$m."/".$an_fin;
?>
<TABLE width="442" border="0" cellpadding="0" cellspacing="0" align="center">
    <TR>
    <TD align="center"><TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
    <TR bgcolor="<?php echo $CalepinFondMessage; ?>">
      <TD align="left" colspan="2" class="bordTLRB" style="padding-left:3px;padding-right:3px;">
          <B>Vous pouvez Exporter votre Agenda sous diff&eacute;rents types de fichiers.</B>
          <BR><BR>Voici la liste :
            <UL>
              <LI>VCal-Standard : fichier .vcs (format standard, utilis&eacute; par Palm Desktop,...)</LI>
              <LI>VCal-SunBird v.0.2 : fichier .vcs (format diff&eacute;rent pour les r&eacute;p&eacute;titions)</LI>
              <LI>ICal : fichier .ics (format utilis&eacute; pour les MACs)</LI>
              <LI>CSV : fichier .csv, .txt (format texte s&eacute;par&eacute; par des virgules, utilis&eacute; par certains logiciels. <I><B>Ce format ne supporte pas les r&eacute;p&eacute;titions</B></I>)</LI>
          </UL>
    <U>Choisissez la p&eacute;riode &agrave; exporter</U> :<BR><BR>
    <B>Date de d&eacute;but : </B><INPUT type="text" class="Texte" name="ztDate" id="ztDate" size=12 maxlength=10 value="<?php echo $date_deb; ?>" title="Format jj/mm/aaaa" onKeyPress="onlyChar(event.keyCode);">&nbsp;<INPUT type="button" id="btCal" value="..." class="Picklist" style="height:16px" title="Afficher le calendrier"><BR><BR>
    <B>Date de fin : </B><INPUT type="text" class="Texte" name="ztDate2" id="ztDate2" size=12 maxlength=10 value="<?php echo $date_fin; ?>" title="Format jj/mm/aaaa" onKeyPress="onlyChar(event.keyCode);">&nbsp;<INPUT type="button" id="btCal2" value="..." class="Picklist" style="height:16px" title="Afficher le calendrier"><BR>
    <BR>
    <P ALIGN="CENTER">Ne changez pas les dates si vous voulez exporter la totalit&eacute;.<BR>
    <B><FONT COLOR="#FF0000">(Faites attention aux dates &agrave; exporter afin d'&eacute;viter les doublons !)</FONT></B></P>
        <B>Choisissez un type : </B><SELECT name="fic_type_choix" size="1">
      <OPTION value="init" selected>(Choisir un type de fichier)</OPTION>
      <OPTION value="vcal">VCal-Standard, fichier .vcs</OPTION>
      <OPTION value="vcalsunb">VCal-SunBird 0.2, fichier .vcs</OPTION>
      <OPTION value="ics">ICal, fichier .ics (Pour les MACs)</OPTION>
      <OPTION value="csv">CSV, fichier Texte .csv ou .txt</OPTION>
    </SELECT><BR><BR>
    </TD>
    </TR>
    </TABLE>
    </TD>
    </TR>
    </TABLE>
    <BR>
    <?php
    echo ("<INPUT type=\"button\" class=\"bouton\" name=\"btExporter\" value=\"Exporter\" title=\"Exporter\" style=\"width:65px;\" 
    onclick=\"javascript:if (document.forms.FormExport.fic_type_choix.options[document.forms.FormExport.fic_type_choix.selectedIndex].value!='init') document.location.href='agenda_cal_export.php?sid=".$sid."&type_exp='+document.forms.FormExport.fic_type_choix.options[document.forms.FormExport.fic_type_choix.selectedIndex].value+'&date_deb='+document.forms.FormExport.ztDate.value+'&date_fin='+document.forms.FormExport.ztDate2.value+'';else alert('Vous devez choisir un type de fichier');\">");
    // echo ("<INPUT type=\"button\" class=\"bouton\" name=\"btExporter\" value=\"Exporter\" title=\"Exporter\" style=\"width:65px;\" onclick=\"javascript: document.location.href='agenda_cal_export.php?sid=".$sid."&type_exp='+document.forms.FormExport.fic_type_choix.options[document.forms.FormExport.fic_type_choix.selectedIndex].value+'&date_deb='+document.forms.FormExport.ztDate.value+'&date_fin='+document.forms.FormExport.ztDate2.value+'';\">");

    ?>
  </FORM>
  <BR>
<!-- FIN MODULE Export -->
  <SCRIPT type="text/javascript">
  <!--
    Calendar.setup( {
      inputField : "ztDate",    // ID of the input field
      ifFormat   : "%d/%m/%Y",  // the date format
      button     : "btCal"      // ID of the button
    } );
  //-->
  <!--
    Calendar.setup( {
      inputField : "ztDate2",    // ID of the input field
      ifFormat   : "%d/%m/%Y",  // the date format
      button     : "btCal2"      // ID of the button
    } );
  //-->
  </SCRIPT>
<?php
}
?>
