
<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  // ----------------------------------------------------------------------------
  // Affichage d'une case du calendrier
  // ----------------------------------------------------------------------------
  function afficheJour($nbJour, $jourFerie, $jourSemaine) {
    global $CalJourSelection, $CalJourSelFerie, $CalJourFerie, $tcMenu, $inSemaine, $tabOccupe;
    global $premierJourSemaine, $nbJourMois, $jourEnCours, $Paques, $Ascension, $Pentecote;

    $numJour = ($tabOccupe[$nbJour]==1) ? "<A href=\"javascript: affJour('".$nbJour."');\" class=\"jMoisCrt\"><B>".$nbJour."</B></A>" : "<A href=\"javascript: affJour('".$nbJour."');\" class=\"jMoisCrt\">".$nbJour."</A>";
    if ($tcMenu==0 || $tcMenu==3 || $tcMenu>8) {
      if ($nbJour == $jourEnCours)
        $background = " bgcolor=\"".$CalJourSelection."\" background=\"image/calendrier/fond-jour.gif\"";
      else {
        switch ($jourFerie) {
          case $Paques :
          case $Ascension :
          case $Pentecote :
          case "1-01":
          case "1-05":
          case "8-05":
          case "14-07":
          case "15-08":
          case "1-11":
          case "11-11":
          case "25-12": $background = " bgcolor=\"".$CalJourFerie."\""; break;
          default : break;
        }
      }
    }
    else {
      switch ($jourFerie) {
        case $Paques :
        case $Ascension :
        case $Pentecote :
        case "1-01":
        case "1-05":
        case "8-05":
        case "14-07":
        case "15-08":
        case "1-11":
        case "11-11":
        case "25-12": $fondJour = $CalJourFerie; break;
        default : $fondJour = $CalJourSelection; break;
      }
      if ($tcMenu==1 || $tcMenu==8) {
        if ($nbJour == $premierJourSemaine) {
          $inSemaine = true;
          $background = " bgcolor=\"".$fondJour."\" background=\"image/calendrier/fond-debutsemaine.gif\"";
        }
        elseif ($jourSemaine == 7 && $inSemaine) {
          $inSemaine = false;
          $background = " bgcolor=\"".$fondJour."\" background=\"image/calendrier/fond-finsemaine.gif\"";
        }
        elseif($inSemaine)
          $background = " bgcolor=\"".$fondJour."\" background=\"image/calendrier/fond-milieusemaine.gif\"";
        else {
          switch ($jourFerie) {
            case $Paques :
            case $Ascension :
            case $Pentecote :
            case "1-01":
            case "1-05":
            case "8-05":
            case "14-07":
            case "15-08":
            case "1-11":
            case "11-11":
            case "25-12": $background = " bgcolor=\"".$CalJourFerie."\""; break;
            default : break;
          }
        }
      }
      else {
        if ($nbJour == 1) {
          $background = ($jourSemaine == 7) ? "fond-debutmoisdimanche.gif" : "fond-debutmois.gif";
        }
        elseif ($nbJour == $nbJourMois) {
          $background = ($jourSemaine == 1) ? "fond-finmoislundi.gif" : "fond-finmois.gif";
        }
        elseif ($nbJour < 8) {
          if ($jourSemaine == 1)
            $background = "fond-debutmois.gif";
          else
            $background = ($jourSemaine == 7) ? "fond-finpremierelignemois.gif" : "fond-hautmois.gif";
        }
        elseif ($nbJourMois-$nbJour < 7) {
          if ($jourSemaine == 1)
            $background = "fond-debutdernierlignemois.gif";
          else
            $background = ($jourSemaine == 7) ? "fond-finmois.gif" : "fond-basmois.gif";
        }
        elseif ($jourSemaine == 1)
          $background = "fond-debutlignemois.gif";
        elseif ($jourSemaine == 7)
          $background = "fond-finlignemois.gif";
        $background = " bgcolor=\"".$fondJour."\" background=\"image/calendrier/".$background."\"";
      }
    }
    echo "        <TD align=\"center\" width=\"17\" height=\"17\"".$background.">".$numJour."</TD>\n";
  }



  // ----------------------------------------------------------------------------
  // Code de la page
  // ----------------------------------------------------------------------------
  $moisAvant = ($moisEnCours != 1) ? ($moisEnCours-1)."','".$anneeEnCours : "12','".($anneeEnCours-1);
  $moisApres = ($moisEnCours != 12) ? ($moisEnCours+1)."','".$anneeEnCours : "1','".($anneeEnCours+1);
  $anneeAvant = $moisEnCours."','".($anneeEnCours-1);
  $anneeApres = $moisEnCours."','".($anneeEnCours+1);

  $premierJour = date("w",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours));

  jourFerie($anneeEnCours,$Paques,$Ascension,$Pentecote);

  if ($premierJour == 0)
    $premierJour = 7;
?>
<!-- MODULE CALENDRIER -->
  <TABLE width="133" border="0" cellspacing="0" cellpadding="0">
  <TR>
    <TD><TABLE cellspacing="0" cellpadding="0" width="133" border="0" bgcolor="<?php echo $CalNavigationFond; ?>">
      <TR align="center">
        <TD width="0%" rowspan="3" align="left" nowrap height="28"><A href="javascript: affMois('<?php echo $moisAvant; ?>','<?php echo $tcMenu; ?>');"><IMG src="image/calendrier/anneeprec.gif" alt="Mois prcdent" width="6" height="6" hspace="3" border="0"></A></TD>
        <TD><A href="javascript:upDown('ztCalMois',1);"><IMG src="image/calendrier/fup.gif" width="8" height="5" alt="" border="0"></A></TD>
        <TD><A href="javascript:upDown('ztCalAnnee',1);"><IMG src="image/calendrier/fup.gif" width="8" height="5" alt="" border="0"></A></TD>
        <TD width="0%" rowspan="3" nowrap><A href="javascript: affCalSelect();"><IMG src="image/calendrier/affiche.gif" alt="Aller  la date choisie" width="12" height="12" hspace="2" border="0"></A></TD>
        <TD width="0%" rowspan="3" align="right" nowrap><A href="javascript: affMois('<?php echo $moisApres; ?>','<?php echo $tcMenu; ?>');"><IMG src="image/calendrier/anneesuiv.gif" alt="Mois Suivant" width="6" height="6" hspace="3" border="0"></A></TD>
      </TR>
      <FORM name="calForm">
      <TR align="center">
        <TD><INPUT type="text" name="ztCalMois2" value="<?php echo $tabMois[intval($moisEnCours)]; ?>" class="CalTexte" style="width:60px" readonly><INPUT type="hidden" name="ztCalMois" value="<?php echo intval($moisEnCours); ?>"></TD>
        <TD><INPUT type="text" name="ztCalAnnee" value="<?php echo $anneeEnCours; ?>" class="CalTexte" size="4" maxlength="4"></TD>
      </TR>
      </FORM>
      <TR align="center">
        <TD><A href="javascript:upDown('ztCalMois',-1);"><IMG src="image/calendrier/fdown.gif" width="8" height="5" alt="" border="0"></A></TD>
        <TD><A href="javascript:upDown('ztCalAnnee',-1);"><IMG src="image/calendrier/fdown.gif" width="8" height="5" alt="" border="0"></A></TD>
      </TR>
    </TABLE></TD>
  </TR>
  <TR>
    <TD><TABLE width="133" border="0" cellspacing="0" cellpadding="0" bgcolor="<?php echo $CalFond; ?>">
      <TR height="17" bgcolor="<?php echo $CalTitreFond; ?>">
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
<?php
  for ($i=0; $i<7; $i++)
    echo "        <TD align=\"center\" width=\"17\" height=\"17\">".$tabJour2[$i]."</TD>\n";
?>
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
      </TR>
      <TR>
        <TD bgcolor="<?php echo $CalNavigationFond; ?>" colspan="9" height="1"><IMG src="image/trans.gif" width="100%" height="1"></TD>
      </TR>
      <TR>
        <TD colspan="9" height="1"><IMG src="image/trans.gif" width="100%" height="1"></TD>
      </TR>
      <TR>
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
<?php
  $inSemaine = false;
  if ($premierJour!=1) {
    $moisPrec = $moisEnCours - 1;
    $nbJourMoisPrec = ($moisPrec) ? date("t", mktime(0,0,0,$moisPrec,1,$anneeEnCours)) : date("t", mktime(0,0,0,12,1,$anneeEnCours-1));
    for($i=1;$i<$premierJour;$i++) {
      if (($tcMenu==1 || $tcMenu==8) && $premierJourSemaine<1) {
        if ($i == 1) {
          $inSemaine = true;
          $background = " bgcolor=\"".$CalJourSelection."\" background=\"image/calendrier/fond-debutsemaine.gif\"";
        }
        else
          $background = " bgcolor=\"".$CalJourSelection."\" background=\"image/calendrier/fond-milieusemaine.gif\"";
      }
      echo "        <TD align=\"center\" width=\"17\" height=\"17\"".$background."><A href=\"javascript: affJour('".($i-$premierJour+1)."');\" class=\"jMoisPrec\">".($nbJourMoisPrec-$premierJour+$i+1)."</A></TD>\n";
    }
  }

  // Recherche des jours du mois courant avec une note ou un anniversaire (agenda et calepin)
  $tabOccupe = array();
  $DB_CX->DbQuery("SELECT DISTINCT DATE_FORMAT(age_date,'%e') FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".(($tcMenu<11) ? $USER_SUBSTITUE : $idUser)." AND (age_date LIKE '".$anneeEnCours."-".$moisEnCours."-%' OR (age_date LIKE '%-".$moisEnCours."-%' AND DATE_FORMAT(age_date,'%Y%m')<=".date("Ym",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours))." AND age_aty_id=1))");
  while ($enr=$DB_CX->DbNextRow()) {
    $tabOccupe[$enr[0]]=1;
  }
  $DB_CX->DbQuery("SELECT DISTINCT DATE_FORMAT(cal_date_naissance,'%e') FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".(($tcMenu<11) ? $USER_SUBSTITUE : $idUser)." OR cal_partage='O') AND cal_date_naissance LIKE '%-".$moisEnCours."-%' AND DATE_FORMAT(cal_date_naissance,'%Y%m')<=".date("Ym",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours))); 
  while ($enr=$DB_CX->DbNextRow()) {
    $tabOccupe[$enr[0]]=1;
  }

  $nbJour = 0;
  for($i=$premierJour;$i<8;$i++) {
    $jourFerie = (++$nbJour)."-".$moisEnCours;
    afficheJour($nbJour, $jourFerie, $i);
  }
?>
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
      </TR>
<?php
  $cpt=1;
  $finDeMois = false;
  for($j=1;!$finDeMois;$j++) {
    if (checkdate($moisEnCours, $nbJour+1, $anneeEnCours)) {
      echo "      <TR>\n";
      echo "        <TD width=\"7\" height=\"17\"><IMG src=\"image/trans.gif\" width=\"5\"></TD>\n";
      for($i=1;$i<8;$i++) {
        if (checkdate($moisEnCours, ++$nbJour, $anneeEnCours)) {
          $jourFerie = $nbJour."-".$moisEnCours;
          afficheJour($nbJour, $jourFerie, $i);
        }
        else {
          $finDeMois = true;
          if ($i == 7 && $inSemaine) {
            $inSemaine = false;
            $background = $CalJourSelection."\" background=\"image/calendrier/fond-finsemaine.gif";
          }
          else
            $background = ($inSemaine) ? $CalJourSelection."\" background=\"image/calendrier/fond-milieusemaine.gif" : $CalFond;
          echo "        <TD align=\"center\" width=\"17\" height=\"17\" bgcolor=\"".$background."\"><A href=\"javascript: affJour('".$nbJour."');\" class=\"jMoisPrec\">".($cpt++)."</A></TD>\n";
        }
      }
      echo "        <TD width=\"7\" height=\"17\"><IMG src=\"image/trans.gif\" width=\"5\"></TD>\n";
      echo "      </TR>\n";
    }
    else {
      $finDeMois = true;
    }
  }
?>
    </TABLE></TD>
  </TR>
  <SCRIPT language="javascript" src="inc/liveclock.js.php?id=<?php echo $APPLI_STYLE; ?>"></SCRIPT>
<?php
  //Ajustement de la date au 1er Janvier pour afficher correctement la semaine 1
  $crtWeek = date("W",$sd);
  $crtYear = ($crtWeek==1 && $moisEnCours==12) ? $anneeEnCours+1 : $anneeEnCours;
?>
  <TR>
    <TD><TABLE width="133" border="0" cellspacing="0" cellpadding="0" bgcolor="<?php echo $CalFond; ?>">
      <TR bgcolor="<?php echo $CalTitreFond; ?>">
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
        <TD align="center" colspan="7" width="119" height="17">Semaines de <?php echo $crtYear; ?></TD>
        <TD width="7" height="17"><IMG src="image/trans.gif" width="5"></TD>
      </TR>
      <TR>
        <TD bgcolor="<?php echo $CalNavigationFond; ?>" colspan="9" height="1"><IMG src="image/trans.gif" width="100%" height="1"></TD>
      </TR>
      <TR>
        <TD colspan="9" height="1"><IMG src="image/trans.gif" width="100%" height="1"></TD>
      </TR>
<?php
  // Jour de la semaine du 01/01/N
  $indexJourAn = date("w",mktime(12,0,0,1,1,$crtYear));
  if ($indexJourAn == 0) $indexJourAn = 7;
  $premierLundi = gmmktime(12,0,0,1,2-$indexJourAn,$crtYear);
  // Premire et Dernire semaine de l'anne
  $firstWeek  = date("W",mktime(12,0,0,1,1,$crtYear));
  $lastWeek   = date("W",mktime(12,0,0,12,31,$crtYear));
  $semaineMax = ($lastWeek==1) ? date("W",mktime(12,0,0,12,24,$crtYear)) : $lastWeek;
  $cpt = 1;
  $idx = 0;
  for($j=1;$cpt<$semaineMax;$j++) {
    echo "      <TR>\n";
    echo "        <TD width=\"7\" height=\"17\"><IMG src=\"image/trans.gif\" width=\"5\"></TD>\n";
    for($i=1;$i<8;$i++) {
      if ($j==1 && $i==1 && $firstWeek!=1) {
        if ($debutSemaine == $premierLundi)
          $background = " bgcolor=\"".$CalJourSelection."\" background=\"image/calendrier/fond-jour.gif\"";
        elseif ($debutSemaine == gmmktime(12,0,0,1,1,$crtYear))
          $background = " bgcolor=\"".$CalJourCourant."\"";
        else
          $background = "";
        $classCel   = "jMoisPrec";
        $tsSemaine  = $premierLundi;
        $numSemaine = $firstWeek;
      }
      else {
        $idxSemaine = $premierLundi+($idx*86400*7);
        if ($debutSemaine == $idxSemaine)
          $background = " bgcolor=\"".$CalJourSelection."\" background=\"image/calendrier/fond-jour.gif\"";
        elseif ($idxSemaine == $tsSemaineCrt)
          $background = " bgcolor=\"".$CalJourCourant."\"";
        else
          $background = "";
        $tsSemaine = $idxSemaine;
        if ($cpt>$semaineMax) {
          $classCel   = "jMoisPrec";
          $numSemaine = ($cpt++)-$semaineMax;
        }
        else {
          $classCel   = "jMoisCrt";
          $numSemaine = $cpt++;
        }
      }
      echo "        <TD align=\"center\" width=\"17\" height=\"17\"".$background."><A href=\"javascript: affSemaine('".$tsSemaine."');\" class=\"".$classCel."\">".$numSemaine."</A></TD>\n";
      $idx++;
    }
    echo "        <TD width=\"7\" height=\"17\"><IMG src=\"image/trans.gif\" width=\"5\"></TD>\n";
    echo "      </TR>\n";
  }
?>
    </TABLE></TD>
  </TR>
  <TR><TD height="1" bgcolor="<?php echo $CalFond; ?>"><IMG src="image/trans.gif" alt="" width="1" height="1" border="0"></TD></TR>
  <TR><TD height="1" bgcolor="<?php echo $CalNavigationFond; ?>"><IMG src="image/trans.gif" height="1"></TD></TR>
  <TR align="center"><TD height="35" valign="middle"><B>- Agenda -</B><BR>[<A href="javascript: nvlVu('20');">Importer</A>] [<A href="javascript: nvlVu('21');">Exporter</A>]</TD></TR>
  <TR><TD height="1" bgcolor="<?php echo $CalNavigationFond; ?>"><IMG src="image/trans.gif" height="1"></TD></TR>
  <TR>
    <TD align="center"><BR><BR><A href="deconnexion.php?sid=<?php echo $sid; ?>" class="btnQuitter"><IMG src="image/quitter.gif" width="18" height="18" alt="" border="0" align="absmiddle">&nbsp;<B>D&eacute;connexion</B></A><BR><BR><BR></TD>
  </TR>
<?php
  //Recupration des mmos de l'utilisateur
  $DB_CX->DbQuery("SELECT mem_id, mem_titre, mem_contenu FROM ${PREFIX_TABLE}memo WHERE mem_util_id=".$idUser." ORDER BY mem_id ASC"); 
  $afficheFinMenu = false;
  if ($DB_CX->DbNumRows()) {
    $afficheFinMenu = true;
    echo ("  <TR>
    <TD><TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\" style=\"padding-left:3px; padding-right:3px;\">
      <TR><TD bgcolor=\"".$CalNavigationFond."\" height=\"15\" align=\"center\"><A href=\"javascript: nvlVu(12);\" class=\"sousMenu\"><B>M&eacute;mos</B></A></TD></TR>\n");
    $index = 0;
    while ($enr=$DB_CX->DbNextRow()) {
      $index = 1-$index;
      echo ("      <TR bgcolor=\"".$bgColor[$index]."\">
        <TD width=\"100%\"><A href=\"?id=".$enr[0]."&sid=".$sid."&tcMenu=12&tcPlg=".$tcPlg."&sd=".$sd."\" onmouseover=\"mtc('".addslashes(htmlspecialchars(nlTObr($enr[1])))."','".addslashes(htmlspecialchars(nlTObr($enr[2])))."&nbsp;'); return false;\" onmouseout=\"nd(); return true;\">".$enr[1]."</A></TD>
      </TR>\n");
    }
    echo ("    </TABLE></TD>
  </TR>\n");
  }
  //Recupration des liens de l'utilisateur
  $DB_CX->DbQuery("SELECT fav_nom, fav_url, fav_commentaire FROM ${PREFIX_TABLE}favoris WHERE fav_util_id=".$idUser." ORDER BY fav_nom ASC"); 
  if ($DB_CX->DbNumRows()) {
    $afficheFinMenu = true;
    echo ("  <TR>
    <TD><TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\" style=\"padding-left:3px; padding-right:3px;\">
      <TR><TD bgcolor=\"".$CalNavigationFond."\" height=\"15\" align=\"center\"><A href=\"javascript: nvlVu(15);\" class=\"sousMenu\"><B>Favoris</B></A></TD></TR>\n");
    $index = 0;
    while ($enr=$DB_CX->DbNextRow()) {
      $index = 1-$index;
      $infoLien = (!empty($enr[2])) ? " onmouseover=\"javascript: atc('".addslashes(htmlspecialchars(nlTObr($enr[2])))."'); return false;\" onmouseout=\"javascript: nd(); return true;\"" : "";
      echo ("      <TR bgcolor=\"".$bgColor[$index]."\">
        <TD width=\"100%\"><A href=\"".$enr[1]."\" target=\"_blank\"".$infoLien.">".htmlspecialchars($enr[0])."</A></TD>
      </TR>\n");
    }
    echo ("    </TABLE></TD>
  </TR>\n");
  }
   if ($afficheFinMenu)
    echo "  <TR><TD height=\"1\" bgcolor=\"".$CalNavigationFond."\"><IMG src=\"image/trans.gif\" height=\"1\"></TD></TR>\n";
?>
  </TABLE>
<!-- FIN MODULE CALENDRIER -->

