
<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  $lienAvant = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine-7,$anneeEnCours);
  $lienApres = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine+7,$anneeEnCours);

  //Parametres de la journee choisis par l'utilisateur
  $DB_CX->DbQuery("SELECT t1.util_debut_journee, t1.util_fin_journee, t2.util_precision_planning FROM ${PREFIX_TABLE}utilisateur t1, ${PREFIX_TABLE}utilisateur t2 WHERE t1.util_id=".$USER_SUBSTITUE." AND t2.util_id=".$idUser);
  $debutJournee = $DB_CX->DbResult(0,0);
  $finJournee   = $DB_CX->DbResult(0,1);
  $precisionAff = 2*$DB_CX->DbResult(0,2);

  //Si l'utilisateur a choisi une couleur de note on l'ajoute dans la clause WHERE de la recherche
  $whereCouleur = "";
  if ($FILTRE_COULEUR != "ALL" && !empty($FILTRE_COULEUR)) {
    $whereCouleur = ($FILTRE_COULEUR == $AgendaFondNotePerso) ? " AND (age_couleur='".$FILTRE_COULEUR."' OR age_couleur='')" : " AND age_couleur='".$FILTRE_COULEUR."'";
  }

  //Heure de dbut et de fin en fonction des notes hors profil
  $DB_CX->DbQuery("SELECT MIN(age_heure_debut), MAX(age_heure_fin) FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date>'".date("Y-m-d",gmmktime(12,0,0,$moisEnCours,$premierJourSemaine-1,$anneeEnCours))."'  AND age_date<'".date("Y-m-d",gmmktime(12,0,0,$moisEnCours,$premierJourSemaine+7,$anneeEnCours))."' AND age_aty_id=2".$whereCouleur);
  if ($DB_CX->DbResult(0,0)!=NULL) {
    $debutJournee = min($debutJournee,$DB_CX->DbResult(0,0));
    $finJournee   = max($finJournee,$DB_CX->DbResult(0,1));
  }
  // Rgularisation pour travailler en heure pleine
  $debutJournee = floor($debutJournee);
  $finJournee   = floor($finJournee+0.75);
  $dureeJournee = ($finJournee-$debutJournee)*$precisionAff;

  //Initialisation de la matrice d'affichage
  for ($i=0;$i<$dureeJournee;$i++) {
    for ($j=0;$j<7;$j++) {
      $lienAjout = ($USER_SUBSTITUE==$idUser || $AFFECTE_NOTE) ? "<A href=\"javascript: nvNote('".($debutSemaine+($j*86400))."','".($debutJournee+($i/$precisionAff))."','');\"><IMG src=\"image/ajout_mini.gif\" width=\"6\" height=\"6\" border=\"0\" hspace=\"1\" vspace=\"1\" alt=\"Ajouter une note  cette heure\"></A>" : "&nbsp;";
      $matAff[$i][$j] = "      <TD class=\"bordTLRB\">".$lienAjout."</TD>\n";
    }
  }

  //Rcupration des couleurs/catgories de notes
  @include("inc/couleur.inc.php");
  $tabTemp    = array("Toutes les notes" => "ALL", "D&eacute;faut" => $AgendaFondNotePerso);
  $tabCouleur = array_merge($tabTemp,$tabCouleur);
?>
<!-- MODULE PLANNING HEBDOMADAIRE -->
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
  <FORM action="<?php echo "?sid=".$sid."&tcMenu=".$tcMenu."&sd=".$sd; ?>" method="post">
  <TR>
    <TD width="100%" height="28" nowrap class="sousMenu" style="font-size:10px;"><LABEL for="lundi"><INPUT type="checkbox" name="bt1" value="1"<?php if ($bt1==1) echo " checked"; ?> class="case" id="lundi">&nbsp;Lundi</LABEL>&nbsp;&nbsp;
      <LABEL for="mardi"><INPUT type="checkbox" name="bt2" value="1"<?php if ($bt2==1) echo " checked"; ?> class="case" id="mardi">&nbsp;Mardi</LABEL>&nbsp;&nbsp;
      <LABEL for="mercredi"><INPUT type="checkbox" name="bt3" value="1"<?php if ($bt3==1) echo " checked"; ?> class="case" id="mercredi">&nbsp;Mercredi</LABEL>&nbsp;&nbsp;
      <LABEL for="jeudi"><INPUT type="checkbox" name="bt4" value="1"<?php if ($bt4==1) echo " checked"; ?> class="case" id="jeudi">&nbsp;Jeudi</LABEL>&nbsp;&nbsp;
      <LABEL for="vendredi"><INPUT type="checkbox" name="bt5" value="1"<?php if ($bt5==1) echo " checked"; ?> class="case" id="vendredi">&nbsp;Vendredi</LABEL>&nbsp;&nbsp;
      <LABEL for="samedi"><INPUT type="checkbox" name="bt6" value="1"<?php if ($bt6==1) echo " checked"; ?> class="case" id="samedi">&nbsp;Samedi</LABEL>&nbsp;&nbsp;
    <LABEL for="dimanche"><INPUT type="checkbox" name="bt7" value="1"<?php if ($bt7==1) echo " checked"; ?> class="case" id="dimanche">&nbsp;Dimanche</LABEL>&nbsp;&nbsp;&nbsp;</TD>
    <TD align="right" nowrap class="sousMenu"><SELECT name="zlFiltreCouleur">
<?php
  //Construction de la liste des couleurs/catgories de notes
  reset($tabCouleur);
  while (list($key, $val) = each($tabCouleur)) {
    $selected = ($val==$FILTRE_COULEUR) ? " selected" : "";
    echo "        <OPTION style=\"background-color:".$val."\" value=\"".$val."\"".$selected.">".$key."</OPTION>\n";
  }
?>
      </SELECT>&nbsp;&nbsp;&nbsp;
      <INPUT type="submit" class="bouton" value="Filtrer" name="btFiltreAffiche">&nbsp;&nbsp;
<?php
  if ($nbJSelect)
    echo "&nbsp;<A href=\"javascript: parent.imprime('".$tcMenu."','".$sd."','0');\"><IMG src=\"image/impression.gif\" alt=\"Impression en mode paysage conseill&eacute;e\" width=\"23\" height=\"21\" border=\"0\" align=\"absmiddle\"></A>&nbsp;&nbsp;";
?>
    </TD>
  </TR>
  </FORM>
  </TABLE>
  <BR>
<?php
  if ($nbJSelect) {
    echo ("
  <TABLE width=\"99%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
  <TR>
    <TD colspan=2>&nbsp;</TD>
    <TD width=\"100%\" colspan=\"".$nbJSelect."\" height=\"18\" nowrap class=\"bordTLRB\" align=\"center\" bgcolor=\"".$CalTitreFond."\"><B><A href=\"javascript: affSemaine('".$lienAvant."');\"><IMG src=\"image/precedent_n.gif\" alt=\"Semaine pr&eacute;c&eacute;dente [".date("W",$lienAvant)."]\" width=\"8\" height=\"7\" border=\"0\"></A>&nbsp;&nbsp;Semaine ".date("W",$debutSemaine)." du ".date("d",$debutSemaine)." ".strtolower($tabMois[date("n",$debutSemaine)])." ".date("Y",$debutSemaine)." au ".date("d",$finSemaine)." ".strtolower($tabMois[date("n",$finSemaine)])." ".date("Y",$finSemaine)."&nbsp;&nbsp;<A href=\"javascript: affSemaine('".$lienApres."');\"><IMG src=\"image/suivant_n.gif\" alt=\"Semaine suivante [".date("W",$lienApres)."]\" width=\"8\" height=\"7\" border=\"0\"></A></B></TD>
  </TR>
  <TR align=\"center\">
    <TD colspan=2>&nbsp;</TD>\n");

    $foundAnniv   = false;
    $foundGlobale = false;
    $aAnniv = array();
    $aGlobale = array();
    $celSize = floor(100/$nbJSelect);
    //Variables utilises pour les chevauchement de notes
    $iMatPrec=0;
    $hFinPrec=$debutJournee;
    for ($j=0;$j<7;$j++) {
      //On affiche que les jours de la semaine type de l'utilisateur
      if (${"bt".($j+1)}==1) {
        $leJour = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine+$j,$anneeEnCours);
        //Coloration des jours feries
        switch (date("j-m",$leJour)) {
          case $Paques :
          case $Ascension :
          case $Pentecote :
          case "1-01":
          case "1-05":
          case "8-05":
          case "14-07":
          case "15-08":
          case "1-11":
          case "11-11":
          case "25-12": $styl = "dayFerie"; break;
          default : $styl = "dayWeek"; break;
        }
        echo "    <TD class=\"".((date("Ymd",$leJour)==date("Ymd")) ? "dayWeekCrt" : $styl)."\" width=\"".$celSize."%\"><A href=\"javascript: affJour('".($premierJourSemaine+$j)."');\"><B>".$tabJour3[date("w",$leJour)]." ".date("d/m",$leJour)."</B></A>";
        if ($USER_SUBSTITUE==$idUser || $AFFECTE_NOTE)
          echo " <A href=\"javascript: nvNote('".$leJour."','','')\"><IMG src=\"image/ajout_note.gif\" alt=\"Ajouter une note ce jour\" width=\"13\" height=\"15\" border=\"0\" vspace=\"1\" align=\"absmiddle\"></A>";
        echo "</TD>\n";
        $DB_CX->DbQuery("SELECT age_id,age_aty_id,age_heure_debut,age_heure_fin,age_libelle,age_ape_id,age_util_id,CONCAT(util_prenom,' ',util_nom),age_detail,aco_termine,age_prive,age_couleur,age_rappel,age_rappel_coeff,age_mere_id,age_nb_participant,age_createur_id,age_date FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}utilisateur WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND (age_date='".date("Y-m-d",$leJour)."'".$whereCouleur." OR (age_date LIKE '%".date("m-d",$leJour)."' AND DATE_FORMAT(age_date,'%Y%m%d')<=".date("Ymd",$leJour)." AND age_aty_id=1)) AND util_id=age_createur_id ORDER BY age_heure_debut");
        while ($enr = $DB_CX->DbNextRow()) {
          //Stockage des infos relatives aux anniversaires
          if ($enr[1]==1) {
            $infoAge = afficheAge($enr[17],$leJour);
            $aAnniv[$j] .= ($USER_SUBSTITUE==$idUser) ? "<A href=\"javascript: affAnniv('".$enr[0]."')\"".$infoAge.">".$enr[4]."</A><BR>" : "<A".$infoAge.">".$enr[4]."</A><BR>";
            $foundAnniv = true;
          } else {
            //Proprit Prive ou Publique de la note
            if ($USER_SUBSTITUE!=$idUser && $enr[6]!=$idUser && $enr[10]==1) {
              $enr[4] = "Occup&eacute;";
              $enr[8] = "";
              $notePrive = true;
            } else
              $notePrive = false;
            //Proprit Active ou Termine de la note
            if ($enr[9] == 1) {
              $styleNote = "line-through";
              $imgTemoin = "puce_ok.gif";
            } else {
              $styleNote = "none";
              $imgTemoin = "puce_ko.gif";
            }
            if ($USER_SUBSTITUE==$idUser)
              $lienStatut = "<A href=\"/\" onclick=\"javascript: parent.termineNote('".$enr[0]."'); return false;\"><IMG src=\"image/".$imgTemoin."\" width=\"6\" height=\"6\" border=\"0\" align=\"absmiddle\" id=\"t".$enr[0]."\" alt=\"Changer le statut\"></A>";
            else
              $lienStatut = "<IMG src=\"image/".$imgTemoin."\" width=\"6\" height=\"6\" border=\"0\" align=\"absmiddle\" alt=\"\">";
            //Couleur de fond de la note si non dfinie dans la bdd
            if (empty($enr[11]))
              $enr[11] = ($enr[6]==$USER_SUBSTITUE) ? $AgendaFondNotePerso : $AgendaFondNote;
            //Droit en modification sur la note
            $lien = ($enr[6]==$idUser) ? " href=\"javascript: affNote('".$enr[0]."')\"" : "";
            //Info  afficher dans le popup
            $libelleNote = " <A style='font-weight:normal;color:".$AgendaTexteTitrePopup."'>".htmlspecialchars($enr[4]).(($enr[16]!=$USER_SUBSTITUE && !$notePrive) ? " [Note cr&eacute;&eacute;e par ".htmlspecialchars($enr[7])."]</A>" : "</A>");
            $detailNote  = htmlspecialchars(nlTObr($enr[8]))."&nbsp;";
            //Options possibles sur la note (rappel, suppression, appropriation)
            $sOption = "";
            if ($notePrive==false) {
              //Indique si un rappel a t programm
              if ($enr[12]>0) {
                $rappel = "Rappel ".$enr[12];
                $pluriel = ($enr[12]>1) ? "s" : "";
                if ($enr[13]==1)
                  $rappel .= " minute";
                elseif ($enr[13]==60)
                  $rappel .= " heure";
                else
                  $rappel .= " jour";
                $rappel .= $pluriel." &agrave; l'avance";
                $sOption .= "&nbsp;<IMG title=\"".$rappel."\" src=\"image/rappel.gif\" border=\"0\" align=\"absmiddle\">";
              }
              //Droits en suppression sur la note
              if ($enr[5]!=1) {
                if ($enr[6]==$idUser && $USER_SUBSTITUE==$idUser)
                  $sOption .= "&nbsp;<A href=\"javascript: supprOcc('".$enr[0]."','0')\"><IMG title=\"Supprimer cette occurence\" src=\"image/recurrent.gif\" width=13 height=11 border=\"0\" align=\"absmiddle\"></A>";
                else
                  $sOption .= "&nbsp;<IMG title=\"Note r&eacute;currente\" src=\"image/recurrent.gif\" border=\"0\" align=\"absmiddle\">";
              }
              if ($enr[6]==$idUser)
                $sOption .= "&nbsp;<A href=\"javascript: supprOcc('".(($enr[14]) ? $enr[14] : $enr[0])."','1')\"><IMG title=\"Supprimer cette note que j'ai cr&eacute;&eacute;e\" src=\"image/suppr.gif\" width=12 height=12 border=\"0\" align=\"absmiddle\"></A>";
              elseif ($USER_SUBSTITUE==$idUser && $AUTORISE_SUPPR)
                $sOption .= "&nbsp;<A href=\"javascript: supprOcc('".$enr[0]."','2')\"><IMG title=\"Supprimer cette note que l'on m'a affect&eacute;e\" src=\"image/suppr.gif\" width=12 height=12 border=\"0\" align=\"absmiddle\"></A>";
            }
            //Appropriation d'une note affecte
            if ($enr[15]==1 && $enr[6]!=$idUser && $USER_SUBSTITUE==$idUser)
              $sOption .=  "&nbsp;<A href=\"javascript: apprNote('".$enr[0]."')\"><IMG src=\"image/appropriation.gif\" alt=\"M'approprier cette note qui m'a &eacute;t&eacute; affect&eacute;e\" border=\"0\" align=\"absmiddle\"></A>";
            //Stockage des infos relatives aux notes
            if ($enr[1]==2) {
              //Modification des horaires de la note en fonction de la precision d'affichage de l'utilisateur
              $hDeb = ($precisionAff==2 && (($enr[2]-floor($enr[2])==0.25) || ($enr[2]-floor($enr[2])==0.75))) ? $enr[2]-0.25 : $enr[2];
              $hFin = ($precisionAff==2 && (($enr[3]-floor($enr[3])==0.25) || ($enr[3]-floor($enr[3])==0.75))) ? $enr[3]+0.25 : $enr[3];
              $hFin = min($hFin,$finJournee);
              $duree = ($hFin-$hDeb)*$precisionAff;
              $iMat = floor(($enr[2]-$debutJournee)*$precisionAff);
              //Plage horaire de la note
              $debutNote = afficheHeure(floor($enr[2]),$enr[2]);
              $finNote   = afficheHeure(floor($enr[3]),$enr[3]);
              //Verification des chevauchement de notes
              if ($hDeb<$hFinPrec) {
                $matAff[$iMatPrec][$j] .= "</DIV>\n        ";
                $iMat = $iMatPrec;
                if ($hFin > $hFinPrec) {
                  $duree = $dureePrec + ($hFin-$hFinPrec)*$precisionAff;
                  $matAff[$iMat][$j] = str_replace("<TD class=\"bordTLRB\" rowspan=\"".$dureePrec."\" bgcolor=\"".$couleurPrec."\">","<TD class=\"bordTLRB\" rowspan=\"".$duree."\" bgcolor=\"".$enr[11]."\">",$matAff[$iMat][$j]);
                  $dureePrec = $duree;
                  $couleurPrec = $enr[11];
                } elseif ($couleurPrec != $enr[11]) {
                  $matAff[$iMat][$j] = str_replace("<TD class=\"bordTLRB\" rowspan=\"".$dureePrec."\" bgcolor=\"".$couleurPrec."\">","<TD class=\"bordTLRB\" rowspan=\"".$dureePrec."\" bgcolor=\"".$enr[11]."\">",$matAff[$iMat][$j]);
                  $couleurPrec = $enr[11];
                }
              } else {
                if ($hFinPrec!=$debutJournee)
                  $matAff[$iMatPrec][$j] .= "</DIV></TD>\n";
                $iMatPrec = $iMat;
                $matAff[$iMat][$j] = "      <TD class=\"bordTLRB\" rowspan=\"".$duree."\" bgcolor=\"".$enr[11]."\">";
                $dureePrec = $duree;
                $couleurPrec = $enr[11];
              }
              $matAff[$iMat][$j] .= "<DIV style=\"PADDING: 1px;background-color:".$enr[11]."\">";
              for ($i=1;$i<$duree;$i++) {
                $matAff[$iMat+$i][$j] = "";
              }
              $hFinPrec = max($hFinPrec,$hFin);
              //Stockage des informations sur la note
              $matAff[$iMat][$j] .= $lienStatut;
              $matAff[$iMat][$j] .= "&nbsp;<A".$lien." id=\"n".$enr[0]."\" style=\"text-decoration: ".$styleNote.";\" onmouseover=\"javascript: dtc('".addslashes($debutNote."<IMG height='8' alt='' src='image/popup_jusqua.gif' width='8' border='0' align='middle'>".$finNote)."','".addslashes($libelleNote)."','".addslashes($detailNote)."'); return false;\" onmouseout=\"javascript: nd(); return true;\">";
              $matAff[$iMat][$j] .= $debutNote."<IMG height=\"7\" alt=\"\" src=\"image/jusqua.gif\" width=\"8\" border=\"0\">";
              $matAff[$iMat][$j] .= $enr[4]."</A>";
              $matAff[$iMat][$j] .= $sOption;
            }
            //Stockage des infos relatives aux notes couvrant la totalit d'une journe
            elseif ($enr[1]==3) {
              $aGlobale[$j] .= "<DIV style=\"padding:1px;background-color:".$enr[11].";text-align:left;\">";
              $aGlobale[$j] .= $lienStatut;
              $aGlobale[$j] .= "&nbsp;<A".$lien." id=\"n".$enr[0]."\" style=\"text-decoration: ".$styleNote.";\" onmouseover=\"javascript: dtc('Toute la journ&eacute;e','".addslashes($libelleNote)."','".addslashes($detailNote)."'); return false;\" onmouseout=\"javascript: nd(); return true;\">".$enr[4]."</A>";
              $aGlobale[$j] .= $sOption."</DIV>";
              $foundGlobale = true;
            }
          }
        }
        // Anniversaire(s) du calepin (y compris les contacts partags)
        $DB_CX->DbQuery("SELECT cal_id,CONCAT(cal_prenom,' ',cal_nom),cal_util_id,cal_partage,cal_date_naissance FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$USER_SUBSTITUE." OR cal_partage='O') AND cal_date_naissance LIKE '%".date("m-d",$leJour)."' AND DATE_FORMAT(cal_date_naissance,'%Y%m%d')<=".date("Ymd",$leJour)); 
        while ($enr = $DB_CX->DbNextRow()) {
          $infoAge = afficheAge($enr[4],$leJour);
          $aAnniv[$j] .= ($enr[2]==$idUser || ($enr[3]=='O' && $MODIF_PARTAGE)) ? "<A href=\"?ztAction=M&id=".$enr[0]."&sid=".$sid."&tcMenu=11&tcPlg=".$tcMenu."&sd=".$sd.";\"".$infoAge.">".$enr[1]."</A><BR>" : "<A".$infoAge.">".$enr[1]."</A><BR>";
          $foundAnniv = true;
        }
      }
      //Si au moins une note a t enregistre, on ferme la cellule
      if ($hFinPrec!=$debutJournee) {
        $matAff[$iMatPrec][$j] .= "</DIV></TD>\n";
        $iMatPrec=0;
        $hFinPrec=$debutJournee;
      }
    }
    if ($foundAnniv || $foundGlobale) {
      echo "</TR>\n  <TR valign=\"top\" align=\"center\">\n    <TD colspan=\"2\">&nbsp;</TD>\n";
      for ($j=0;$j<7;$j++) {
        if (${"bt".($j+1)}==1) {
          echo "    <TD class=\"bordTLRB\" bgcolor=\"".$CalFond."\">";
          if (!empty($aAnniv[$j]))
            echo "<IMG src=\"image/anniversaire.gif\" width=\"16\" height=\"16\" alt=\"Anniversaire\" border=\"0\" align=\"absmiddle\" vspace=\"1\" hspace=\"1\">&nbsp;".substr($aAnniv[$j],0,strlen($aAnniv[$j])-4);
          if (!empty($aGlobale[$j]))
            echo $aGlobale[$j];
          echo "</TD>\n";
        }
      }
    }
    echo "    </TR>\n";

    //Affichage du tableau
    $index = 1;
    for ($i=0;$i<$dureeJournee;$i++) {
      if (!($i%$precisionAff)) {
        $index=1-$index;
        echo "    <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n";
        echo "      <TD width=\"20\" class=\"heure\" nowrap rowspan=\"".$precisionAff."\" align=\"right\">".($debutJournee+($i/$precisionAff))."h</TD>\n";
      } else
        echo "    <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n";
      echo "      <TD width=\"20\" class=\"minute\" height=\"18\" nowrap>".date("i",mktime(12,(($debutJournee+($i/$precisionAff))*60)%60,0,1,1,2000))."</TD>\n";
      for ($j=0;$j<7;$j++) {
        if (${"bt".($j+1)}==1)
          echo $matAff[$i][$j];
      }
      echo "    </TR>\n";
    }

    echo "    </TABLE>\n";
  }
?>
<!-- FIN MODULE PLANNING HEBDOMADAIRE -->
