<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  require("inc/nocache.inc.php");
  require("inc/html.inc.php");
  include("inc/conf.inc.php");
  if (isset($sid)) {
    include("inc/fonctions.inc.php");
  }
  else
    exit;

  $idUser = Session_ok($sid);

  include("skins/$APPLI_STYLE.php");

  $bgColor[0]="#FFFFFF";
  $bgColor[1]="#F7F7EF";

  $vu += 0;
?>
<!DOCTYPE html public "-//w3c//dtd html 4.0 transitional//en">
<HTML>
<HEAD>
  <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <META http-equiv="Cache-Control" content="no-cache">
  <META name="Author" content="Stephane TEIL (phenix-agenda@laposte.net)">
  <META name="robots" content="noindex">
  <TITLE>Phenix <?php echo $APPLI_VERSION; ?></TITLE>
  <STYLE type="text/css">
  <!--
    BODY {
      FONT-FAMILY: Verdana, Arial, Tahoma;
      FONT-SIZE: 11px;
      FONT-WEIGHT: normal;
      COLOR: #000000;
      BACKGROUND-COLOR: #FFFFFF;
    }

    TABLE  {
      FONT-FAMILY: Verdana, Arial, Tahoma;
      FONT-SIZE: 10px;
      COLOR: #000000;
      BORDER-COLLAPSE: collapse;
    }
    .borderAll {
      COLOR: #000000;
      BORDER: solid 1px #000000;
      PADDING-TOP: 3px;
      TEXT-ALIGN: center;
    }
    TD.borderNone {
      COLOR: #000000;
      PADDING-TOP: 3px;
      TEXT-ALIGN: center;
      BORDER-TOP: solid 1px #000000;
      BORDER-BOTTOM: solid 1px #000000;
    }
    TD.borderNote {
      COLOR: #000000;
      BORDER-LEFT: solid 1px #000000;
      BORDER-RIGHT: solid 1px #000000;
      BORDER-BOTTOM: solid 1px #000000;
      PADDING: 2px;
      PADDING-TOP: 3px;
    }
    TD.borderNotePerso {
      COLOR: #000000;
      BORDER-LEFT: solid 1px #000000;
      BORDER-RIGHT: solid 1px #000000;
      BORDER-BOTTOM: solid 1px #000000;
      PADDING: 2px;
      PADDING-TOP: 3px;
    }
    TD.mensNote {
      COLOR: #000000;
      BORDER: solid 1px #000000;
      /*PADDING: 1px;*/
    }
    TD.mensVide {
      COLOR: #000000;
      BORDER: solid 1px #000000;
    }
    TD.mensPrec {
      COLOR: #000000;
      BORDER: solid 1px #000000;
      BACKGROUND-COLOR: #E9EEF3;
      /*PADDING: 1px;*/
      /*TEXT-ALIGN: right;*/
    }
    TD.numWeek {
      COLOR: #000000;
      FONT-WEIGHT: bold;
      BORDER: solid 1px #000000;
      BACKGROUND-COLOR: <?php echo $bgColor[1]; ?>;
      PADDING: 2px;
      TEXT-ALIGN: center;
    }
    H4 {
      FONT-SIZE: 15px;
    }
  //-->
  </STYLE>
</HEAD>

<BODY onLoad="javascript: window.focus();" topmargin=0 leftmargin=1 marginwidth=1 marginheight=0>
<?php
  $jourEnCours  = date("d", $sd);
  $moisEnCours  = date("m", $sd);
  $anneeEnCours = date("Y", $sd);
  $DB_CX->DbQuery("SELECT CONCAT(util_prenom,' ',util_nom) FROM ${PREFIX_TABLE}utilisateur WHERE util_id=".$USER_SUBSTITUE);
  $nomUtil = $DB_CX->DbResult(0,0);

//---------------------------------------------------------
//                    PLANNING QUOTIDIEN                   
//---------------------------------------------------------
if (!$vu) {
  /****************************************************************************************************************/
  function getInfoNote(&$enr) {
    global $classNote,$plageNote,$noteRec;
    global $USER_SUBSTITUE,$idUser,$AgendaFondNotePerso,$AgendaFondNote;
    //Proprit Prive ou Publique de la note
    if ($USER_SUBSTITUE!=$idUser && $enr[5]!=$idUser && $enr[6]==1) {
      $enr[3] = "Occup&eacute;";
      $enr[4] = "";
      $notePrive = true;
    }
    else {
      $notePrive = false;
      //Retour  la ligne et suppression des lignes vides dans l'affichage du dtail de la note
      $tabDetail = explode(chr(13),$enr[4]);
      $enr[4] = "";
      for ($nb=0;$nb<count($tabDetail);$nb++) {
        $tabDetail[$nb]=trim($tabDetail[$nb]);
        if (!empty($tabDetail[$nb]))
          $enr[4] .= "<BR>".$tabDetail[$nb];
      }
    }
    //Couleur de fond de la note si non dfinie dans la bdd
    if (empty($enr[7]))
      $enr[7] = ($enr[5]==$USER_SUBSTITUE) ? $AgendaFondNotePerso : $AgendaFondNote;
    //Proprit de la note
    if ($enr[5]==$idUser && $USER_SUBSTITUE==$idUser) {
      $classNote = "borderNotePerso";
    }
    else {
      $classNote = ($enr[5]==$USER_SUBSTITUE) ? "borderNotePerso" : "borderNote";
    }
    //Plage horaire de la note
    $plageNote = ($enr[8]==2) ? afficheHeure(floor($enr[0]),$enr[0])."<IMG height='7' alt='' src='image/jusqua.gif' width='8' border='0'>".afficheHeure(floor($enr[1]),$enr[1]) : "Toute la journ&eacute;e";
    //Rcursivit de la note
    $noteRec = ($enr[2]!=1 && $notePrive==false) ? "&nbsp;<IMG title=\"Note r&eacute;curente\" src=\"image/recurrent.gif\" border=\"0\" align=\"absmiddle\">" : "";
  }
  /****************************************************************************************************************/
  $dateCrt = $anneeEnCours."-".$moisEnCours."-".$jourEnCours;
  // Anniversaire(s) de l'agenda
  $ligneAnniv = $premiereLettre = "";
  $DB_CX->DbQuery("SELECT age_libelle FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date LIKE '%".substr($dateCrt,4)."' AND DATE_FORMAT(age_date,'%Y%m%d')<=".date("Ymd",$sd)." AND age_aty_id=1");
  while ($enr = $DB_CX->DbNextRow()) {
    if (empty($premiereLettre))
      $premiereLettre = strtolower(substr($enr[0],0,1));
    $ligneAnniv .= $enr[0]." / ";
  }
  // Anniversaire(s) du calepin (y compris les contacts partags)
  $DB_CX->DbQuery("SELECT CONCAT(cal_prenom,' ',cal_nom) FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$USER_SUBSTITUE." OR cal_partage='O') AND cal_date_naissance LIKE '%".substr($dateCrt,4)."' AND DATE_FORMAT(cal_date_naissance,'%Y%m%d')<=".date("Ymd",$sd)); 
  while ($enr = $DB_CX->DbNextRow()) {
    if (empty($premiereLettre))
      $premiereLettre = strtolower(substr($enr[0],0,1));
    $ligneAnniv .= $enr[0]." / ";
  }
  if (!empty($ligneAnniv)) {
    $genre = genrePrenom($premiereLettre)."<B>";
    $ligneAnniv = "<CENTER>Anniversaire ".$genre.substr($ligneAnniv,0,strlen($ligneAnniv)-3)."</B></CENTER><BR>";
  }
?>
<!-- PLANNING QUOTIDIEN -->
  <H4 align="center">Agenda de <?php echo $nomUtil; ?><BR>Journ&eacute;e du <?php echo $tabJour[date("w",$sd)]." ".$jourEnCours." ".strtolower($tabMois[date("n",$sd)])." ".$anneeEnCours; ?></H4>
<?php echo $ligneAnniv; ?>
  <TABLE cellspacing="0" cellpadding="4" width="100%" border="0">
  <TR>
    <TD><TABLE cellspacing="0" cellpadding="0" width="100%" border="0" style="border: 1px solid #000000;">
<?php
  //Parametres de la journee choisis par l'utilisateur
  $DB_CX->DbQuery("SELECT util_debut_journee, util_fin_journee FROM ${PREFIX_TABLE}utilisateur WHERE util_id=".$USER_SUBSTITUE);
  $debutJournee = $DB_CX->DbResult(0,0);
  $finJournee   = $DB_CX->DbResult(0,1);

  //Heure de dbut et de fin en fonction des notes non affiches
  $DB_CX->DbQuery("SELECT MIN(age_heure_debut), MAX(age_heure_fin) FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date='".$dateCrt."' AND age_aty_id=2");
  if ($DB_CX->DbResult(0,0)!=NULL) {
    $debutJournee = min($debutJournee,$DB_CX->DbResult(0,0));
    if (($debutJournee-floor($debutJournee)==0.25) || ($debutJournee-floor($debutJournee)==0.75))
      $debutJournee -= 0.25;
    $finJournee = max($finJournee,$DB_CX->DbResult(0,1));
    if (($finJournee-floor($finJournee)==0.25) || ($finJournee-floor($finJournee)==0.75))
      $finJournee += 0.25;
  }

  $dureeJournee = ($finJournee-$debutJournee)*2;

  //Nb maxi de notes en mme temps
  $maxNote = 1;
  for ($hCrt=$debutJournee;$hCrt<$finJournee;$hCrt=$hCrt+0.5) {
    $DB_CX->DbQuery("SELECT COUNT(age_id) FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date='".$dateCrt."' AND ((age_heure_debut<=".$hCrt." AND age_heure_fin>".$hCrt.") OR (age_heure_debut<=".($hCrt+0.25)." AND age_heure_fin>".($hCrt+0.25).")) AND age_aty_id=2");
    if ($DB_CX->DbResult(0,0) > $maxNote)
      $maxNote = $DB_CX->DbResult(0,0);
  }
  $widthCell = round(100/$maxNote++);

  //Initialisation de la matrice d'affichage
  for ($i=0;$i<$dureeJournee;$i++) {
    for ($j=0;$j<$maxNote;$j++) {
      $matAff[$i][$j] = ($j) ? "        <TD class=\"borderNone\"><IMG src=\"image/trans.gif\"></TD>\n" : "borderAll";
      $tabCol[$j] = 0;
    }
  }

  //Lecture des notes couvrant la totalit d'une journe
  $DB_CX->DbQuery("SELECT age_heure_debut,age_heure_fin,age_ape_id,age_libelle,age_detail,age_util_id,age_prive,age_couleur,age_aty_id FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}utilisateur WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date='".$dateCrt."' AND age_aty_id=3 AND util_id=age_util_id ORDER BY age_heure_debut ASC");
  $iGlb = 0;
  $aGlobale = array();
  while ($enr = $DB_CX->DbNextRow()) {
    //Formatage des informations sur la note
    getInfoNote($enr);
    //Stockage des infos relatives aux notes couvrant la totalit d'une journe
    $aGlobale[$iGlb]  = "      <TR>\n        <TD colspan=\"".($maxNote+1)."\" class=\"".$classNote."\" bgcolor=\"".$enr[7]."\">";
    $aGlobale[$iGlb++] .= "[".$plageNote."]&nbsp;<B>".$enr[3]."</B>".$noteRec.$enr[4]."</TD>\n      </TR>\n";
  }

  //Lecture des notes de la journe
  for ($hCrt=$debutJournee;$hCrt<$finJournee;$hCrt=$hCrt+0.5) {
    $iMat = ($hCrt-$debutJournee)*2;
    $DB_CX->DbQuery("SELECT age_heure_debut,age_heure_fin,age_ape_id,age_libelle,age_detail,age_util_id,age_prive,age_couleur,age_aty_id FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}utilisateur WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND age_date='".$dateCrt."' AND (age_heure_debut=".$hCrt." OR age_heure_debut=".($hCrt+0.25).") AND age_aty_id=2 AND util_id=age_util_id ORDER BY age_heure_debut ASC");
    while ($enr = $DB_CX->DbNextRow()) {
      //Formatage des informations sur la note
      getInfoNote($enr);
      //Modification des horaires de la note en fonction de la precision d'affichage de l'utilisateur
      $hDebut = $hCrt;
      $hFin = (($enr[1]-floor($enr[1])==0.25) || ($enr[1]-floor($enr[1])==0.75)) ? $enr[1]+0.25 : $enr[1];
      $hFin = min($hFin,$finJournee);
      $duree = ($hFin-$hDebut)*2;

      //Position dans la matrice d'affichage
      $colToUse = 0;
      for ($i=1;$i<$maxNote && !$colToUse;$i++) {
        if ($tabCol[$i]<=$hDebut) {
          $colToUse = $i;
          $tabCol[$i] = $hFin;
        }
      }

      //Stockage des informations sur la note
      $matAff[$iMat][$colToUse] = "        <TD width=\"".$widthCell."%\" rowspan=\"".$duree."\" class=\"".$classNote."\" bgcolor=\"".$enr[7]."\">";
      $matAff[$iMat][$colToUse] .= "[".$plageNote."]&nbsp;<B>".$enr[3]."</B>".$noteRec.$enr[4]."</TD>\n";
      //Correction de l'affichage pour les notes sur plusieurs lignes
      for ($i=1;$i<$duree-1;$i++) {
        $matAff[$iMat+$i][$colToUse] = "";
      }
      if ($duree>1) {
        $matAff[$iMat+$duree-1][$colToUse] = "";
      }
    }
  }

  //Affichage des notes couvrant toute la journe
  for ($i=0;$i<count($aGlobale);$i++)
    echo $aGlobale[$i];
  //Affichage du tableau
  $index = 0;
  for ($i=0;$i<$dureeJournee;$i++) {
    $index=1-$index;
    echo "      <TR bgcolor=\"".$bgColor[$index]."\" height=\"19\" valign=\"top\">\n";
    for ($j=0;$j<$maxNote+1;$j++) {
      echo ($j) ? $matAff[$i][$j] : "        <TD width=\"40\" nowrap class=\"".$matAff[$i][0]."\">".afficheHeure($debutJournee+($i/2),$debutJournee+($i/2))."</TD>\n";
    }
    echo "      </TR>\n";
  }
?>
    </TABLE></TD>
  </TR>
  </TABLE>
<!-- FIN PLANNING QUOTIDIEN -->
<?php
}
//---------------------------------------------------------
//                  PLANNING HEBDOMADAIRE                  
//---------------------------------------------------------
elseif ($vu==1) {
  $indexJourCrt = date("w",$sd);
  if ($indexJourCrt == 0)
    $indexJourCrt = 7;
  $premierJourSemaine = $jourEnCours-$indexJourCrt+1;

  $debutSemaine = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine,$anneeEnCours);
  $finSemaine   = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine+6,$anneeEnCours);
?>
<!-- PLANNING HEBDOMADAIRE -->
  <H4 align="center">Agenda de <?php echo $nomUtil; ?><BR>Semaine [<?php echo date("W",$debutSemaine); ?>] du <?php echo date("d",$debutSemaine)." ".strtolower($tabMois[date("n",$debutSemaine)])." ".date("Y",$debutSemaine); ?> au <?php echo date("d",$finSemaine)." ".strtolower($tabMois[date("n",$finSemaine)])." ".date("Y",$finSemaine); ?></H4>
  <TABLE cellspacing="1" cellpadding="0" width="100%" border="0" bgcolor="#000000" style="border-collapse:separate;">
<?php
  $index = 0;
  $nbJSelect=0;
  for ($i=1; $i<8; $i++) {
    ${"bt".$i} = substr($SEMAINE_TYPE,$i-1,1);
    if (${"bt".$i}==1)
      $nbJSelect++;
  }

  for ($i=0;$i<7;$i++) {
    if (${"bt".($i+1)}==1) {
      $index=1-$index;
      $leJour = gmmktime(12,0,0,$moisEnCours,$premierJourSemaine+$i,$anneeEnCours);
      $DB_CX->DbQuery("SELECT age_aty_id,age_heure_debut,age_heure_fin,age_libelle,age_ape_id,age_detail,age_prive,age_couleur,age_util_id FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}utilisateur WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND (age_date='".date("Y-m-d",$leJour)."' OR (age_date LIKE '%".date("m-d",$leJour)."' AND DATE_FORMAT(age_date,'%Y%m%d')<=".date("Ymd",$leJour)." AND age_aty_id=1)) AND util_id=age_util_id ORDER BY age_aty_id DESC, age_heure_debut ASC");
      $ligneAnniv = $ligneNote = $premiereLettre = "";
      for ($j=0;$j<$DB_CX->DbNumRows();$j++) {
        $enr = $DB_CX->DbNextRow();
        //Stockage des infos relatives aux anniversaires
        if ($enr[0]==1) {
          if (empty($premiereLettre))
            $premiereLettre = strtolower(substr($enr[3],0,1));
          $ligneAnniv .= $enr[3]." / ";
        }
        //Stockage des infos relatives aux notes
        else {
          if ($USER_SUBSTITUE!=$idUser && $enr[8]!=$idUser && $enr[6]==1) {
            $enr[3] = "Occup&eacute;";
            $enr[5] = "";
            $notePrive = true;
          }
          else
            $notePrive = false;
          //Couleur de fond de la note si non dfinie dans la bdd
          if (empty($enr[7]))
            $enr[7] = ($enr[8]==$USER_SUBSTITUE) ? $AgendaFondNotePerso : $AgendaFondNote;
          $plageNote = ($enr[0]==2) ? afficheHeure(floor($enr[1]),$enr[1])."<IMG height='7' alt='' src='image/jusqua.gif' width='8' border='0'>".afficheHeure(floor($enr[2]),$enr[2]) : "Toute la journ&eacute;e";
          $ligneNote .= "<DIV style=\"background-color:".$enr[7].";\">&nbsp;[".$plageNote."]&nbsp;<B>".$enr[3]."</B>";
          if ($enr[4]!=1 && $notePrive==false) {
            $ligneNote .= "&nbsp;<IMG title=\"Note r&eacute;currente\" src=\"image/recurrent.gif\" border=\"0\" align=\"absmiddle\">";
          }
          $tabDetail = explode(chr(13),$enr[5]);
          for ($nb=0;$nb<count($tabDetail);$nb++) {
            $tabDetail[$nb]=trim($tabDetail[$nb]);
            if (!empty($tabDetail[$nb]))
              $ligneNote .= "<BR>&nbsp;&nbsp;&nbsp;&nbsp;".$tabDetail[$nb];
          }
          $ligneNote .= "</DIV>";
        }
      }
      // Anniversaire(s) du calepin (y compris les contacts partags)
      $DB_CX->DbQuery("SELECT CONCAT(cal_prenom,' ',cal_nom) FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$USER_SUBSTITUE." OR cal_partage='O') AND cal_date_naissance LIKE '%".date("m-d",$leJour)."' AND DATE_FORMAT(cal_date_naissance,'%Y%m%d')<=".date("Ymd",$leJour)); 
      while ($enr = $DB_CX->DbNextRow()) {
        if (empty($premiereLettre))
          $premiereLettre = strtolower(substr($enr[0],0,1));
        $ligneAnniv .= $enr[0]." / ";
      }
      // Format du tableau si anniversaire du jour  afficher
      if (!empty($ligneAnniv)) {
        $rowspan = 2;
        $hauteur = 65;
        $genre = genrePrenom($premiereLettre)."<B>";
        $ligneAnniv = ("    <TD height=\"15\" bgcolor=\"#E9EEF3\">&nbsp;Anniversaire ".$genre.substr($ligneAnniv,0,strlen($ligneAnniv)-3)."</B></TD>
  </TR>
  <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n");
      }
      else {
        $rowspan = 1;
        $hauteur = 80;
      }
?>
  <TR bgcolor="<?php echo $bgColor[$index]; ?>" valign="top">
    <TD width="70" height="80" rowspan="<?php echo $rowspan; ?>" align="center" valign="middle"><B><?php echo $tabJour[date("w",$leJour)]."<BR>".date("d/m",mktime(12,0,0,$moisEnCours,$premierJourSemaine+$i,$anneeEnCours)); ?></B></TD>
<?php echo $ligneAnniv; ?>
    <TD height="<?php echo $hauteur; ?>"><?php echo $ligneNote; ?></TD>
  </TR>
<?php
    }
  }
?>
  </TABLE>
<!-- FIN PLANNING HEBDOMADAIRE -->
<?php
}
//---------------------------------------------------------
//                     PLANNING MENSUEL                    
//---------------------------------------------------------
elseif ($vu==2) {
  function afficheJour($leJour, $nbJour, $mPrec) {
    global $DB_CX, $PREFIX_TABLE, $USER_SUBSTITUE, $idUser, $AgendaFondNotePerso, $AgendaFondNote, $moisEnCours, $anneeEnCours;
    // On regarde si le jour  afficher appartient au mois courant
    if ($mPrec==0) {
      $classCel = "mensNote";
      $styleLien = "<B>".$nbJour."</B>";
      $tsJour = mktime(12,0,0,$moisEnCours, $nbJour, $anneeEnCours);
    } else {
      $classCel = "mensPrec";
      $styleLien = "<FONT color=\"#98B1C8\">".$nbJour."</FONT>";
      $tsJour = mktime(12,0,0,$moisEnCours+$mPrec, $nbJour, $anneeEnCours);
    }
    $ligneAnniv = $plageNote = "";
    // Anniversaire(s) du calepin (y compris les contacts partags)
    $DB_CX->DbQuery("SELECT CONCAT(cal_prenom,' ',cal_nom) FROM ${PREFIX_TABLE}calepin WHERE (cal_util_id=".$USER_SUBSTITUE." OR cal_partage='O') AND cal_date_naissance LIKE '%".substr($leJour,4)."' AND DATE_FORMAT(cal_date_naissance,'%Y%m%d')<=".date("Ymd",$tsJour)); 
    while ($enr = $DB_CX->DbNextRow())
      $ligneAnniv .= $enr[0]."/";
    $DB_CX->DbQuery("SELECT age_aty_id,age_heure_debut,age_heure_fin,age_libelle,age_prive,age_couleur,age_util_id FROM ${PREFIX_TABLE}agenda, ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}utilisateur WHERE age_id=aco_age_id AND aco_util_id=".$USER_SUBSTITUE." AND (age_date='".$leJour."' OR (age_date LIKE '%".substr($leJour,4)."' AND DATE_FORMAT(age_date,'%Y%m%d')<=".date("Ymd",$tsJour)." AND age_aty_id=1)) AND util_id=age_util_id ORDER BY age_aty_id DESC, age_heure_debut ASC");
    if ($DB_CX->DbNumRows()) {
      while ($enr = $DB_CX->DbNextRow()) {
        //Stockage des infos relatives aux anniversaires
        if ($enr[0]==1)
          $ligneAnniv .= $enr[3]."/";
        //Stockage des infos relatives aux notes
        else {
          //Proprit Prive ou Publique de la note
          if ($USER_SUBSTITUE!=$idUser && $enr[6]!=$idUser && $enr[4]==1)
            $enr[3] = "Occup&eacute;";
          //Couleur de fond de la note si non dfinie dans la bdd
          if (empty($enr[5]))
            $enr[5] = ($enr[6]==$USER_SUBSTITUE) ? $AgendaFondNotePerso : $AgendaFondNote;
          $plageNote .= "<DIV style=\"padding:1px;background-color:".$enr[5].";\">".(($enr[0]==2) ? afficheHeure(floor($enr[1]),$enr[1])."-".afficheHeure(floor($enr[2]),$enr[2]) : "Toute la journ&eacute;e")."<IMG height='7' alt='' src='image/jusqua.gif' width='8' border='0'>".$enr[3]."</DIV>";
        }
      }
      if (!empty($ligneAnniv))
        $ligneAnniv = "<TD width=\"100%\">[".substr($ligneAnniv,0,strlen($ligneAnniv)-1)."]&nbsp;</TD>";
      echo "    <TD class=\"".$classCel."\"><TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\"><TR align=\"right\" valign=\"top\">".$ligneAnniv."<TD>".$styleLien."</TD></TR></TABLE>".$plageNote."</TD>\n";
    }
    else {
      if (!empty($ligneAnniv))
        echo "    <TD class=\"".$classCel."\"><TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\"><TR align=\"right\" valign=\"top\"><TD width=\"100%\">[".substr($ligneAnniv,0,strlen($ligneAnniv)-1)."]&nbsp;</TD><TD>".$styleLien."</TD></TR></TABLE></TD>";
      else
        echo "    <TD class=\"".$classCel."\" align=\"right\">".$styleLien."</TD>\n";
    }
  }
?>
<!-- PLANNING MENSUEL -->
  <H4 align="center">Agenda de <?php echo $nomUtil; ?><BR><?php echo $tabMois[date("n",$sd)]." ".date("Y",$sd); ?></H4>
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
<?php
  echo "  <TR bgcolor=\"".$bgColor[1]."\">\n    <TD bgcolor=\"#FFFFFF\"></TD>\n";
  $nbJSelect=0;
  for ($i=1; $i<8; $i++) {
    ${"bt".$i} = substr($SEMAINE_TYPE,$i-1,1);
    if (${"bt".$i}==1)
      $nbJSelect++;
  }
  $celSize = floor(100/$nbJSelect);
  for ($i=1; $i<8; $i++)
    if (${"bt".$i}==1)
      echo "    <TD align=\"center\" width=\"".$celSize."%\" height=\"18\" class=\"mensVide\"><B>".$tabJour[$i]."</B></TD>\n";
  echo "  </TR>\n";

  $premierJour = date("w",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours));
  if ($premierJour == 0)
    $premierJour = 7;

  echo "  <TR valign=\"top\" height=\"80\">\n    <TD valign=\"middle\" class=\"numWeek\">".date("W",mktime(12,0,0,$moisEnCours, 1, $anneeEnCours))."</TD>\n";
  $nbJour = 0;
  for ($i=1;$i<8;$i++) {
    if (${"bt".$i}!=1) {
      if ($i>=$premierJour)
        $nbJour++;
    } elseif ($i<$premierJour) {
      $tsJour = mktime(12,0,0,$moisEnCours, 1-$premierJour+$i, $anneeEnCours);
      afficheJour(date("Y-m-d",$tsJour), date("j",$tsJour), -1);
    } else {
      $leJour = (++$nbJour < 10) ? $anneeEnCours."-".$moisEnCours."-0".$nbJour : $anneeEnCours."-".$moisEnCours."-".$nbJour;
      afficheJour($leJour, $nbJour, 0);
    }
  }
  echo "  </TR>\n";
  $finDeMois = false;
  for ($j=1;!$finDeMois;$j++) {
    if (checkdate($moisEnCours, $nbJour+1, $anneeEnCours)) {
      echo "  <TR valign=\"top\" height=\"80\">\n    <TD valign=\"middle\" class=\"numWeek\">".date("W",mktime(12,0,0,$moisEnCours, $nbJour+1, $anneeEnCours))."</TD>\n";
      for($i=1;$i<8;$i++) {
        if (${"bt".$i}!=1)
          $nbJour++;
        elseif (checkdate($moisEnCours, ++$nbJour, $anneeEnCours)) {
          $leJour = ($nbJour < 10) ? $anneeEnCours."-".$moisEnCours."-0".$nbJour : $anneeEnCours."-".$moisEnCours."-".$nbJour;
          afficheJour($leJour, $nbJour, 0);
        }
        else {
          $finDeMois = true;
          $tsJour = mktime(12,0,0,$moisEnCours, $nbJour, $anneeEnCours);
          afficheJour(date("Y-m-d",$tsJour), date("j",$tsJour), 1);
        }
      }
      echo "  </TR>\n";
    }
    else {
      $finDeMois = true;
    }
  }
?>
  </TABLE>
<!-- FIN PLANNING MENSUEL -->
<?php
}
//---------------------------------------------------------
//                DISPONIBILITE HEBDOMADAIRE               
//---------------------------------------------------------
elseif ($vu==8) {
  $aVar = explode("|",$extra);
  $sChoix = $aVar[0];
  $zlPrec = $aVar[1];
  $iHeureMin = $aVar[2];
  $iHeureMax = $aVar[3];
  $moisEnCours = date("m",$aVar[4]);
  $premierJourSemaine = date("d",$aVar[4]);
  $anneeEnCours = date("Y",$aVar[4]);

  $sOutput = ("<!-- DISPONIBILITE HEBDOMADAIRE -->
  <H4 align=\"center\">Agenda de ".$nomUtil."<BR>Semaine [".date("W",$aVar[4])."] du ".$premierJourSemaine." ".strtolower($tabMois[$moisEnCours])." ".$anneeEnCours." au ".date("d",$aVar[5])." ".strtolower($tabMois[date("n",$aVar[5])])." ".date("Y",$aVar[5])."</H4>\n");
  // Info sur les utilisateurs slectionns
  $DB_CX->DbQuery("SELECT CONCAT(util_prenom,' ',util_nom) AS nomUtil FROM ${PREFIX_TABLE}utilisateur WHERE util_id IN (".$sChoix.") ORDER BY nomUtil");
  $sOutput .= "  <P align=\"center\"><B><U>Disponibilit&eacute;s communes de</U> :</B><BR>";
  while ($enr=$DB_CX->DbNextRow())
    $sOutput .= $enr[0]."<BR>";
  $sOutput .= "</P>\n";
  // Calcul de la duree de la journe pour le nb de colonnes
  $iDureeJournee = ($iHeureMax-$iHeureMin)*$zlPrec;
  //Tableau des disponibilits 0->libre 1->Occup
  $aJournee = array();
  for ($i=0;$i<$iDureeJournee;$i++) {
    //Initialisation du tableau de la journee  0 (libre)
    $aJournee[$i][0]=0;
  }

  // Parcours des jours de la semaine
  $sOutput .= "  <TABLE border=\"0\" cellspacing=\"1\" cellpadding=\"4\" align=\"center\" bgcolor=\"#000000\" style=\"border-collapse:separate;\">\n";
  $index = 0;
  for ($j=0;$j<7;$j++) {
    $index=1-$index;
    $leJour = mktime(12,0,0,$moisEnCours,$premierJourSemaine+$j,$anneeEnCours);
    $sOutput .= "  <TR align=\"center\" valign=\"middle\" bgcolor=\"".$bgColor[$index]."\">\n";
    $sOutput .= "    <TD class=\"mois\"><B>&nbsp;".$tabJour[date("w",$leJour)]."&nbsp;<BR>".date("d/m/y",mktime(12,0,0,$moisEnCours,$premierJourSemaine+$j,$anneeEnCours))."</B></TD>\n";
    $sOutput .= "    <TD class=\"libre\">";
    // Rcupration des horaires des notes dans la table agenda_concerne
    $sql  = "SELECT age_heure_debut, age_heure_fin, age_aty_id";
    $sql .= " FROM ${PREFIX_TABLE}agenda_concerne, ${PREFIX_TABLE}agenda";
    $sql .= " WHERE aco_util_id IN (".$sChoix.")";
    $sql .= "  AND age_id=aco_age_id";
    $sql .= "  AND age_date='".date("Y-m-d",$leJour)."'";
    $sql .= "  AND age_disponibilite=0";
    $sql .= "  AND (age_heure_debut=".$iHeureMin;
    $sql .= "  OR (age_heure_debut<".$iHeureMin." AND age_heure_fin>".$iHeureMin.")";
    $sql .= "  OR (age_heure_debut>".$iHeureMin." AND age_heure_debut<".$iHeureMax."))";
    $sql .= " ORDER BY age_heure_debut ASC, age_heure_fin DESC";
    $DB_CX->DbQuery($sql);
    // Remplissage du tableau de la journe  1 (occup)
    while ($enr=$DB_CX->DbNextRow()) {
      // Ajustement des heures de dbut et de fin si hors profil ou pour les notes couvrant toute une journe
      if ($enr[2]==3) {
        $enr[0]=$iHeureMin;
        $enr[1]=$iHeureMax;
      } else {
        $enr[0]=max($enr[0],$iHeureMin);
        $enr[1]=min($enr[1],$iHeureMax);
      }
      for ($i=$enr[0];$i<$enr[1];$i+=0.25)
        $aJournee[($i-$iHeureMin)*$zlPrec][0] = 1;
    }
    for ($i=0;$i<$iDureeJournee;$i++) {
      $hFin = colSpan($i+1,$aJournee[$i][0]);
      if ($aJournee[$i][0]==0)
        $sOutput .= "Entre ".afficheHeure(($i/$zlPrec)+$iHeureMin,($i/$zlPrec)+$iHeureMin)." et ".afficheHeure(($hFin/$zlPrec)+$iHeureMin,($hFin/$zlPrec)+$iHeureMin)."<BR>";
      // Rinitialisation du tableau pour le jour suivant
      $aJournee[$i][0]=0;
      // On avance l'indice de la boucle
      $i = $hFin-1;
    }
    $sOutput .= "</TD>\n  </TR>\n";
  }
  echo $sOutput."  </TABLE>\n<!-- FIN DISPONIBILITE HEBDOMADAIRE -->\n";
}
//---------------------------------------------------------
//                         CALEPIN                         
//---------------------------------------------------------
elseif ($vu==11) {
  function telephoneVF($str) {
    global $TELEPHONE_VF;
    if ($TELEPHONE_VF) {
      $str = preg_replace( "/[^0-9+]+/","",stripslashes($str));
      for ($i=0; $i < strlen($str); $i+=2) {
        $temp .= (($i != 0) ? "." : "").@substr($str,$i,2);
      }
      $str = $temp;
    }
    return $str;
  }
?>
<!-- CALEPIN -->
  <H4 align="center">Calepin de <?php echo $nomUtil; ?></H4>
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
<?php
  $strOutput = "";
  $index = 0;
  $DB_CX->DbQuery(stripslashes($sd));
  while ($enr = $DB_CX->DbNextRow()) {
    $index = 1 - $index;
    $strOutput .= "  <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n";
    $strOutput .= "    <TD width=\"2\" rowspan=\"3\" style=\"border-top:solid 1px #000000;border-left:solid 1px #000000;border-bottom:solid 1px #000000;\"><IMG src=\"image/trans.gif\" width=\"2\" height=\"1\" alt=\"\" style=\"border:0px\"></TD>\n";
    $strOutput .= "    <TD width=\"100%\" colspan=3 style=\"border-top:solid 1px #000000;\"><I>".$enr[1]."</I>&nbsp;&nbsp;</TD>\n";
    $strOutput .= "    <TD width=\"2\" rowspan=\"3\" style=\"border-top:solid 1px #000000;border-right:solid 1px #000000;border-bottom:solid 1px #000000;\"><IMG src=\"image/trans.gif\" width=\"2\" height=\"1\" alt=\"\" style=\"border:0px\"></TD>\n";
    $strOutput .= "  </TR>\n";
    $strOutput .= "  <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n";
    $strOutput .= "    <TD width=\"40%\">";
    if (!empty($enr[2]) || !empty($enr[3]))  // Nom et Prnom
      $strOutput .= "<B>".trim($enr[2]." ".$enr[3])."</B>&nbsp;&nbsp;<BR>";
    if (!empty($enr[4]))   // Adresse
      $strOutput .= nlTObr($enr[4],"&nbsp;&nbsp;")."&nbsp;&nbsp;<BR>";
    if (!empty($enr[5]) || !empty($enr[6]))  // Code postal et Ville
      $strOutput .= "<BR>".trim($enr[5]." ".$enr[6])."&nbsp;&nbsp;";
    if (!empty($enr[7]))   // Pays
      $strOutput .= "<BR>".$enr[7]."&nbsp;&nbsp;";
    if (!empty($enr[17]) && $enr[17]!="0000-00-00") { // Age
      $tabDate = explode("-",$enr[17]);
      $age=date("Y")-$tabDate[0];
      if (date("md")<($tabDate[1].$tabDate[2]))
        $age--;
      $strOutput .= "<BR><BR>Age : ".$age." ans (".$tabDate[2]."/".$tabDate[1]."/".$tabDate[0].")&nbsp;&nbsp;";
    }
    $strOutput .= "</TD>\n";
    $strOutput .= "    <TD width=\"36%\">";
    $col1 = $col2 = "";
    if (!empty($enr[8])) {   // Tlphone domicile
      $col1 .= "Domicile :&nbsp;<BR>";
      $col2 .= telephoneVF($enr[8])."<BR>";
    }
    if (!empty($enr[9])) {   // Tlphone professionnel
      $col1 .= "Travail :&nbsp;<BR>";
      $col2 .= telephoneVF($enr[9])."<BR>";
    }
    if (!empty($enr[10])) {  // Portable
      $col1 .= "Portable :&nbsp;<BR>";
      $col2 .= telephoneVF($enr[10])."<BR>";
    }
    if (!empty($enr[11])) {  // Fax
      $col1 .= "Fax :&nbsp;<BR>";
      $col2 .= telephoneVF($enr[11])."<BR>";
    }
    if (!empty($enr[12])) {  // Adresse Email
      $col1 .= "Email :&nbsp;<BR>";
      $col2 .= $enr[12]."<BR>";
    }
    if (!empty($enr[21])) {  // Adresse Email Professionnelle
      $col1 .= "Email Pro :&nbsp;";
      $col2 .= $enr[21];
    }
    $strOutput .= (!empty($col1)) ? "<TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"0%\" border=\"0\"><TR><TD nowrap>".$col1."</TD><TD>".$col2."</TD></TR></TABLE>" : "&nbsp;";
    $strOutput .= "</TD>\n";
    $strOutput .= "    <TD width=\"24%\">";
    $col1 = $col2 = "";
    if (!empty($enr[13])) {  // ICQ
      $col1 .= "ICQ :&nbsp;<BR>";
      $col2 .= $enr[13]."<BR>";
    }
    if (!empty($enr[18])) {  // AIM
      $col1 .= "AIM :&nbsp;<BR>";
      $col2 .= $enr[18]."<BR>";
    }
    if (!empty($enr[19])) {  // MSN
      $col1 .= "MSN :&nbsp;<BR>";
      $col2 .= $enr[19]."<BR>";
    }
    if (!empty($enr[20])) {  // YAHOO
      $col1 .= "Y! :&nbsp;";
      $col2 .= $enr[20];
    }
    $strOutput .= (!empty($col1)) ? "<TABLE cellspacing=\"0\" cellpadding=\"0\" width=\"0%\" border=\"0\"><TR><TD nowrap>".$col1."</TD><TD>".$col2."</TD></TR></TABLE>" : "&nbsp;";
    $strOutput .= "</TD>\n";
    $strOutput .= "  </TR>\n";
    $strOutput .= "  <TR bgcolor=\"".$bgColor[$index]."\" valign=\"top\">\n";
    $strOutput .= "    <TD width=\"100%\" colspan=\"3\" style=\"border-bottom:solid 1px #000000;\">";
    $strOutput .= (!empty($enr[16])) ? "&nbsp;<BR><U>Commentaire</U> :<BR>".nlTObr($enr[16])."<BR>&nbsp;" : "&nbsp;";
    $strOutput .= "</TD>\n";
    $strOutput .= "  </TR>\n";
  }
  echo $strOutput;
?>
  </TABLE>
<!-- FIN CALEPIN -->
<?php
}
  // Fermeture BDD
  $DB_CX->DbDeconnect();
?>
  <TABLE border="0" cellspacing="0" cellpadding="0" align="center"><TR><TD style="color:#C0C0C0; font-size:9px;">Phenix <?php echo $APPLI_VERSION; ?> [phenix.gapi.fr]</TD></TR></TABLE>
</BODY>
</HTML>