
<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  //Fete du jour
  $DB_CX->DbQuery("SELECT fet_nom FROM ${PREFIX_TABLE}fetes WHERE fet_mois=".$moisEnCours." AND fet_jour=".intval($jourEnCours));
  $feteDuJour = $DB_CX->DbResult(0,0);
  //Titre page
  $iTitre = ($USER_SUBSTITUE!=$idUser) ? 0 : $tcType;
  switch ($iTitre) {
    case 1 : $titrePage = "Gestion des anniversaires"; break;
    case 2 : $titrePage = "Gestion des notes"; break;
    default :
      if ($tcMenu==8)
        $titrePage = "Disponibilit&eacute;s hebdomadaires";
      elseif ($tcMenu==9)
        $titrePage = "Disponibilit&eacute;s quotidiennes";
      elseif ($tcMenu==11)
        $titrePage = "Gestion des contacts";
      elseif ($tcMenu==12)
        $titrePage = "Gestion des m&eacute;mos";
      elseif ($tcMenu==13)
        $titrePage = "Edition du profil";
      elseif ($tcMenu==14)
        $titrePage = "Gestion des libell&eacute;s types";
      elseif ($tcMenu==15)
        $titrePage = "Gestion des favoris";
      else {
        // Recherche des plannings partags auxquels l'utilisateur a accs
        $DB_CX->DbQuery("SELECT DISTINCT util_id, CONCAT(util_prenom,' ',util_nom) AS nomUtil FROM ${PREFIX_TABLE}utilisateur LEFT JOIN ${PREFIX_TABLE}planning_partage ON ppl_util_id=util_id WHERE util_id=".$idUser." OR (util_partage_planning='1') OR (util_partage_planning='2' AND ppl_consultant_id=".$idUser.") ORDER BY nomUtil");
        if ($DB_CX->DbNumRows()==1) {
          $genre = genrePrenom(strtolower(substr($DB_CX->DbResult(0,1),0,1)));
          $titrePage = "Planning ".$genre.$DB_CX->DbResult(0,1);
        }
        else {
          $listeUtil = "<SELECT name=\"zlSubst\" style=\"font-size:12px; font-weight:bold;\" onchange=\"javascript: substUser(this.value);\">";
          while ($enr = $DB_CX->DbNextRow()) {
            $style = ($enr[0]==$idUser) ? " style=\"color:".$PageNomUtilisateur.";\"" : "";
            $selected = ($enr[0]==$USER_SUBSTITUE) ? " selected" : "";
            $listeUtil .= "<OPTION value=\"".$enr[0]."\"".$selected.$style.">".htmlspecialchars($enr[1])."</OPTION>";
          }
          $listeUtil .= "</SELECT>";
          $titrePage = "Planning de ".$listeUtil;
        }
      }
  }
?>
<!-- MODULE TITRE DE L'AGENDA -->
  <TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
  <TR>
    <TD class="PageTitre" nowrap>&nbsp;&nbsp;<?php echo "Agenda - ".$titrePage; ?></TD>
<?php message($msg); ?>
    <TD align="right" nowrap class="PageDate"><B><?php echo $tabJour[date("w",$sd)]." ".$jourEnCours." ".strtolower($tabMois[date("n",$sd)])." ".$anneeEnCours; ?></B>&nbsp;&nbsp;<BR><A style="COLOR: <?php echo $PageDate; ?>;FONT-SIZE: 10px;"><?php echo "F&ecirc;te du jour : ".$feteDuJour; ?></A>&nbsp;&nbsp;</TD>
  </TR>
  </TABLE>
<!-- FIN MODULE TITRE DE L'AGENDA -->

