<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

// ----------------------------------------------------------------------------
function nlTObr($str = "", $extra = "") {
  return str_replace("  ","&nbsp;&nbsp;",str_replace(chr(13),"",str_replace(chr(10),$extra."<BR>",$str)));
}


// ----------------------------------------------------------------------------
function entete_page() {
  global $APPLI_STYLE, $RELOAD_PLANNING, $sid, $tcMenu, $tcType, $sd;
  echo ("<!DOCTYPE html public \"-//w3c//dtd html 4.0 transitional//en\">
<HTML>
<HEAD>
  <META http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
  <META http-equiv=\"Cache-Control\" content=\"no-cache\">
  <META name=\"Author\" content=\"Stephane TEIL (phenix-agenda@laposte.net)\">
  <META name=\"robots\" content=\"noindex\">
  <NOSCRIPT><META http-equiv=\"refresh\" content=\"0; url=inc/noscript.html\"></NOSCRIPT>\n");
  if ($tcMenu<3 && !$tcType && $RELOAD_PLANNING && $sid)
    echo "  <META http-equiv=\"REFRESH\" content=\"${RELOAD_PLANNING}; url=agenda.php?sid=$sid&tcMenu=$tcMenu&sd=$sd\">\n";
  echo ("  <TITLE>Phenix</TITLE>
  <LINK rel=\"stylesheet\" type=\"text/css\" href=\"css/agenda_css.php?id=".$APPLI_STYLE."&vu=".$tcMenu."\">\n");
}


// ----------------------------------------------------------------------------
function message($msg) {
  echo "      <TD align=\"center\" valign=\"middle\" width=\"100%\" nowrap>";
  switch ($msg) {
    case 1  : echo erreur("Utilisateur inconnu !"); break;
    case 2  : echo erreur("Votre session a expir&eacute; !"); break;
    case 3  : echo erreur("Ce login est d&eacute;j&agrave; utilis&eacute;"); break;
    case 4  : echo erreur("Ancien mot de passe erron&eacute;"); break;
    case 5  : echo confirme("Veuillez vous identifier pour utiliser Phenix"); break;
    case 6  : echo erreur("La connexion au serveur MySQL a &eacute;chou&eacute;"); break;
    case 7  : echo confirme("Profil modifi&eacute;"); break;
    case 8  : echo confirme("Note enregistr&eacute;e"); break;
    case 9  : echo confirme("Note mise &agrave; jour"); break;
    case 10 : echo confirme("Note supprim&eacute;e"); break;
    case 11 : echo confirme("Occurence de la note supprim&eacute;e"); break;
    case 12 : echo confirme("Anniversaire enregistr&eacute;"); break;
    case 13 : echo confirme("Anniversaire mis &agrave; jour"); break;
    case 14 : echo confirme("Anniversaire supprim&eacute;"); break;
    case 15 : echo confirme("Compte cr&eacute;&eacute;, vous pouvez vous connecter"); break;
    case 16 : echo erreur("L'enregistrement a &eacute;chou&eacute;"); break;
    default : echo "&nbsp;";
  }
  echo "</TD>\n";
}


// ----------------------------------------------------------------------------
function confirme($msg = "") {
  return "<A class=\"confirm\">&nbsp;&nbsp;".$msg."&nbsp;&nbsp;</A>";
}


// ----------------------------------------------------------------------------
function erreur($msg = "") {
  return "<A class=\"erreur\">&nbsp;&nbsp;".$msg."&nbsp;&nbsp;</A>";
}
?>
