<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  require("inc/nocache.inc.php");
  require("inc/html.inc.php");
  if (file_exists("inc/conf.inc.php")) {
    include("inc/conf.inc.php");
  }
  if (!defined("PHENIX_INSTALLE") && file_exists("./install/install.php")) {
    header("Location: ./install/install.php");
    exit;
  }

  // Gestion des rapports d'erreurs
  error_reporting(E_ALL ^ E_NOTICE);

  $nc += 0;

  if ($PUBLIC && $ztFrom == "profil" && $ztAction == "INSERT") {
    include("inc/fonctions.inc.php");
    // Recuperation des Saisies
    $rsProfil[0] = ($AUTO_UPPERCASE == true) ? strtoupper(trim($ztNom)) : ucfirst(strtolower(trim($ztNom)));
    $rsProfil[1] = ucfirst(trim($ztPrenom));
    $rsProfil[2] = trim($ztLogin);
    $rsProfil[3] = $zlInterface;
    $rsProfil[4] = $zlHeureDebut;
    $rsProfil[5] = $zlHeureFin;
    if ($rdTelephone != "N")
      $rdTelephone = "O";
    $rsProfil[6] = $rdTelephone;
    $rsProfil[7] = $zlPlanning+0;
    if ($rdPartage=="2" && empty($ztPartage))
      $rdPartage = "0";
    $rsProfil[8] = $rdPartage+0;
    $rsProfil[9] = trim($ztEmail);
    if (($zlAffectation=="2" && empty($ztPartage)) || ($zlAffectation=="3" && empty($ztAffecte)))
      $zlAffectation = "0";
    $rsProfil[10] = $zlAffectation+0;
    if ($ckAlertEmail!="O")
      $ckAlertEmail = "N";
    elseif (empty($rsProfil[9]) || !$rsProfil[10])
      $ckAlertEmail="N";
    $rsProfil[11] = $ckAlertEmail;
    if ($zlPrecision!="2")
      $zlPrecision = "1";
    $rsProfil[12] = $zlPrecision;
    $rsProfil[13] = "";
    for ($i=1; $i<8; $i++)
      $rsProfil[13] .= ${"bt".$i} + 0;
    $rsProfil[14] = $zlDureeNote;
    if ($rdRappel != 2) {
      $rsProfil[15] = 0;
      $rsProfil[16] = 1;
      $rsProfil[17] = 0;
    }
    else {
      $rsProfil[15] = $zlRappelDelai;
      $rsProfil[16] = $zlRappelType;
      $rsProfil[17] = $ckRappelEmail;
    }
    if ($rsProfil[17] != 1)
      $rsProfil[17] = 0;
    $ztPasswd = trim($ztPasswd);
    $passCrypt = md5($ztPasswd);
    // Verifie si le login choisi n'est pas deja utilise
    $DB_CX->DbQuery("SELECT util_id FROM ${PREFIX_TABLE}utilisateur WHERE util_login='".$rsProfil[2]."'");
    if (!$DB_CX->DbNumRows()) {
      $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}utilisateur (util_nom, util_prenom, util_login, util_passwd, util_interface, util_debut_journee, util_fin_journee, util_telephone_vf, util_planning, util_partage_planning, util_email, util_autorise_affect, util_alert_affect, util_precision_planning, util_semaine_type, util_duree_note, util_rappel_delai, util_rappel_type, util_rappel_email) VALUES ('".$rsProfil[0]."', '".$rsProfil[1]."', '".$rsProfil[2]."', '".$passCrypt."',".$rsProfil[3].",".$rsProfil[4].",".$rsProfil[5].",'".$rsProfil[6]."',".$rsProfil[7].",'".$rsProfil[8]."','".$rsProfil[9]."','".$rsProfil[10]."','".$rsProfil[11]."','".$rsProfil[12]."','".$rsProfil[13]."','".$rsProfil[14]."',".$rsProfil[15].",".$rsProfil[16].",".$rsProfil[17].")");
      if ($DB_CX->DbAffectedRows()>0) {
        $idUser = $DB_CX->DbInsertID();
        $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}calepin_groupe (cgr_util_id, cgr_nom) VALUES (".$idUser.", 'Non class')");
        // Partage du planning en consultation : si partage slectif uniquement
        if ($rsProfil[8]==2) {
          $tabPartage = explode("+", $ztPartage);
          for ($i=0;$i<count($tabPartage);$i++)
            $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}planning_partage VALUES (".$idUser.",".$tabPartage[$i].")");
        }
        // Partage du planning en modification
        if ($rsProfil[10]==3) {// Si affectation slective uniquement
          $tabAffecte = explode("+", $ztAffecte);
          for ($i=0;$i<count($tabAffecte);$i++)
            $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}planning_affecte VALUES (".$idUser.",".$tabAffecte[$i].")");
        }
        elseif ($rsProfil[10]==2) {// Si consultation base sur la liste du partage
          if ($rsProfil[8]!=2)
            $rsProfil[10]=$rsProfil[8];
          else {
            for ($i=0;$i<count($tabPartage);$i++)
              $DB_CX->DbQuery("INSERT INTO ${PREFIX_TABLE}planning_affecte VALUES (".$idUser.",".$tabPartage[$i].")");
          }
        }
        if ($COOKIE_AUTH) { // Envoi d'un cookie temporaire + connexion automatique
          setcookie($COOKIE_NOM, $rsProfil[2].":".$passCrypt.":0", time()+86400*$COOKIE_DUREE, "/", "", 0);
          Header("location: phenix.php");
          exit;
        }
        else
          $msg = 15;
      }
      else {
        $nc = 1;
        $msg = 16;
      }
    }
    else {
      $nc = 1;
      $msg = 3;
    }
  }
  elseif (!isset($msg) && !$nc) {
    // Identification depuis le cookie
    if ($COOKIE_AUTH && (!empty($_COOKIE[$COOKIE_NOM]) || !empty($HTTP_COOKIE_VARS[$COOKIE_NOM]))) {
      if (!empty($_COOKIE) && isset($_COOKIE[$COOKIE_NOM]))
        $tabLog = explode(":",$_COOKIE[$COOKIE_NOM]);
      elseif (!empty($HTTP_COOKIE_VARS) && isset($HTTP_COOKIE_VARS[$COOKIE_NOM]))
        $tabLog = explode(":",$HTTP_COOKIE_VARS[$COOKIE_NOM]);
      // Connexion automatique choisie par l'utilisateur
      if ($tabLog[2]==1) {
        Header("location: phenix.php");
        exit;
      }
    }
  }

  entete_page();

  if ($nc != 1) {
?>
  <SCRIPT language="JavaScript" type="text/javascript">
  <!--
    function saisieOK(theForm) {
      if (theForm.ztLogin.value == "") {
        window.alert("Veuillez saisir votre identifiant !");
        theForm.ztLogin.focus();
        return (false);
      }

      if (theForm.ztPasswd.value == "") {
        window.alert("Veuillez saisir votre mot de passe !");
        theForm.ztPasswd.focus();
        return (false);
      }

      return (true);
    }
<?php if ($PUBLIC) { ?>  

    function compteUtil() {
      window.location.href = "index.php?nc=1";
    }
<?php } ?>  
  //-->
  </SCRIPT>
</HEAD>

<BODY leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" onLoad="javascript: window.focus(); document.Form1.ztLogin.focus();">
  <BR><BR><TABLE border=0 cellpadding=0 cellspacing=0 width="100%">
  <TR height=24>
<?php message($msg); ?>
  </TR>
  <TR>
    <TD valign="top" align="center" width="100%"><FORM action="phenix.php" method="post" name="Form1" id="Form1" target="_top" onSubmit="javascript: return saisieOK(document.Form1);">
      <TABLE border="0" cellspacing="0" cellpadding="0" align="center">
      <TR>
        <TD height="100" nowrap>&nbsp;</TD>
      </TR>
      <TR>
        <TD valign="top" align="center"><TABLE border="0" cellspacing="0" cellpadding="0" style="border-collapse:separate;">
          <TR>
            <TD colspan="2" class="bordTLRB" bgcolor="B2CADE" align="center" valign="middle" height="18" style="font-size:12px;"><B>Phenix v<?php echo $APPLI_VERSION; ?></B></TD>
            <TD><img src="image/index/ombre_1.gif" alt="" width="6" height="18" border="0"></TD>
          </TR>
          <TR>
            <TD colspan="2" align="center" class="bordLRB" bgcolor="FFFFFF"><TABLE border="0" cellspacing="0" cellpadding="2" style="font-size:11px;">
              <TR>
                <TD height="18" colspan=3>&nbsp;</TD>
              </TR>
              <TR>
                <TD height="22">Utilisateur&nbsp;</TD>
                <TD><INPUT type="text" class="Texte" name="ztLogin" size="15" maxlength="12" value="<?php echo $ztLogin; ?>"></TD>
                <TD rowspan=3 align="right" width="80"><img src="image/index/login.png" alt="" width="64" height="64" border="0"></TD>
              </TR>
              <TR>
                <TD height="22" nowrap>Mot de passe&nbsp;&nbsp;</TD>
                <TD><INPUT type="password" class="Texte" name="ztPasswd" size="15" maxlength="12" value="<?php echo $ztPasswd; ?>"></TD>
              </TR>
              <TR>
                <TD height="22" colspan="2" nowrap><?php if ($COOKIE_AUTH) { ?>Identification via un cookie&nbsp;&nbsp;<INPUT type="checkbox" class="case" name="autoLogin" value="1"><?php } ?>&nbsp;</TD>
              </TR>
              <TR>
                <TD height="50" colspan="3" align="center" valign="middle"><INPUT type="submit" class="Bouton" value="Se connecter" name="btSubmit"><?php if ($PUBLIC) { ?>&nbsp;&nbsp;&nbsp;<INPUT type="button" class="Bouton" value="Nouveau" name="btCreer" onclick="javascript: compteUtil();"><?php } ?></TD>
              </TR>
            </TABLE></TD>
            <TD><img src="image/index/ombre_2.gif" alt="" width="6" height="139" border="0"></TD>
          </TR>
          <TR>
            <TD><img src="image/index/ombre_3.gif" alt="" width="8" height="6" border="0"></TD>
            <TD><img src="image/index/ombre_4.gif" alt="" width="292" height="6" border="0"></TD>
            <TD><img src="image/index/ombre_5.gif" alt="" width="6" height="6" border="0"></TD>
          </TR>
        </TABLE></TD>
      </TR>
      </TABLE>
    </FORM></TD>
  </TR>
  </TABLE>
  <TABLE border="0" cellspacing="0" cellpadding="0" align="center"><TR><TD style="color:#999999; font-size:9px;" align="center"><BR>Phenix <?php echo $APPLI_VERSION; ?> [phenix.gapi.fr]<BR>&copy; St&eacute;phane TEIL 2005</TD></TR></TABLE>
<?php
    // Recherche de nouvelle version
    if ($CHECK_VERSION) {
      $current_version = explode('.', $APPLI_VERSION);
      $head_revision = (int) $current_version[0];
      $minor_revision = $current_version[1];
      $errno = 0;
      $errstr = $version_info = '';
      if ($fsock = @fsockopen('www.phenix.gapi.fr', 80, $errno, $errstr)) {
        @fputs($fsock, "GET /download/version.txt HTTP/1.1\r\n");
        @fputs($fsock, "HOST: phenix.gapi.fr\r\n");
        @fputs($fsock, "Connection: close\r\n\r\n");
        $get_info = false;
        while (!@feof($fsock)) {
          if ($get_info) {
            $version_info .= @fread($fsock, 1024);
          }
          else {
            if (@fgets($fsock, 1024) == "\r\n") {
              $get_info = true;
            }
          }
        }
        @fclose($fsock);
        $version_info = explode("\n", $version_info);
        $latest_head_revision = (int) $version_info[0];
        $latest_minor_revision = $version_info[1];
        $latest_version = $latest_head_revision . '.' . $latest_minor_revision;
        if ($latest_head_revision != $head_revision || $minor_revision != $latest_minor_revision) {
          echo "<p style=\"color:red\" align=\"center\">Une version plus rcente de Phenix (".$latest_version.")<br>est disponible sur <a href=\"http://www.phenix.gapi.fr/\" target=\"pxSite\">http://phenix.gapi.fr/</a></p>";
        }
      }
    }
  }
  elseif ($PUBLIC) {
    //Demande de cration d'un nouveau compte
    echo ("</HEAD>

<BODY onLoad=\"javascript: window.focus(); selectUtil(document.frmProfil.zlUtilisateur, document.frmProfil.zlPartage); selectUtil(document.frmProfil.zlUtilisateur2, document.frmProfil.zlAffecte); document.frmProfil.ztNom.focus();\" topmargin=0 leftmargin=0 rightmargin=0 bottommargin=0 marginwidth=0 marginheight=0>
  <TABLE border=0 cellpadding=0 cellspacing=0 width=\"100%\">
  <TR height=24>\n");
    message($msg);
    echo ("  </TR>
  <TR>
    <TD valign=\"top\" align=\"center\" width=\"100%\">\n");
    include("skins/4.php"); // Style par dfaut
    if (!$msg) {
      $rsProfil[3]  = 4;         // Interface par dfaut : Ptrole
      $rsProfil[4]  = 9;         // Dbut de journe par dfaut : 09h00
      $rsProfil[5]  = 18;        // Fin de journe par dfaut   : 18h00
      $rsProfil[6]  = "O";       // Formatage automatique des numros de tlphone : OUI
      $rsProfil[7]  = 0;         // Planning par dfaut : quotidien
      $rsProfil[8]  = 0;         // Pas de partage de planning par dfaut
      $rsProfil[10] = 0;         // Affectation des notes par dfaut : tout le monde
      $rsProfil[13] = "1111111"; // Jours slectionns par dfaut pour le planning mensuel : tous les jours (dans l'ordre du lundi au dimanche, 0 pour dslectionner)
      $rsProfil[14] = 1;         // Dure moyenne d'une note par dfaut : 1->15mn, 2->30mn, 3->45mn, 4->1heure
      $rsProfil[15] = 5;         // Dlai par dfaut pour le rappel lors de la cration d'une note (de 1  59)
      $rsProfil[16] = 1;         // Type par dfaut pour le rappel lors de la cration d'une note : 1->Minute, 2->Heure, 3->Jour
      $rsProfil[17] = 0;         // Rappel des notes par mail (si adresse indique par l'utilisateur) : 0->Non, 1->Oui
    }
    include("agenda_profil.php");
    echo ("    <BR>&nbsp;</TD>
  </TR>
  </TABLE>\n");
  }
?>
</BODY>
</HTML>
